define([
		"WFEditor/workflow/pin/Pin",
		"WFEditor/workflow/ModelConstants"
	],
	function (
		Pin,
		ModelConstants
	) {
		"use strict";

		/**
		 * A specific pin representing a mouse location, typically attached to a mouse node.
		 *
		 * @exports MousePin
		 * @class
		 * @augments Pin
		 *
		 * @param {Workflow} workflow
		 * @param {Node} node
		 * @param {String} id - pin id
		 */
		var MousePin = function (workflow, node, id) {
			Pin.call(this, workflow, node, id);

		};

		MousePin.prototype = Object.create(Pin.prototype);
		MousePin.prototype.constructor = MousePin;

		return MousePin;

	});