define([
		"WFEditor/workflow/WorkflowItem",
		"WFEditor/workflow/ModelConstants"
	],
	function (
		WorkflowItem,
		ModelConstants
	) {
		"use strict";

		/**
		 * Helper represents the model for a Helper in the workflow. 
		 * A helper can be used for multiple purposes, and example could be to draw a selection rectangle
		 *
		 * @exports Helper
		 * @class
		 * @augments WorkflowItem
		 *
		 * @param {Workflow} workflow
		 * @param {String} id - Helper id
		 */
		var Helper = function (workflow, id) {
			WorkflowItem.call(this, workflow, ModelConstants.WorkflowItemType.Helper, id);

		};

		Helper.prototype = Object.create(WorkflowItem.prototype);
		Helper.prototype.constructor = Helper;

		return Helper;
	});