define([
		"WFEditor/scene/AbstractView"
	],
	function (
		AbstractView
	) {
		"use strict";

		/**
		 * TokenView is a view object for rendering a view on a canvas. For specific Tokens,
		 * the render methods needs to be implemented.
		 *
		 * @exports TokenView
		 * @class
		 * @augments AbstractView
		 *
		 * @param {Token} tokenModel
		 */
		var TokenView = function (tokenModel) {
			AbstractView.call(this, tokenModel);
		};

		TokenView.prototype = Object.create(AbstractView.prototype);
		TokenView.prototype.constructor = TokenView;


		/**
		 * Tokens are drawn at z-index 40 by default
		 * @Override
		 */
		TokenView.prototype.getZIndex = function () {
			return 40;
		};


		return TokenView;

	});