define(["component/modal/Modal",
		"component/button/Button",
		"utils/webi18n!WFEditorWCR",
		"underscore",
		"jquery",

	],
	function (
		Modal,
		Button,
		i18n,
		_,
		$) {

		"use strict";

		/**
		 * Popup used to cancel a workflow
		 * @exports CancelWorkflowPopup
		 * @class
		 */
		var CancelWorkflowPopup = function (wfEditorWCR) {
			// Popup content
			this._content = $("<div />").text(i18n.t("wfedit.state.cancelmessage"));
			this._cancelConfirmPopup = new Modal(this._content);
			this._cancelConfirmPopup.setTitle(i18n.t("wfedit.state.canceltitle"));

			this._cancelConfirmPopup.onClose(_.bind(function(){
				this.destroy();
			}, this._cancelConfirmPopup));
			
			this._cancelButton = new Button(null, null, false, "Cancel", i18n.t("configurationCancel"), true, _.bind(function () {
				this._cancelConfirmPopup.close();
			}, this));
			this._cancelButton.addClass("btn btn-default btn-md");

			this._okButton = new Button(null, null, false, "OK", i18n.t("configurationOK"), true, _.bind(function () {
				this._cancelConfirmPopup.close();
				wfEditorWCR.doCancelWorkflow();
			}, this));
			this._okButton.addClass("btn btn-primary btn-md");

			this._buttonGroup = $("<div>").addClass("btn-group pull-right");
			this._buttonGroup.append(this._cancelButton.element).append(this._okButton.element);
			this._cancelConfirmPopup.setFooter(this._buttonGroup);
		};


		/**
		 * Open the popup
		 */
		CancelWorkflowPopup.prototype.open = function () {
			this._cancelConfirmPopup.open();
			this._okButton.setEnabled(true);
		};

		return CancelWorkflowPopup;
	});