define(["component/actionpopup/ImportPopup",
		"utils/webi18n!WFEditorWCR",
		"Template",
		"tpl!WFEditorWCR/actionPopup/ImportWorkflowPopupContent",
		"underscore",
		"jquery",

	],
	function (
		ImportPopup,
		i18n,
		Template,
		tpl,
		_,
		$) {

		"use strict";
	
		var languageStrings = {
				ImportConfirmText : i18n.t("workflowImportConfirm"), 
				ImportConfirmTooltip: i18n.t("workflowImportTooltip"),
				ImportConfirmCancel: i18n.t("configurationCancel"),
				ImportConfirmOk : i18n.t("configurationOK"),
				ImportTooltip: i18n.t("workflowImportTooltip"),
				ImportCancel: i18n.t("configurationCancel"),
				ImportOk: i18n.t("configurationOK")
		};

		/**
		 * Popup used to import a workflow
		 * @exports ImportWorkflowPopup
		 * @class
		 */
		var ImportWorkflowPopup = function (wfEditorWCR) {
			this._wfEditorWCR = wfEditorWCR;

			this._importPopup = new ImportPopup(languageStrings,new Template(i18n, tpl));
			
			//Make sure the workflow is imported when confirm is clicked
			this._importPopup.importConfirm = function(){
				wfEditorWCR.doImportWorkflow();
			};
		};

		/**
		 * Open the popup
		 */
		ImportWorkflowPopup.prototype.open = function () {
			this._importPopup.template.d.taskTypeID = this._wfEditorWCR.getTaskTypeID();
			this._importPopup.open();
		};

		return ImportWorkflowPopup;
	});
