define([],
	function () {
		"use strict";

		/**
		 * Represents a WebCenter attribute category
		 * @param {String}                 id          - ID of the atttribute category
		 * @param {String}                 name          - Name of the atttribute category
		 * @param {String}                 description            - Description of the attribute category
		 */
		var WebCenterAttributeCategory = function (id, name, description) {
			this._id = id;
			this._name = name;
			this._description = description;
		};
		
		/**
		 * Get the ID of the attribute category
		 * @returns {String}
		 */
		WebCenterAttributeCategory.prototype.getId = function () {
			return this._id;
		};

		/**
		 * Get the name of the attribute category
		 * @returns {String}
		 */
		WebCenterAttributeCategory.prototype.getName = function () {
			return this._name;
		};

		/**
		 * Get the description of attribute category
		 * @returns {String}
		 */
		WebCenterAttributeCategory.prototype.getDescription = function () {
			return this._description;
		};

		return WebCenterAttributeCategory;
	});