define([],
	function () {
		"use strict";

		/**
		 * Represents a WebCenter Text Content Element type
		 * @param {String} id - Id of the text content element type
		 * @param {String} name - Name of the text content element type
		 * @param {String} Category - Category of the text content
		 */
		var WebCenterTextContentElementType = function (id, name, category) {
			this._id = id;
			this._name = name;
			this._category = category;
		};

		/**
		 * Get the ID of the element type
		 * @returns {String}
		 */
		WebCenterTextContentElementType.prototype.getId = function () {
			return this._id;
		};

		/**
		 * Get the name of the element type
		 * @returns {String}
		 */
		WebCenterTextContentElementType.prototype.getName = function () {
			return this._name;
		};
		

		/**
		 * Get the category of the element type
		 * @returns {String}
		 */
		WebCenterTextContentElementType.prototype.getCategory = function () {
			return this._category;
		};

		return WebCenterTextContentElementType;
	});