define([],
	function () {
		"use strict";

		/**
		 * Represents a WebCenter Text Content Language
		 * @param {String} id - Id of the text content Language
		 * @param {String} name - Name of the text content Language
		 * @param {String} langFlag - the text content Language flag file name
		 * @param {String} langIndex - Index of the text content Language
		 */
		var WebCenterTextContentLanguage = function (id, name, langFlag, langIndex) {
			this._id = id;
			this._name = name;
			this._langFlag = langFlag;
			this._langIndex = langIndex;
		};

		/**
		 * Get the ID of the Language (in code format for e.g en-US)
		 * @returns {String}
		 */
		WebCenterTextContentLanguage.prototype.getId = function () {
			return this._id;
		};

		/**
		 * Get the flag name of the Language
		 * @returns {String}
		 */
		WebCenterTextContentLanguage.prototype.getName = function () {
			return this._name;
		};
		
		/**
		 * Get the name of the Language flag file name
		 * @returns {String}
		 */
		WebCenterTextContentLanguage.prototype.getLangFlag = function () {
			return this._langFlag;
		};
		
		/**
		 * Get the index of the Language
		 * @returns {String}
		 */
		WebCenterTextContentLanguage.prototype.getLangIndex = function () {
			return this._langIndex;
		};
		
		return WebCenterTextContentLanguage;
	});