define([],
	function () {
		"use strict";

		/**
		 * Represents a WebCenter Text Content Property
		 * @param {String} id - Id of the text content property
		 * @param {String} name - Name of the text content property
		 */
		var WebCenterTextContentProperty = function (id, name) {
			this._id = id;
			this._name = name;
		};

		/**
		 * Get the ID of the element type
		 * @returns {String}
		 */
		WebCenterTextContentProperty.prototype.getId = function () {
			return this._id;
		};

		/**
		 * Get the name of the element type
		 * @returns {String}
		 */
		WebCenterTextContentProperty.prototype.getName = function () {
			return this._name;
		};

		return WebCenterTextContentProperty;
	});