define([
		"WFEditor/nodeGallery/NodeGallery",
		"WFEditorWCR/nodeGallery/view/WebCenterNodeGalleryList",
		"WFEditorWCR/nodeGallery/view/WebCenterNodeGallerySelection"
	],
	function (
		NodeGallery,
        WebCenterNodeGalleryList,
		WebCenterNodeGallerySelection
	) {
		"use strict";

		/**
		 * WebCenterNodeGallery is an implementation of the NodeGallery for WebCenter.
		 *
		 * @exports WebCenterNodeGallery
		 * @class
		 * @augments NodeGallery
		 */
		var WebCenterNodeGallery = function () {
			NodeGallery.call(this);
		};

		WebCenterNodeGallery.prototype = Object.create(NodeGallery.prototype);
		WebCenterNodeGallery.prototype.constructor = WebCenterNodeGallery;

        /**
		 * Override default NodeGalleryList and NodeGallerySelection
		 * @override
		 */
		WebCenterNodeGallery.prototype._initializeContent = function () {
            this._gallerylist = new WebCenterNodeGalleryList(this);
            this._selection = new WebCenterNodeGallerySelection(this);
        };
    
		return WebCenterNodeGallery;

	});