define([
		"WFEditor/nodeGallery/view/NodeGallerySelection",
		"WFEditorWCR/nodeGallery/WebCenterNodeGalleryConstants",
		"utils/webi18n!WFEditorWCR"
	],
	function (
        NodeGallerySelection,
        WebCenterNodeGalleryConstants,
        i18n
	) {
		"use strict";
        
		/**
		 * WebCenterNodeGallerySelection is an implementation of the NodeGallerySelection for WebCenter.
		 * 
		 * @exports WebCenterNodeGallerySelection
		 * @class
		 * @augments NodeGallerySelection
		 * 
		 * @param {WebCenterNodeGallery} nodegallery
		 */
		var WebCenterNodeGallerySelection = function (nodegallery) {
            NodeGallerySelection.call(this, nodegallery, WebCenterNodeGalleryConstants.FilterIcons, i18n);
		};
    
        WebCenterNodeGallerySelection.prototype = Object.create(NodeGallerySelection.prototype);
		WebCenterNodeGallerySelection.prototype.constructor = WebCenterNodeGallerySelection;
    
		return WebCenterNodeGallerySelection;

	});