define({
	/**
	 * Size of icons
	 */
	NodeIconSize: 40, // in pixels

	/**
	 * padding in icon
	 */
	NodeIconPadding: 4, // pixels

	/**
	 * Gap between node image and label
	 */
	NodeLabelGap: 15, // in pixels
	/**
	 * Max width of the node label
	 */
	NodeLabelMaxWidth: 100, // in pixels
	/**
	 * Line height of one line of label
	 */
	NodeLabelLineHeight: 15, // in pixels   

	/**
	 * Font for a node label
	 */
	NodeLabelFont: "12px 'open sans',sans-serif",

	/**
	 * Color for a node Label
	 */
	NodeLabelColor: "rgb(0,0,0)",

	NodeLabelBackgroundColor: "rgba(255,255,255, 0.7)",
	NodeLabelSelectedBackgroundColor: "rgb(51,153,255)",
	NodeLabelSelectedFontColor: "white",
	NodeLabelBackgroundPaddingWidth: 4,
	NodeLabelBackgroundPaddingHeight: 3,

	NodeOverlayColorSelected: "rgba(50,50,50,0.5)",
	NodeOverlayColorDisabled: "rgba(200,0,0,0.4)",

	NodeVisibleParameterColor: "rgb(87,134,190)",
	NodeVisibleParameterFont: "10px 'open sans',sans-serif",

	/**
	 * Constatns for the token in progress file icon and status
	 */
	TokenStatusTextColor: "rgb(87,134,190)",
	TokenSatusFont: "10px 'open sans',sans-serif",
	StatusToStatusGap: 20, // vertical gap between different token statuses in pixels
	NodeStatusGap: 30, // Gap between node image and token status in pixels
	TokenStatusFileIconWidth: 18, // Width of the file icon in pixels
	TokenStatusFileTextColor: "grey",

	PinRadius: 5,
	PinRadiusHovered: 7,
	PinFeedbackRadiusHovered: 7,
	PinFeedbackPadding: 2,
	PinToNodeTop: 10,
	PinInToNodeLeft: 8,
	PinOutToNodeRight: 8,
	PinToPinSpacing: 9,

	PinLabelFont: "10px 'open sans',sans-serif",
	PinLabelOffsetX: 1,
	PinLabelOffsetY: 1,
	PinLabelColor: "rgb(0,0,0)",
	PinCharacterFont: "9px 'open sans',sans-serif",
	PinCharacterFeedbackFontHovered: "11px 'open sans', sans-serif",
	PinLabelHeight: 8,

	/**
	 * Colors for OK pin
	 */
	PinOKBackground: "#B6C812",
	PinOKBorder: "#707B0B",
	PinOKCharacterColor: "#000",

	/**
	 * Colors for Error pin
	 */
	PinErrorBackground: "#F62F1A",
	PinErrorBorder: "#ce2c1c",
	PinErrorCharacterColor: "#ffffff",

	/**
	 * Colors for warning pin
	 */
	PinWarningBackground: "#FF9C15",
	PinWarningBorder: "#ef870c",
	PinWarningCharacterColor: "#ffffff",

	/**
	 * Colors for the edges
	 */
	EdgeLightestColor: "#DFF673",
	EdgeLightColor: "#B6C812",
	EdgeDarkColor: "#707B0B",

	/**
	 * Highlighted colors for the edges
	 */
	HighlightedEdgeLightestColor: "#E4E4E4",
	HighlightedEdgeLightColor: "#FFEA14",
	HighlightedEdgeDarkColor: "#FFA400",
	
	StickyNoteHeaderHeight: 20,
	StickyNoteHeaderPadding: 2,
	StickyNoteResizeHitAreaSize: 12,
	StickyNoteContentPadding: 3
});