define(["WFEditorWCR/scene/WebCenterSceneController", "WFEditorWCR/wfPopup/MouseInteractionPanTool"], function (WebCenterSceneController, MouseInteractionPanTool) {

	"use strict";


	/**
	 * Controller for the Scene of a webcenter workflow in the minified Popup. 
	 * Adds the pan interaction tool 
	 * @exports MinifiedWFEditorSceneController
	 * @class
	 * @augments WebCenterSceneController
	 *
	 * @param {AbstractWorkflowFactory} workflowFactory - the workflow factory to create objects
	 * @param {SceneModel} sceneModel
	 * @param {Workflow} workflowModel
	 * @param {Scene} scene
	 * @param {Object} WFEditorContext
	 */
	var MinifiedWFEditorSceneController = function (workflowFactory, sceneModel, workflowModel, scene, WFEditorContext) {
		WebCenterSceneController.call(this, workflowFactory, sceneModel, workflowModel, scene, WFEditorContext);
		new MouseInteractionPanTool(this._mouseInteractionTool, WFEditorContext);
	};

	MinifiedWFEditorSceneController.prototype = Object.create(WebCenterSceneController.prototype);
	MinifiedWFEditorSceneController.prototype.constructor = MinifiedWFEditorSceneController;

	return MinifiedWFEditorSceneController;

});
