define([],
	function () {

		"use strict";
		/**
		 * adds click handlers to the context element
		 * @param {DOMObject}
		 */
		return {
			wcrinit: function (context) {
				var privileges = {
					isMasterTask: context.getAttribute("data-mastertaskid") ? context.getAttribute("data-mastertaskid").length === 0 : true, // is a mastertask or not
					autorefresh: context.getAttribute("data-autorefresh") == "1", // should feedback be autorefreshed
					hasTaskEditRights: context.getAttribute("data-canedit") == "1" || context.getAttribute("data-canedit") == "true"
				};
				context = $(context);
				var taskTypeId = context.attr("data-taskTypeId");
				var taskId = context.attr("data-taskId");
				var workflowName = context.attr("data-workflowName");
				var body = $("body");
				context.on("click", function (e) {
					context.addClass("progress-cursor");
					body.addClass("progress-cursor");
					
					// Only get the actual code on click.
					requirejs(["WFEditorWCR/wfPopup/WFEditorWCRPopupConfigurator"], function (WFEditorWCRPopupConfigurator) {
						body.removeClass("progress-cursor");
						context.removeClass("progress-cursor");
						var wFEditorWCRPopupAnchor = new WFEditorWCRPopupConfigurator(taskId, taskTypeId, workflowName, privileges);
						if (taskId && taskTypeId) {
							wFEditorWCRPopupAnchor.openWorkflow(e);

						} else if (taskTypeId) {
							wFEditorWCRPopupAnchor._goToFullEditor();

						}
					});
					e.preventDefault();
					e.stopPropagation();
				});

				// Tooltips can be retrieved async
				requirejs(["component/tooltip/Tooltip",
					"utils/webi18n!WFEditorWCRPopup"
				], function (Tooltip, i18n) {
					if (taskId && taskTypeId) {
						context.on("click", function (e) {});
						new Tooltip(null, $(context), body, body, false, i18n.t("wfeditorPopup.tooltip.showActiveNodes"));
					} else if (taskTypeId) {
						context.on("click", function (e) {});
						new Tooltip(null, $(context), body, body, false, i18n.t("wfeditorPopup.tooltip.openWorkflow"));
					}

				});
			}
		};



	});
