define([
		"./AttributeRouter",
		"utils/webi18n!WFEditorWCR",
		"WFEditorWCR/workflow/node/WebCenterNodeConstants",

		"underscore",
		"jquery"
	],
	function (
		AttributeRouter,
		i18n,
		WebCenterNodeConstants,
		_,
		$
	) {

		"use strict";

		/**
		 *
		 * Router Decorator used for document attributes routing
		 *
		 * @class
		 * @exports DocumentAttributeRouter
		 * @augments AttributeRouter
		 * @param {WebCenterAPI}                       webCenterAPI            - used to get the attributes promise
		 * @param {WorkflowSmartNameDictionaryService} smartNameDictionary     - the smartname dictionary that can be used for smartnamerouterrule
		 * @param {DateSmartNameDictionaryService}     dateSmartNameDictionary - the smartname dicitionary that can be used for date smartnamerouterrules
		 */
		var DocumentAttributeRouter = function (webCenterAPI, smartNameDictionary, dateSmartNameDictionary) {
			AttributeRouter.call(this, WebCenterNodeConstants.RouterNode.Routers.DocumentAttribute,
				i18n.t("router.documentattribute"), smartNameDictionary,
				dateSmartNameDictionary, i18n.t("wfui.route.attribute.label"), webCenterAPI.getAttributes());

		};

		DocumentAttributeRouter.prototype = Object.create(AttributeRouter.prototype);
		DocumentAttributeRouter.prototype.constructor = DocumentAttributeRouter;



		return DocumentAttributeRouter;

	});
