define([
		"./AttributeRouter",
		"utils/webi18n!WFEditorWCR",
		"underscore",
		"WFEditorWCR/workflow/node/WebCenterNodeConstants",
		"jquery"
	],
	function (
		AttributeRouter,
		i18n,
		_,
		WebCenterNodeConstants,
		$
	) {

		"use strict";
	
		/**
		 *
		 * Router Decorator used for project attributes routing
		 *
		 * @class
		 * @exports ProjectAttributeRouter
		 * @augments AttributeRouter
		 * @param {WebCenterAPI}                       webCenterAPI            - used to get the attributes promise
		 * @param {WorkflowSmartNameDictionaryService} smartNameDictionary     - the smartname dictionary that can be used for smartnamerouterrule
		 * @param {DateSmartNameDictionaryService}     dateSmartNameDictionary - the smartname dicitionary that can be used for date smartnamerouterrules
		 */
		var ProjectAttributeRouter = function (webCenterAPI, smartNameDictionary, dateSmartNameDictionary) {
			AttributeRouter.call(this, WebCenterNodeConstants.RouterNode.Routers.ProjectAttribute,
								 i18n.t("router.projectattribute"), smartNameDictionary,
								 dateSmartNameDictionary, i18n.t("wfui.route.attribute.label"), webCenterAPI.getAttributes());

		};

		ProjectAttributeRouter.prototype = Object.create(AttributeRouter.prototype);
		ProjectAttributeRouter.prototype.constructor = ProjectAttributeRouter;



		return ProjectAttributeRouter;

	});
