define([
		"./AttributeRouter",
		"utils/webi18n!WFEditorWCR",
		"WFEditorWCR/workflow/node/WebCenterNodeConstants",
		"underscore",
		"jquery"
	],
	function (
		AttributeRouter,
		i18n,
		WebCenterNodeConstants,
		_,
		$
	) {

		"use strict";

		/**
		 *
		 * Router Decorator used for task specification routing
		 *
		 * @class
		 * @exports WorkflowSpecificationRouter
		 * @augments AttributeRouter
		 * @param {WebCenterAPI}                       webCenterAPI            - used to get the attributes promise
		 * @param {WorkflowSmartNameDictionaryService} smartNameDictionary     - the smartname dictionary that can be used for smartnamerouterrule
		 * @param {DateSmartNameDictionaryService}     dateSmartNameDictionary - the smartname dicitionary that can be used for date smartnamerouterrules
		 * @param {WebCenterNode}    	               node                    - used to get the task specifications
		 */
		var WorkflowSpecificationRouter = function (webCenterAPI, smartNameDictionary, dateSmartNameDictionary, node) {
			AttributeRouter.call(this, WebCenterNodeConstants.RouterNode.Routers.TaskSpecification,
				i18n.t("router.workflowspec"), smartNameDictionary,
				dateSmartNameDictionary, i18n.t("wfui.route.specification.label"),
				webCenterAPI.getTaskSpecifications(node.getWorkflow().getTaskTypeID()));

		};

		WorkflowSpecificationRouter.prototype = Object.create(AttributeRouter.prototype);
		WorkflowSpecificationRouter.prototype.constructor = WorkflowSpecificationRouter;

		return WorkflowSpecificationRouter;

	});
