define(["jquery",
		"underscore",
		"./RouterEntry",
		"utils/webi18n!WFEditorWCR"
	],
	function ($,
		_,
		RouterEntry,
		i18n) {

		"use strict";
		/**
		 *
		 * a router entry for the default output
		 *
		 * @class
		 * @exports NoMatchRouterEntry
		 * @augments RouterEntry
		 * @param {Router} router - the router this entry is added to
		 * @param {WebCenterPin} routerOutput - the output for this entry
		 */
		var NoMatchRouterEntry = function (router, routerOutput) {
			RouterEntry.call(this, router, null, routerOutput);

			// destroy all listeners
			this._stopObserveAll();
			this._ruleSelectorView = null;

			this._observe(this._router, "changed.enabled", this._enabledChanged);

			/**
			 * @member {JQueryObject}
			 * @private
			 */
			this._ruleContext = $("<div/>").addClass("no-match col-md-9 col-xs-12").append($("<label/>").text(i18n.t("wfui.route.panel.nomatch")));

			/**
			 * @member {JQueryObject}
			 * @private
			 */
			this._context = $("<div/>").addClass("row router-panel-entry").append($("<div/>").addClass("col-xs-12 router-entry-view")
				.append($("<div/>").addClass("row")
					.append(this._ruleContext)
					.append($("<div/>").addClass("col-md-3 col-xs-12")
						.append(this._outputSelectorView.getContext()))));
			this._context.removeClass(".router-entry-sortable");
		};

		NoMatchRouterEntry.prototype = Object.create(RouterEntry.prototype);
		NoMatchRouterEntry.prototype.constructor = NoMatchRouterEntry;

		return NoMatchRouterEntry;
	});
