define(["WFEditorWCR/workflow/panel/WorkflowSmartNameDictionaryService"],
	function (WorkflowSmartNameDicationaryService) {
		"use strict";


		/**
		 * SmartName Dictionary service for attributes/specs only
		 * @param {WebCenterAPI} webCenterAPI    - The WebCenter API to fetch information
		 * @param {String} currentTaskTypeID - Id of the currently opened workflow (to fetch task specifications)
		 * @param {Array.<CustomSmartName>} [customSmartNames] - Custom smartnames if any that need to be added
		 */
		var AttributeSmartNameDictionaryService = function (webCenterAPI, currentTaskTypeID, customSmartNames) {
			WorkflowSmartNameDicationaryService.call(this, webCenterAPI, currentTaskTypeID, customSmartNames);
		};

		AttributeSmartNameDictionaryService.prototype = Object.create(WorkflowSmartNameDicationaryService.prototype);
		AttributeSmartNameDictionaryService.prototype.constructor = AttributeSmartNameDictionaryService;

		/**
		 * @override
		 */
		AttributeSmartNameDictionaryService.prototype.addProjectProperties = function () {
			return false;
		};

		/**
		 * @override
		 */
		AttributeSmartNameDictionaryService.prototype.addDocumentProperties = function () {
			return false;
		};

		return AttributeSmartNameDictionaryService;

	});