define(["WFEditorWCR/workflow/panel/WorkflowSmartNameDictionaryService"],
	function (WorkflowSmartNameDicationaryService) {
		"use strict";


		/**
		 * SmartName Dictionary service for dates
		 * @param {WebCenterAPI} webCenterAPI    - The WebCenter API to fetch information
		 * @param {String} currentTaskTypeID - Id of the currently opened workflow (to fetch task specifications)
		 * @param {Array.<CustomSmartName>} [customSmartNames] - Custom smartnames if any that need to be added
		 */
		var DateSmartNameDictionaryService = function (webCenterAPI, currentTaskTypeID, customSmartNames) {
			WorkflowSmartNameDicationaryService.call(this, webCenterAPI, currentTaskTypeID, customSmartNames);
		};

		DateSmartNameDictionaryService.prototype = Object.create(WorkflowSmartNameDicationaryService.prototype);
		DateSmartNameDictionaryService.prototype.constructor = DateSmartNameDictionaryService;

		/**
		 * @override
		 */
		DateSmartNameDictionaryService.prototype.addDocumentProperties = function () {
			return false;
		};

		/**
		 * @override
		 */
		DateSmartNameDictionaryService.prototype.addDates = function () {
			return true;
		};

		return DateSmartNameDictionaryService;

	});