define(["WFEditorWCR/workflow/panel/WorkflowSmartNameDictionaryService"],
	function (WorkflowSmartNameDicationaryService) {
		"use strict";


		/**
		 * SmartName Dictionary service for e-mail
		 * @param {WebCenterAPI} webCenterAPI    - The WebCenter API to fetch information
		 * @param {String} currentTaskTypeID - Id of the currently opened workflow (to fetch task specifications)
		 * @param {Array.<CustomSmartName>} [customSmartNames] - Custom smartnames if any that need to be added
		 */
		var EmailSmartNameDictionaryService = function (webCenterAPI, currentTaskTypeID, customSmartNames) {
			WorkflowSmartNameDicationaryService.call(this, webCenterAPI, currentTaskTypeID, customSmartNames);
		};

		EmailSmartNameDictionaryService.prototype = Object.create(WorkflowSmartNameDicationaryService.prototype);
		EmailSmartNameDictionaryService.prototype.constructor = EmailSmartNameDictionaryService;

		/**
		 * @override
		 */
		EmailSmartNameDictionaryService.prototype.addEmails = function () {
			return true;
		};

		/**
		 * @override
		 */
		EmailSmartNameDictionaryService.prototype.addRoles = function () {
			return true;
		};

		/**
		 * @override
		 */
		EmailSmartNameDictionaryService.prototype.addGroups = function () {
			return true;
		};

		/**
		 * @override
		 */
		EmailSmartNameDictionaryService.prototype.addUsers = function () {
			return true;
		};

		return EmailSmartNameDictionaryService;

	});