define(["WFEditorWCR/workflow/panel/WorkflowSmartNameDictionaryService"],
	function (WorkflowSmartNameDicationaryService) {
		"use strict";


		/**
		 * SmartName Dictionary service for HTML input
		 * @param {WebCenterAPI} webCenterAPI    - The WebCenter API to fetch information
		 * @param {String} currentTaskTypeID - Id of the currently opened workflow (to fetch task specifications)
		 * @param {Array.<CustomSmartName>} [customSmartNames] - Custom smartnames if any that need to be added
		 */
		var HTMLSmartNameDictionaryService = function (webCenterAPI, currentTaskTypeID, customSmartNames) {
			WorkflowSmartNameDicationaryService.call(this, webCenterAPI, currentTaskTypeID, customSmartNames);
		};

		HTMLSmartNameDictionaryService.prototype = Object.create(WorkflowSmartNameDicationaryService.prototype);
		HTMLSmartNameDictionaryService.prototype.constructor = HTMLSmartNameDictionaryService;

		/**
		 * @override
		 */
		HTMLSmartNameDictionaryService.prototype.addLinks = function () {
			return true;
		};

		/**
		 * @override
		 */
		HTMLSmartNameDictionaryService.prototype.addUser = function () {
			return true;
		};

		/**
		 * @override
		 */
		HTMLSmartNameDictionaryService.prototype.addCalculatedSmartNames = function () {
			// we don't have an editor for this
			return false;
		};

		return HTMLSmartNameDictionaryService;

	});