define(["underscore", "component/sdrop/dataproviders/MapPromiseDataProvider", "wcr/sdrop"], function (_, MapPromiseDataProvider) {
	"use strict";
	/**
	 * @class
	 * Static Data Provider that can have custom sorting and use data object with specific ID and name getters
	 * It uses the promise to fetch data.
	 * 
	 */
	var MapPromiseUniqueDataProvider = new Class({
		Extends: MapPromiseDataProvider,
		getData: function (patternText, truncate) {
			var that = this;
			return this.datastore
				.filter(function (item, index) {
					var passedCustomFilter = true;
					if(that.options.customFilter && !that.options.customFilter(item.item)){
						passedCustomFilter = false;
					}
					return this.regex.test(item.name) && !item.selected && passedCustomFilter;
				}, this.registerPattern(patternText))
				.sort(this.options.sortMethod);
		},
		
		changeSelection: function (newItemId, oldItemId) {
			if(oldItemId){
				var item = this.getById(oldItemId);
				item.selected = false;
			}
			if(newItemId){
				var item = this.getById(newItemId);
				item.selected = true;
			}
		}
	});

	return MapPromiseUniqueDataProvider;

});