define(["WFEditorWCR/workflow/panel/WorkflowSmartNameDictionaryService"],
	function (WorkflowSmartNameDicationaryService) {
		"use strict";


		/**
		 * SmartName Dictionary service for PM
		 * @param {WebCenterAPI} webCenterAPI    - The WebCenter API to fetch information
		 * @param {String} currentTaskTypeID - Id of the currently opened workflow (to fetch task specifications)
		 * @param {Array.<CustomSmartName>} [customSmartNames] - Custom smartnames if any that need to be added
		 */
		var PMSmartNameDictionaryService = function (webCenterAPI, currentTaskTypeID,customSmartNames) {
			WorkflowSmartNameDicationaryService.call(this, webCenterAPI, currentTaskTypeID,customSmartNames);
		};

		PMSmartNameDictionaryService.prototype = Object.create(WorkflowSmartNameDicationaryService.prototype);
		PMSmartNameDictionaryService.prototype.constructor = PMSmartNameDictionaryService;

		/**
		 * @override
		 */
		PMSmartNameDictionaryService.prototype.addRoles = function () {
			return true;
		};

		/**
		 * @override
		 */
		PMSmartNameDictionaryService.prototype.addGroups = function () {
			return true;
		};

		/**
		 * @override
		 */
		PMSmartNameDictionaryService.prototype.addUsers = function () {
			return true;
		};

		return PMSmartNameDictionaryService;

	});