define(["WFEditorWCR/workflow/panel/SmartNameDropdownPanel"
        ],
	function ( SmartNameDropdownPanel
		) {

		"use strict";

		/**
		 * @class SmartNameDropdownParamNamePanel
		 * @augments AbstractPanelComponent
		 * 
		 * A panel that consists of a smart name enabled dropdown that update parameter name in case of value change
		 * 
		 * @param {String} paramId               - id of the paramter
		 * @param {String} label                 - label
		 * @param {Map.<String, Object>} options - The select options - the objects should have text and a value property
		 * @param {WorkflowSmartNameDictionaryService} [smartNameDictionaryService] - the smartname dictionary for the field if you want to override the default one
		 */
		var SmartNameDropdownParamNamePanel = function (paramId, label, options, smartNameDictionaryService) {
			SmartNameDropdownPanel.call(this, paramId, label, options, smartNameDictionaryService);
		};

		SmartNameDropdownParamNamePanel.prototype = Object.create(SmartNameDropdownPanel.prototype);
		SmartNameDropdownParamNamePanel.prototype.constructor = SmartNameDropdownParamNamePanel;
		
		/**
		 * @override
		 */
		SmartNameDropdownParamNamePanel.prototype._updateParameter = function(val){
			if (this._parameters[0]) {
				this._parameters[0].setName(val);
			}
		};
		
		/**
		 * @override 
		 */
		SmartNameDropdownParamNamePanel.prototype._updateSmartField = function(){
			if (this._parameters[0]) {
				this._smartField.setValue(this._parameters[0].getName());
			}
		};

		return SmartNameDropdownParamNamePanel;
	});