define(["WFEditor/workflow/panel/CompositePanelComponent"],
	function (CompositePanelComponent) {

		"use strict";

		/**
		 * Composite Panel Component used as a tab in a tabbed panel
		 * @param {Array.<Parameter>} parameters 
		 * @param {String} name       
		 */
		var TabPanel = function (parameters, name) {
			CompositePanelComponent.call(this, parameters);

			/**
			 * @member {String} name of the tab
			 * @private
			 */
			this._name = name;

			this._element.addClass("form-horizontal form-compact");
		};

		TabPanel.prototype = Object.create(CompositePanelComponent.prototype);
		TabPanel.prototype.constructor = TabPanel;

		/**
		 * gets the name of this panel
		 * @returns {String}
		 */
		TabPanel.prototype.getName = function () {
			return this._name;
		};

		return TabPanel;

	}
);