define(["WFEditorWCR/workflow/panel/WorkflowSmartNameDictionaryService"],
	function (WorkflowSmartNameDicationaryService) {
		"use strict";


		/**
		 * SmartName Dictionary service for URLs
		 * @param {WebCenterAPI} webCenterAPI    - The WebCenter API to fetch information
		 * @param {String} currentTaskTypeID - Id of the currently opened workflow (to fetch task specifications)
		 * @param {Array.<CustomSmartName>} [customSmartNames] - Custom smartnames if any that need to be added
		 */
		var URLSmartNameDictionaryService = function (webCenterAPI, currentTaskTypeID, customSmartNames) {
			WorkflowSmartNameDicationaryService.call(this, webCenterAPI, currentTaskTypeID, customSmartNames);
		};

		URLSmartNameDictionaryService.prototype = Object.create(WorkflowSmartNameDicationaryService.prototype);
		URLSmartNameDictionaryService.prototype.constructor = URLSmartNameDictionaryService;

		/**
		 * @override
		 */
		URLSmartNameDictionaryService.prototype.addURLs = function () {
			return true;
		};

		return URLSmartNameDictionaryService;

	});