define([
		"WFEditorWCR/workflow/pin/InputPin"
	],
	function (
		InputPin
	) {
		"use strict";

		/**
		 * ImplicitInputPin represents an input pin that isn't visible. eg. for implicit edges from error pins to the error handler
		 *
		 * @exports ImplicitInputPin
		 * @class
		 * @augments InputPin
		 *
		 * @param {Workflow} workflow - the workflow to which the node belongs
		 * @param {Node} node - node to which the pin belongs
		 */
		var ImplicitInputPin = function ImplicitInputPin(workflow, node) {
			InputPin.call(this, workflow, node);
			this._isVisible = false;
		};

		ImplicitInputPin.prototype = Object.create(InputPin.prototype);
		ImplicitInputPin.prototype.constructor = ImplicitInputPin;

		/**
		 * @override
		 */
		ImplicitInputPin.prototype.acceptsIncomingEdges = function (fromPin) {
			// an implicit input pin will never accept edges
			return false;
		};


		return ImplicitInputPin;
	});
