define([
		"WFEditorWCR/workflow/pin/OutputPin",
		"WFEditorWCR/workflow/pin/WebCenterPinConstants",
		"utils/webi18n!WFEditorWCR"
	],
	function (
		OutputPin,
		WebCenterPinConstants,
		i18n
	) {
		"use strict";

		/**
		 * WebCenterOutputPinOK represents the model for an ouput pin in the WebCenter Workflow Editor.
		 * The pin has a label
		 *
		 * @exports WebCenterOutputPinOK
		 * @class
		 * @augments WebCenterPin
		 *
		 * @param {Workflow} workflow - the workflow to which the node belongs
		 * @param {Node} node - node to which the pin belongs
		 * @param {String} id - pin id
		 * @param {String} [label] - label
		 */
		var OutputPinOK = function OutputPinOK(workflow, node, ID, label) {
			if (!ID) {
				ID = WebCenterPinConstants.Type.OutOK;
			}

			if (typeof label === "undefined") {
				label = i18n.t(WebCenterPinConstants.Type.OutOK);
			}

			OutputPin.call(this, workflow, node, ID, WebCenterPinConstants.Type.OutOK, label);
		};

		OutputPinOK.prototype = Object.create(OutputPin.prototype);
		OutputPinOK.prototype.constructor = OutputPinOK;


		return OutputPinOK;
	});