define([
		"WFEditorWCR/workflow/pin/OutputPin",
		"WFEditorWCR/workflow/pin/WebCenterPinConstants"

	],
	function (
		OutputPin,
		WebCenterPinConstants
	) {
		"use strict";

		/**
		 * OutputPinTerminus represents the model for an ouput pin in the WebCenter Workflow Editor.
		 * This pin is only shown when there are tokens in the terminus node.
		 *
		 * @exports OutputPinTerminus
		 * @class
		 * @augments OutputPin
		 *
		 * @param {Workflow} workflow - the workflow to which the node belongs
		 * @param {Node} node - node to which the pin belongs
		 * @param {String} [id] - pin id
		 * @param {String} [label]
		 */
		var OutputPinTerminus = function OutputPinTerminus(workflow, node, ID, label) {
			if (!ID) {
				ID = WebCenterPinConstants.Type.Terminus;
			}

			OutputPin.call(this, workflow, node, ID, WebCenterPinConstants.Type.Terminus, label);
		};

		OutputPinTerminus.prototype = Object.create(OutputPin.prototype);
		OutputPinTerminus.prototype.constructor = OutputPinTerminus;


		return OutputPinTerminus;
	});