define([
		"WFEditorWCR/workflow/pin/OutputPin",
		"WFEditorWCR/workflow/pin/WebCenterPinConstants"
	],
	function (
		OutputPin,
		WebCenterPinConstants
	) {
		"use strict";

		/**
		 * OutputPinWarning represents the model for an ouput pin in the WebCenter Workflow Editor.
		 * The pin has a label
		 *
		 * @exports OutputPinWarning
		 * @class
		 * @augments WebCenterPin
		 *
		 * @param {Workflow} workflow - the workflow to which the node belongs
		 * @param {Node} node - node to which the pin belongs
		 * @param {String} id - pin
		 * @param {String} [label] - label
		 */
		var OutputPinWarning = function OutputPinWarning(workflow, node, ID, label) {
			if (!ID) {
				ID = WebCenterPinConstants.Type.OutWarning;
			}
			OutputPin.call(this, workflow, node, ID, WebCenterPinConstants.Type.OutWarning, label);

		};

		OutputPinWarning.prototype = Object.create(OutputPin.prototype);
		OutputPinWarning.prototype.constructor = OutputPinWarning;


		return OutputPinWarning;
	});