
define('tpl!web-viewer/help/HelpWidget', function(){return function(d){
var __t,__p='',__j=Array.prototype.join,print=function(){__p+=__j.call(arguments,'');};
__p+='<div class="helpWrapper">\r\n	<div class="searchWrapper">\r\n		<input class="searchBox" placeholder="'+
((__t=(d.i18n('helpSearchKnowledgeBase')))==null?'':_.escape(__t))+
'" />\r\n	</div>\r\n	<br />\r\n	<a href="'+
((__t=(d.iHaveAProblemLink))==null?'':_.escape(__t))+
'" target="_blank">'+
((__t=(d.i18n('helpNeedMoreHelp')))==null?'':_.escape(__t))+
'</a>\r\n</div>	';
return __p;
}});
define('web-viewer/help/HelpWidget',["web-viewer/layout/AbstractWidget",
		"Template",
		"web-viewer/layout/LayoutConstants",
		"tpl!web-viewer/help/HelpWidget",
		"web-viewer/utils/ListenerUtil",
		"utils/HTTPUtils",
		"jquery",
		"underscore"
	],
	function (AbstractWidget,
		Template,
		LayoutConstants,
		tpl,
		ListenerUtil,
		HTTPUtils,
		$,
		_) {


		/**
		 * @constant {Number} the speed to render the widget
		 */
		var RENDER_SPEED = 1000;

		/**
		 * @exports HelpWidget
		 * @memberof HelpModule 
		 * @augments Layout.AbstractWidget
		 * @class The HelpWidget shows some first aid to the user
		 * @constructor
		 * @mixes {Utils.ListenerUtilMixin}
		 * @param {Core.ViewerFacade} f
		 */
		var HelpWidget = function HelpWidget(f) {
			AbstractWidget.call(this, f, LayoutConstants.Widget.HELP);

			this.t = new Template(f.i18n, tpl);
			this.render = _.throttle(_.bind(this._render, this), RENDER_SPEED);

			// need more help? link to KB89438893 
			this.t.d.iHaveAProblemLink = "https://wiki.esko.com/pages/viewpage.action?pageId=90505429";

			this.setIcon("icon icon-WCR_Menu-Help");
			
			// bind some events
			this.t.bind("keydown", ".searchBox", this._searchEnter, this);
			this.t.bind("click", ".searchWrapper", this._searchClick, this);

			this.f.loadBundle("viewer", function () {
				this.setTitle(this.f.t("helpWidgetTitle"));
				this._render();
			}, this);


		};

		//inherit
		HelpWidget.prototype = Object.create(AbstractWidget.prototype);
		HelpWidget.prototype.constructor = HelpWidget;
		HelpWidget.widgetName = LayoutConstants.Widget.HELP;


		/**
		 * @override
		 */
		HelpWidget.prototype.setContext = function (context) {
			AbstractWidget.prototype.setContext.call(this, context);

			this.context.addClass("enableTextSelection helpWidget");

			this.t.setContext(this.context);
			this.render();
		};

		/**
		 * Render the widget
		 */
		HelpWidget.prototype._render = function () {
			this.t.render();
			this._fireResized();
		};

		/**
		 * Execute the search on the KB
		 * @param text
		 */
		HelpWidget.prototype._executeSearch = function (text) {
			// enter was pressed
			var param = {
				source: 'KBArticles',
				Keyword: "HTML5 Viewer " + text,
				product: "WebCenter",
			};

			window.open(HTTPUtils.constructURL("SearchResult", param, "http://www.esko.com/en/Support/"), "_blank");
		};

		/**
		 * Keydown event on the searchbox, detect enter and execute search
		 * @param {JQueryObj} el - the jquery element on which the event occurred
		 * @param {EventObject} event - the keydown event
		 */
		HelpWidget.prototype._searchEnter = function (el, event) {
			var keycode = (event.keyCode ? event.keyCode : event.which);
			if (keycode == '13') {
				this._executeSearch($(el).val());

			}
		};

		/**
		 * Click on the searchwrapper
		 * @param {JQueryObj} el - the jquery object on which the click occured
		 * @param {EventObject} event - the click event
		 */
		HelpWidget.prototype._searchClick = function (el, event) {
			var searchBox = $(el).find(".searchBox");

			if (event.pageX > $(el).offset().left + $(el).width() + 3 && searchBox.val().length > 0) {
				// the user clicked on the icon and there is a search keyword entered, execute a search
				this._executeSearch(searchBox.val());
			} else if (event.target != searchBox) {
				// the user clicked somewhere on the wrapper, (but not on the icon, or there was no search keyword)
				// focus the input field
				searchBox.focus();
			}
		};


		return HelpWidget;
	});


define('tpl!web-viewer/help/ShortcutsPopup', function(){return function(d){
var __t,__p='',__j=Array.prototype.join,print=function(){__p+=__j.call(arguments,'');};
__p+='\r\n';
 _.each(d.shortcuts, function(shortcutGroup, groupName){ 
__p+='\r\n	<div class="shortcutGroup">\r\n		<h3>'+
((__t=(d.i18n(groupName)))==null?'':__t)+
'</h3>\r\n		<ul>\r\n			';
 _.each(shortcutGroup, function(shortcut, shortcutName){
__p+='\r\n				<li><dl>\r\n					<dt>'+
((__t=(d.i18n(shortcutName)))==null?'':_.escape(__t))+
'</dt>\r\n					<dd class="shortcut">\r\n						';
 if(_.isString(shortcut)){ 
__p+='\r\n							<kbd>'+
((__t=( shortcut ))==null?'':__t)+
'</kbd>\r\n						';
 } else if(_.isArray(shortcut)){ 
__p+='\r\n							';
 _.each(shortcut, function(shortcutPart, index){ 
__p+='\r\n								';
 if(index>0){ 
__p+=' + ';
}
__p+=' <kbd>'+
((__t=(shortcutPart))==null?'':__t)+
'</kbd>\r\n							';
 }); 
__p+='\r\n						';
 } else if(_.isObject(shortcut)){ 
__p+='\r\n							';
 _.each(shortcut.shortcuts, function(shortcutCombo, index){ 
__p+='\r\n								';
 if(index>0){ 
__p+='\r\n									'+
((__t=(d.i18n(shortcut.keyword)))==null?'':_.escape(__t))+
'\r\n								';
 } 
__p+='\r\n								';
 _.each(shortcutCombo, function(shortcutPart, partIndex){
__p+='\r\n									';
 if(partIndex>0){ 
__p+=' + ';
}
__p+=' <kbd>'+
((__t=(shortcutPart))==null?'':__t)+
'</kbd>\r\n								';
 }); 
__p+='\r\n							';
 }); 
__p+='\r\n						';
 } 
__p+='\r\n					</dd></dl>\r\n				</li>\r\n			';
 }); 
__p+='\r\n		</ul>\r\n	</div>\r\n	';
 }); 
__p+='';
return __p;
}});
define('web-viewer/help/ShortcutsPopup',["web-viewer/core/PrivateChannel",
		"web-viewer/layout/component/ModalPopup",
		"Template",
		"tpl!web-viewer/help/ShortcutsPopup",
		"jquery",
		"underscore"
	],
	function (
		PrivateChannel,
		ModalPopup,
		Template,
		tpl,
		$,
		_) {
		"use strict";
		/**
		 * @exports ShortcutsPopup
		 * @memberof HelpModule
		 * @augments layout.component.ModelPopup
		 * @class Popup which shows an overview of all the keyboard shortcuts available in the Viewer.
		 *
		 * @param {Core.ViewerFacade} f - Viewer facade
		 */
		var ShortcutsPopup = function (f) {
			ModalPopup.call(this, f, "shortcuts", f.getContext(), true, 750);

			f.i18n.loadBundle("viewer", _.bind(function () {
				this.setHeader($("<span/>").addClass("popupTitle").html(f.i18n.t("ShortCutsPopupTitle")));
			}, this));

			//Don't show any buttons in the popup
			this.toggleButtons(false);

			this.element.addClass("shortcutsPopup");

			/**
			 * @member {Template} template for the popup
			 */
			this.t = new Template(this.f.i18n, tpl);
			this.t.setContext(this._popupContent);

			/**
			 * @private
			 * @member {Object} All the shortcuts as they will be rendered by the template
			 */
			this._shortcuts = {
				navigationShortcuts: {
					zoomToolShortcut: "z",
					panToolShortcut: "h",
					panSingleActionShortcut: "F7",
					zoomSingleActionShortcut: "F8",
					cancelZoomActionShortcut: "Esc",
					panWithSpaceShortcut: "Space",
					zoomInActionShortcut: {
						keyword: "orKeyword",
						shortcuts: [
							["Ctrl", "+"],
							["Ctrl", "="],
							["F5"]
						]
					},
					zoomOutActionShortcut: {
						keyword: "orKeyword",
						shortcuts: [
							["Ctrl", "-"],
							["F6"]
						]
					},
					panQuarterUpShortcut: {
						keyword: "orKeyword",
						shortcuts: [
							["Ctrl", "&uarr;"],
							["&#8984;", "&uarr;"]
						]
					},
					panQuarterRightShortcut: {
						keyword: "orKeyword",
						shortcuts: [
							["Ctrl", "&rarr;"],
							["&#8984;", "&rarr;"]
						]
					},
					panQuarterDownShortcut: {
						keyword: "orKeyword",
						shortcuts: [
							["Ctrl", "&darr;"],
							["&#8984;", "&darr;"]
						]
					},
					panQuarterLeftShortcut: {
						keyword: "orKeyword",
						shortcuts: [
							["Ctrl", "&larr;"],
							["&#8984;", "&larr;"]
						]
					}
				},
				compareShortcuts: {
					selectLastDocumentShortcut: "End",
					selectFirstDocumentShortcut: "Home",
					selectNextDocumentShortcut: "Page Down",
					selectPreviousDocumentShortcut: "Page Up",
					autoAlignShortcut: ["Ctrl", "l"],
					toggleCurrentPreviousViewShortcut: ["Ctrl", "s"],
					activateAnchorToolShortcut: "a",
					moveAnchorShortcuts: {
						keyword: ", ",
						shortcuts: [
							["&uarr;"],
							["&rarr;"],
							["&darr;"],
							["&larr;"]
						]
					}
				},
				channelShortcuts: {
					showAllChannelsShortcut: ["Alt", "a"],
					ShowFirstTenChannels: {
						keyword: "toKeyword",
						shortcuts: [
							["Alt", "1"],
							["Alt", "9"]
						]
					},
					showSecondTenChannels: {
						keyword: "toKeyword",
						shortcuts: [
							["Ctrl", "Alt", "1"],
							["Ctrl", "Alt", "9"]
						]
					},
					enableNextChannel: ["Alt", "n"]
				},
				orientationShortcuts: {
					rotateCWShortcut: ["Ctrl", "Alt", "+"],
					rotateCCWShortcut: ["Ctrl", "Alt", "-"],
					mirrorViewShortcut: ["Ctrl", "m"]
				},
				otherShortcuts: {
					deleteSelectedAnnotShortcut: "Delete",
					createLinkedAnnotShortcut: ["Shift", "Left Mouse"],
					toggleSizeUnitsShortcut: ["Ctrl", "u"],
					toggleResolutionShortcut: ["Ctrl", "Shift", "u"],
					showHelpPopupShortcut: ["?"]
				}
			};

		};

		ShortcutsPopup.prototype = Object.create(ModalPopup.prototype);
		ShortcutsPopup.prototype.constructor = ShortcutsPopup;

		/**
		 * Renders the popup
		 */
		ShortcutsPopup.prototype.render = function () {
			this.t.d.shortcuts = this._shortcuts;
			this.t.render();
		};

		/**
		 * Shows the popup.
		 */
		ShortcutsPopup.prototype.show = function () {
			this.render();

			ModalPopup.prototype.show.call(this);
		};

		return ShortcutsPopup;
	});

/**
 * @namespace HelpModule
 */
define('web-viewer/help/HelpModule',["web-viewer/core/AbstractModule",
		"web-viewer/help/HelpWidget",
		"web-viewer/help/ShortcutsPopup",
		"Mousetrap",
		"underscore"
	],
	function (AbstractModule,
		HelpWidget,
		ShortcutsPopup,
		Mousetrap,
		_) {
		"use strict";

		/**
		 * This module is responsible for displaying a help widget
		 *
		 * @exports HelpModule
		 * @constructor
		 * @augments Core.AbstractModule
		 * @param {Core.ViewerFacade} f
		 * @param {Boolean} silenced
		 */
		var HelpModule = function (f, silenced) {
			AbstractModule.call(this, f, silenced, "help");

			// publish the help widget
			this._publishWidget(HelpWidget.widgetName, function (layoutType) {
				return new HelpWidget(f);
			});

			if ("onhelp" in window) { // IE doesn't allow to block f1 (opens windows help)
				window.onhelp = _.bind(function (e) {
					this.openHelpPages();

					e.preventDefault();
					e.stopPropagation();

					return false;
				}, this);
			} else {
				Mousetrap.bind("f1", _.bind(function (e) {
					this.openHelpPages();

					e.preventDefault();
					e.stopPropagation();
				}, this), "keydown");
			}

			Mousetrap.bind("?", _.bind(function (e) {
				this.openShortcutsPopup();

				e.preventDefault();
				e.stopPropagation();
			}, this));
		};

		// inherit
		HelpModule.prototype = Object.create(AbstractModule.prototype);
		// correct the constructor pointer 
		HelpModule.prototype.constructor = HelpModule;

		HelpModule.prototype.openHelpPages = function () {
			// note we rely on the fact that the WebCenter data adapter is used, the help system is a WebCenter Specifc tool, so this is not a problem here!
			// in this way the HTML5Viewer help can also be customized by the customer
			var helpURL = this.f.getDataAdapter().WebCenter("help.jsp", {
				lang: this.f.i18n.getLocale(),
				topic: "common/wc/concept/co_wc_TheWebCenterViewer"
			});
			// this is the same popup as the one that is being used in WebCenter :)
			var popup = window.open(helpURL, "help", "scrollbars=1, width=800 ,height=400, toolbar=yes, location=yes, menu=yes");
			popup.focus();
		};

		/**
		 * Open the popup that shows all the shortcuts
		 */
		HelpModule.prototype.openShortcutsPopup = function () {
			if (!this._shortcutsPopup) {
				this._shortcutsPopup = new ShortcutsPopup(this.f);
			}

			this._shortcutsPopup.show();
		};

		return HelpModule;

	});

