define(["component/tooltip/Tooltip",
		"web-viewer/utils/ViewerUtils",
		"utils/ConvertUtils",
		"jquery"
	],
	function (Tooltip,
		ViewerUtils,
		ConvertUtils,
		$) {
		"use strict";
		var AutoTimeLabel = function (f, date) {
			this.editOnTop = true;

			this.element = $("<span>");

			this.date = date;

			this.tooltip = new Tooltip(f.i18n, this.element, f.getContext(), f.getContext(), f.isMobile(), ConvertUtils.getLangFormattedDateAndTime(f.i18n, this.date));

			this.updateText = function (isCreationDate) {
				f.i18n.loadBundle("viewer", _.bind(function () {
					this.element.text(userFriendlyDate(this.date));
					var dateString = "";
					if (isCreationDate) {
						dateString = f.i18n.t("createdOn");
					} else {
						dateString = f.i18n.t("modifiedOn");
					}
					this.tooltip.setTooltipContent(dateString + ConvertUtils.getLangFormattedDateAndTime(f.i18n, this.date));
				}, this));
			};

			this.updateText();

			function userFriendlyDate(date) {
				var seconds = Math.floor((new Date().getTime() - date.getTime()) / 1000);

				var days = Math.floor(seconds / (3600 * 24));
				seconds -= days * 3600 * 24;

				var hours = Math.floor(seconds / 3600);
				seconds -= hours * 3600;

				var minutes = Math.floor(seconds / 60);
				seconds -= minutes * 60;

				var ago;
				var text = null;
				if (days > 0) {
					if (days == 1) {
						text = f.i18n.t("dateYesterday");
					} else if (days < 5) {
						ago = days + f.i18n.t("daysAbbreviation");
					} else {
						text = ConvertUtils.getLangFormattedDate(f.i18n, date);
					}
				} else if (hours > 0) {
					ago = hours + f.i18n.t("hoursAbbreviation");
				} else if (minutes > 0) {
					ago = minutes + f.i18n.t("minutesAbbreviation");
				} else {
					ago = seconds + f.i18n.t("secondsAbbreviation");
					ago = "< 1" + f.i18n.t("minutesAbbreviation");
				}

				return text ? text : f.i18n.t("timeAgo", ago);
			}


		};


		return AutoTimeLabel;
	});