/**
 * @memberof layout
 */
define({
	LayoutItemType: {
		WIDGET: 0,
		TOOLBARCOMPONENT: 1
	},
	Widget: {
		CHANNELS: "channelsWidget",
		CAD: "cadWidget",
		APPROVAL: "approvalDetailsWidget",
		HELP: "help/helpWidget",
		ANNOTATION: "annotationWidget",
		COMPARE: "compareWidget",
		PAGELIST: "pagelist/pagelistWidget",
		DEBUG: "debugWidget",
		INFO: "infoWidget",
		VIEWPORT: "ViewportWidget",
		ALIGNWIZARD: "compareAlignmentWizardWidget",
		DOCUMENTINFO: "documentInfo/DocumentInfoWidget",
		MESSAGE: "message/MessageWidget",
		NAVIGATOR: "navigation/NavigatorWidget",
		VIEWCONTROLS: "viewControlsWidget",
		ATTRIBUTE_CATEGORY: "attributeCategoryWidget",
		VIEW3D: "View3DWidget",
		TEXTCONTENT: "textContent/TextContentWidget"
	},
	ToolbarComponent: {
		ANNOTATION: "annotationControls",
		DYNCONTENT: "dynContentControls",
		APPROVAL: "approvalControls",
		COMPARE: "compareControls",
		MEASURE: "measureControls",
		NAVIGATE: "navigationControls",
		PAGELIST: "pagelistControls",
		DOCUMENTSELECTOR: "documentSelector",
		PAGESELECTION: "pageselectionControls",
		VIEW3D: "view3DControls",
		TEXTSELECTION: "textSelectionControls"
	},
	LayoutMode: {
		BASIC: 0,
		RESTRICTED: 1,
		WIZARD: 2,
		MOBILE_VIEW: 3,
		MOBILE_READERSPREAD: 4,
		MOBILE_ANNOTATION: 5,
		MOBILE_COMPARE: 6,
		MOBILE_3D: 7
	},
	LayoutType: {
		AUTOMATIC: "automatic",
		DESKTOP: "desktop",
		MOBILE: "mobile",
		FLEX: "flex",
        MINIMAL: "minimal"
	},
	MobileLayoutModeBarOrder: [
		3, // MOBILE_VIEW
		6, // MOBILE_COMPARE
		4, // MOBILE_READERSPREAD
		7, // MOBILE_3D
		5 // MOBILE_ANNOTATION
	],
	ViewerStyle: {
		ADVANCED: 0,
		NORMAL: 1,
		RESTRICTED: 2,
		SIMPLIFIED: 3
	}
});