define(["web-viewer/layout/component/RichTextEditorTextarea",
		"web-viewer/layout/component/RichTextEditorTinyMCE"
	],
	function (RichTextEditorTextarea,
		RichTextEditorTinyMCE) {
		"use strict";

		/**
		 * Create a new TinyMCE rich text editor. The richtext editor is not shown by default, it will be initialized by calling .init()
		 * @class
		 * A rich text editor has a title, a rich text area and an action bar with some buttons.
		 * This class hangs on the DOM element in the property "richTextObj"
		 * @exports RichTextEditor
		 */
		return {
			/**
			 * Create a new editor instance, depending on the used  device a TinyMCE or Textarea editor is created
			 * @param {ViewerFacade} f
			 * @returns {RichTextEditor}
			 */
			createEditor: function (f) {
				if (f.getFeatureDetector().isIOS()) { // on iOS tinyMCE has some serious (native) issues, load a textarea editor instead
					return new RichTextEditorTextarea(f);
				} else {
					return new RichTextEditorTinyMCE(f);
				}
			}
		};

	});