define(["web-viewer/layout/LayoutConstants", "jquery"], function (LayoutConstants, $) {
	return {
		load: function (name, req, onload, config) {
			if (config.isBuild) {
				//Indicate that the optimizer should not wait
				//for this resource any more and complete optimization.
				//This resource will be resolved dynamically during
				//run time in the web browser.
				onload();
				return;
			}

			// this fallback implementation is the default CustomFormExtension.js implementation
			var defaultConfiguration = {
				layout: {
					north: [LayoutConstants.ToolbarComponent.PAGELIST,
						LayoutConstants.ToolbarComponent.NAVIGATE,
						LayoutConstants.ToolbarComponent.MEASURE,
						LayoutConstants.ToolbarComponent.TEXTSELECTION,
						LayoutConstants.ToolbarComponent.COMPARE,
						LayoutConstants.ToolbarComponent.ANNOTATION,
						LayoutConstants.ToolbarComponent.VIEW3D,
						LayoutConstants.ToolbarComponent.APPROVAL,
						LayoutConstants.ToolbarComponent.DYNCONTENT
					],
					east: [LayoutConstants.Widget.NAVIGATOR,
						LayoutConstants.Widget.VIEW3D,
						LayoutConstants.Widget.VIEWCONTROLS,
						LayoutConstants.Widget.CHANNELS,
						LayoutConstants.Widget.CAD,
						LayoutConstants.Widget.DEBUG,
						LayoutConstants.Widget.APPROVAL,
						LayoutConstants.Widget.INFO,
						LayoutConstants.Widget.HELP
					],
					west: [LayoutConstants.Widget.COMPARE,
						LayoutConstants.Widget.ATTRIBUTE_CATEGORY,
						LayoutConstants.Widget.ANNOTATION,
						LayoutConstants.Widget.PAGELIST,
						LayoutConstants.Widget.TEXTCONTENT
					]
				},
				west: {
					iconified: true
				},
				east: {
					iconified: true
				},
				disabledItems: []
			};

			req(["wcrBase/custom/viewer/" + name], function (CustomLayout) {
				if (CustomLayout) {
					onload(CustomLayout);
				} else {
					onload(defaultConfiguration);
				}
			}, function () {
				// something went wrong
				onload(defaultConfiguration);
			});

		}
	};
});
