define([], function () {

	/**
	 * Simple container for showing elements
	 * It has methods for appding items (WidgetWrapper or ToolbarComponent) to the container
	 * @class
	 * @constructor
	 * @exports FlexSection
	 * @param {JQueryObj} the context of the FlexSection
	 */
	var FlexSection = function (context) {
		this._context = context;
	};

	/**
	 * Append an item
	 * @param {WidgetWrapper,ToolbarComponent} item - item to add (should have ".element" property)
	 */
	FlexSection.prototype.appendItem = function (item) {
		this._context.append(item.element);
	};

	/**
	 * Prepend an item before another item
	 * @param {WidgetWrapper,ToolbarComponent} itemToPrepend- item to add (should have ".element" property)
	 * @param {WidgetWrapper,ToolbarComponent} existingitem - sibbling that hsould be after itemToPrepend  (should have ".element" property)
	 */
	FlexSection.prototype.prependItemBeforeItem = function (itemToPrepend, existingItem) {
		existingItem.element.before(itemToPrepend.element);
	};

	return FlexSection;

});