define(["web-viewer/layout/LayoutConstants",
		"web-viewer/layout/desktop/WizardMode",
		"underscore"
	],
	function (
		LayoutConstants,
		WizardMode,
		_
	) {
		"use strict";

		/**
		 * @exports FlexWizardMode
		 * @memberof Layout
		 * @class
		 * Wizard mode of the desktoplayout. Will allow all the layout items to be added and the state is persisted.
		 * @constructor
		 * @param {Core.ViewerFacade} f
		 * @param {Layout} layout
		 */
		var FlexWizardMode = function (f, layout) {
			WizardMode.call(this, f, layout);


		};

		FlexWizardMode.prototype = Object.create(WizardMode.prototype);
		FlexWizardMode.prototype.constructor = FlexWizardMode;

		/**
		 * @Override
		 */
		FlexWizardMode.prototype._hideSidePanels = function () {
			this._layout.setSidebarsEnabled(false);
		};

		/**
		 * @Override
		 */
		FlexWizardMode.prototype._showSidePanels = function () {
			this._layout.setSidebarsEnabled(true);
		};


		/**
		 * @Override
		 */
		FlexWizardMode.prototype._hideModalWidgets = function () {
			// nothing to do
		};

		/**
		 * @Override
		 */
		FlexWizardMode.prototype._showModalWidgets = function () {
			// nothing to do
		};

		return FlexWizardMode;
	});