define(["web-viewer/webcenter/WebCenterDocumentPage",
"utils/ShapeUtils", "jquery"], function (WebCenterDocumentPage, ShapeUtils, $) {
	
	
	/**
	 * Set Extensions for SVG pages
	 */
	function SvgDataExtensions(f) {
		
		/**
		 * returns the size of the svg
		 * @return {ShapeUtils.Size}
		 */
		WebCenterDocumentPage.prototype.getSVGSize = function () {
			if (this.get("SVGSize")){
				return this.get("SVGSize");
			} else {
				return new ShapeUtils.Size();
			}
		};
		
		/**
		 * Check if the svg has been loaded
		 * @return {Boolean}
		 */
		WebCenterDocumentPage.prototype.isSVGLoaded = function(){
			var svgData = this.get("svgData");
			return  svgData && svgData.loaded === true && svgData.rawSVG;
		};
		
		/**
		 * Returns the svg element
		 * @return {JQueryObject}
		 */
		WebCenterDocumentPage.prototype.getSVGElement = function(){	
			return this.get("svgData") && this.get("svgData").rawSVG;
		};
	}


	return SvgDataExtensions;

});