define([],
	function () {
		"use strict";

		/**
		 * Represents a WebCenter resticted set value
		 * @param {String} id - ID of the value
		 * @param {String} value - the value itself
		 */
		var WebCenterRestrictedSetValue = function (id, value) {
			this._id = id;
			this._value = value;
		};

		/**
		 * Get the ID of the restricted set value
		 * @returns {String}
		 */
		WebCenterRestrictedSetValue.prototype.getId = function () {
			return this._id;
		};

		/**
		 * Get the value of the restricted set value
		 * @returns {String}
		 */
		WebCenterRestrictedSetValue.prototype.getValue = function () {
			return this._value;
		};

		return WebCenterRestrictedSetValue;
	});