<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE xsl:stylesheet [
  <!ENTITY copy "&#169;">
  <!ENTITY nbsp "&#160;">
  <!ENTITY lk "/webcenter_page/user_lang_key">
]>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format" xmlns:java="http://xml.apache.org/xslt/java" xmlns:XSLUtils="com.esko.webcenter.jsp.XSLUtils" xmlns:Lang="com.esko.webcenter.jsp.LanguageMgr" exclude-result-prefixes="XSLUtils java Lang">
  <xsl:import href="template.xsl"/>
  <xsl:import href="templatedate.xsl"/>
  <xsl:import href="projwctasktemplates.xsl"/>
  <xsl:import href="projdetails_template.xsl"/>
  <xsl:import href="attrunittmplts.xsl"/>
  <xsl:import href="attributetemplates.xsl"/>
  
  <xsl:key name="TaskStatusKey" match="/webcenter_page/project_wctask_status/status" use="id"/>
  
  
  
  <xsl:variable name="useTableBodyContainer" select="false()" />
  
  
	<!-- global variables -->
  
  <xsl:variable name="isTaskComplete" select="/webcenter_page/project_wctask/is_complete != 0" />
  <xsl:variable name="isTaskSpecsEditable" select="not($isTaskComplete) and (((/webcenter_page/is_task_editable = '1') and ($isProjectActive = '1')) or (/webcenter_page/is_project_editable = '1'))"/>
  
  
  <xsl:template name="bodyextensions">
    <xsl:attribute name="onload"></xsl:attribute>
  </xsl:template>

	<!-- 
  
            template that controls the generation of the body header
            
	-->
	<xsl:template name="bodyheader">
		<!-- no header -->
	</xsl:template>
	
	<xsl:template name="pagesubtitle">
		<h2 class="page-sub-title"><xsl:value-of select="Lang:getStr(&lk;,'PROJ_TASK_SPECS')"/>&nbsp;<xsl:value-of select="project_wctask/name"/></h2>
	</xsl:template>

  <!-- 
  
            template that controls the generation of the body content
            
  -->
  <xsl:template name="bodycontent">
	
	<!-- Confirmation section -->
	<xsl:call-template name="DisplayNotification"/>
	<xsl:call-template name="DisplayAttrSaveNotification"/>
	
	
	
	   <form name="actionform" method="post" action="doprojectwctask.jsp" enctype="MULTIPART/FORM-DATA" class="wcr-form">
	       <xsl:call-template name="projDetailsHiddenInputs"/>
	       <xsl:call-template name="projWcTaskDetailsHiddenInputs"/>
	   <input type="hidden" name="actionVal" value="SaveSpecificationValues"/>
        <div id="ACatObj"></div>
        <div id="ACatPanel"></div>
        
            <!-- Save Button -->
	    <xsl:if test="$isTaskSpecsEditable">
	    	<div class="add-spacing-top">
	          <input type="submit" onclick="ValidateFormParams(this); return false;" value="{Lang:getStr(&lk;,'SAVECHANGES')}" name="Save" class="btn btn-primary" />
	        </div>
	    </xsl:if>
		</form>  

  </xsl:template>  
  
 

  <!-- 
  
            template that controls the inclusion of javascript functionality 
            
  -->
  <xsl:template name="scriptincs">
    <script src="javascript/validate.js" type="text/javascript"/>
    <script src="javascript/TableSelection.js" type="text/javascript"/>
    <script src="javascript/webcenter_ajax.js" type="text/javascript"/>
    <script src="javascript/webcenter_xml.js" type="text/javascript"/>
    <script src="javascript/webcenter_html.js" type="text/javascript"/>
    <script type="text/javascript">
		
        function SetInitialFocus()
        {
          // set the focus to the keyword search box
          //document.projtaskform.clearfilters.focus();
        }

		
		function ValidateFormParams(elem)
		{
			// disable the save button to prevent multiple form submits
			elem.disabled = true;
		
			// The delay of submit is needed here to move the validation and submit (including generation of document reference "saveXML")
			// in the asynchronous calls queue after the potentially pending debounced attribute category re-paint(s), which can be triggered
			// by rules defined in attribute category.
			setTimeout(function() {
				assignDate(document.actionform);
				
				document.actionform.actionVal.value = 'SaveSpecificationValues';
		
			    var aCatObj = document.getElementById("ACatObj");
			    var validationOK = true;
			    if (aCatObj &amp;&amp; aCatObj.ACatObj) {
				    validationOK = aCatObj.ACatObj.prepareForSubmit(false, true);
			    }
			    if (validationOK) {
			    	document.actionform.submit();
				} else {
					// make sure the user has a chance to submit again corrected form
					elem.disabled = false;
				}
			}.bind(this), 500);
		}
		
      
	<xsl:if test="/webcenter_page/project_wctask/task_type_id">
	require(["attributecategory/AttributeCategory"], function(AttributeCategory){
      $(document).ready(function() {
			// construct the language array
			var currentUser = ObjectHandler.getCloneOfObject(gCurrentUser);
			currentUser.canEditAttributes = <xsl:value-of select="$isTaskSpecsEditable"/>;
			var isTaskCompleted = <xsl:value-of select="$isTaskComplete"/>;
			
			var aCatOptions = new Object();
			aCatOptions.ACatObj = "ACatObj";
			aCatOptions.isTemplate = false;
			aCatOptions.ACatPanel = "ACatPanel";
			aCatOptions.readURL = "GetTaskTypeLayoutXML.jsp?taskTypeID=" + '<xsl:value-of select="/webcenter_page/project_wctask/task_type_id"/>';
			aCatOptions.currentUser = currentUser;
			aCatOptions.valuesURL = "GetAttributes.jsp?projectid="+'<xsl:value-of select="/webcenter_page/project/@id"/>'
								+ "&amp;tasktypeid="+'<xsl:value-of select="/webcenter_page/project_wctask/task_type_id"/>'
			   						+ "&amp;taskid="+'<xsl:value-of select="/webcenter_page/project_wctask/@id"/>';
			aCatOptions.projectAttributeValuesURL = "GetAttributes.jsp?projectid="+'<xsl:value-of select="/webcenter_page/project/@id"/>';
			aCatOptions.defaultHourAsHalfHours = <xsl:value-of select="/webcenter_page/default_due_date_time"/>;
			aCatOptions.isTaskTypePage = true;
			aCatOptions.autoUpdateProjAttrsCheckbox = <xsl:value-of select="/webcenter_page/project_wctask/wctask_type/auto_update_project_attributes"/>;
			if (isTaskCompleted) {
		    	// this prevents the automatic updating of empty task specifications from project attributes
		    	// when the task is already completed! 
		    	aCatOptions.autoUpdateProjAttrsCheckbox = false;
		    }
			aCatOptions.type = "task";
			aCatOptions.projectID = '<xsl:value-of select="/webcenter_page/project/@id"/>';
			aCatOptions.taskID = '<xsl:value-of select="/webcenter_page/project_wctask/@id"/>';
			myACat = new AttributeCategory(aCatOptions);
			
		    // myACat is a global variable that is sometimes overwritten. this is a safe solution
		    var taskACatObj = myACat;
		    
		    // add trigger to warn user when leaving the page with unsaved changes
		    window.onbeforeunload = function() {
		    	if ((taskACatObj.attributesChanged === true) &amp;&amp; !taskACatObj.submitInProgress) {
		    		return '<xsl:call-template name="encodesinglequotes"><xsl:with-param name="string" select="Lang:getStr(&lk;,'ACatConfirmPageExit')"/></xsl:call-template>';
		    	}
		    };
     	 });
     });
	</xsl:if>

    </script>
    <xsl:call-template name="ProjDetailsJavaScript"/>
	<xsl:call-template name="AttributeTemplateJavaScript"/>	
  </xsl:template>
</xsl:stylesheet>
