/* ***** BEGIN LICENSE BLOCK *****
 * Distributed under the BSD license:
 *
 * Copyright (c) 2010, Ajax.org B.V.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *     * Redistributions of source code must retain the above copyright
 *       notice, this list of conditions and the following disclaimer.
 *     * Redistributions in binary form must reproduce the above copyright
 *       notice, this list of conditions and the following disclaimer in the
 *       documentation and/or other materials provided with the distribution.
 *     * Neither the name of Ajax.org B.V. nor the
 *       names of its contributors may be used to endorse or promote products
 *       derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL AJAX.ORG B.V. BE LIABLE FOR ANY
 * DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * ***** END LICENSE BLOCK ***** */

/* ***** BEGIN LICENSE BLOCK *****
 * Distributed under the BSD license:
 *
 * Copyright (c) 2012, Ajax.org B.V.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *     * Redistributions of source code must retain the above copyright
 *       notice, this list of conditions and the following disclaimer.
 *     * Redistributions in binary form must reproduce the above copyright
 *       notice, this list of conditions and the following disclaimer in the
 *       documentation and/or other materials provided with the distribution.
 *     * Neither the name of Ajax.org B.V. nor the
 *       names of its contributors may be used to endorse or promote products
 *       derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL AJAX.ORG B.V. BE LIABLE FOR ANY
 * DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * ***** END LICENSE BLOCK ***** */

/* ***** BEGIN LICENSE BLOCK *****
 * Distributed under the BSD license:
 *
 * Copyright (c) 2012, Ajax.org B.V.
 * All rights reserved.
 * 
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *     * Redistributions of source code must retain the above copyright
 *       notice, this list of conditions and the following disclaimer.
 *     * Redistributions in binary form must reproduce the above copyright
 *       notice, this list of conditions and the following disclaimer in the
 *       documentation and/or other materials provided with the distribution.
 *     * Neither the name of Ajax.org B.V. nor the
 *       names of its contributors may be used to endorse or promote products
 *       derived from this software without specific prior written permission.
 * 
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL AJAX.ORG B.V. BE LIABLE FOR ANY
 * DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * ***** END LICENSE BLOCK ***** */

define("component/smartnames/encoding/smartnamestringpart",["require","exports","module"],function(l,m){var j=function(){};(function(){this.isSmartNamePart=function(){return null!==this._smartName};this.isTextPart=function(){return null!==this._text};this.getAsSmartName=function(){return this._smartName};this.getAsText=function(){return this._text}}).call(j.prototype);m.makeSmartNamePart=function(f){if(null==f)throw'A "SmartName" part of a SmartName string can not be null.';var c=new j;c._smartName=
f;c._text=null;return c};m.makePlainTextPart=function(f){if(null==f)throw'A "Text" part of a SmartName string can not be null.';var c=new j;c._smartName=null;c._text=f;return c}});
define("component/smartnames/encoding/smartnameargumentencoding",["utils/wcrerror","utils/extendedstring"],function(l){var m={},j=function(f,c){this._delimeterChar=f;this._escapeChar=c};(function(){this.encodeSmartName=function(f,c){for(var h=f,e=0;e<c.length;e++)var k=c[e].replaceAll(this._escapeChar,this._escapeChar+this._escapeChar).replaceAll(this._delimeterChar,this._escapeChar+this._delimeterChar),h=h+this._delimeterChar,h=h+k;return h.toString()};this.decodeSmartNameArguments=function(f){for(var c=
[],h=!1,e="",k=0;k<f.length;k++){var a=f.charAt(k);if(a===this._escapeChar)h&&(e+=this._escapeChar),h=!h;else if(a===this._delimeterChar)h?(e+=this._delimeterChar,h=!1):(c.push(e),e="");else{if(h)throw new l("SMARTNAME_ARGUMENT_PARSING_ILLEGAL_ESCAPE_CHARACTER","Parsing of arguments of SmartName failed. Found a single escape character in the string.");e+=a}}c.push(e);if(h)throw new l("SMARTNAME_ARGUMENT_PARSING_ILLEGAL_ESCAPE_CHARACTER","Parsing of arguments of SmartName failed. Found a single escape character in the string.");
return c}}).call(j.prototype);m.DEFAULT=new j(":","\\");m.constructor=j;return m});
define("component/smartnames/encoding/smartname",["../encoding/smartnameargumentencoding"],function(l){var m=function(){if(1===arguments.length){var j=l.DEFAULT.decodeSmartNameArguments(arguments[0]);this._name=j[0];this._arguments=1<j.length?j.slice(1,j.length):[]}else if(1<arguments.length)this._name=arguments[0],2==arguments.length&&arguments[1].constructor==Array?this._arguments=arguments[1]:(this._arguments=Array.prototype.slice.call(arguments),this._arguments=this._arguments.slice(1,this._arguments.length));
else if(1>arguments.length)throw Error("A SmartName requires at least one 'name' parameter.");};(function(){this.getName=function(){return this._name};this.getArguments=function(){return this._arguments};this.getFullName=function(){return l.DEFAULT.encodeSmartName(this._name,this._arguments)};this.equals=function(j){if(j instanceof m){var f=j.getName()===this.getName(),j=this._compareArguments(j);return f&&j}return!1};this._compareArguments=function(j){if(this._arguments.length===j.getArguments().length){for(var f=
0;f<this._arguments.length;f++)if(this._arguments[f]!==j.getArguments()[f])return!1;return!0}return!1}}).call(m.prototype);return m});
define("component/smartnames/encoding/smartnameencoding",["./smartnamestringpart","./smartname","utils/wcrerror","underscore","utils/extendedstring"],function(l,m,j,f){function c(c){if(!1===c)throw Error("Something is wrong in the implementation of the SmartNameEncoding. Assert failed.");}var h={},e=function(e,a,d,g,b){this._startOfSmartName=e;this._endOfSmartName=a;this._escapeChar=d;if(this._fuzzyEncoding=g)this._smartnameLookupFunction=b;this._charactersToEscape=[];g=d+e+a;for(b=0;b<g.length;b++){var n=
g.charAt(b);f.contains(this._charactersToEscape,n)||this._charactersToEscape.push(n)}this._charactersToEscape=[d,e.charAt(0),a.charAt(0)];c(-1===e.indexOf(d));c(-1===a.indexOf(d))};(function(){this.escapeString=function(c){return this._fuzzyEncoding?c:this._escapeStringInternal(c)};this._escapeStringInternal=function(c){for(var a=0;a<this._charactersToEscape.length;a++)c=c.replaceAll(""+this._charactersToEscape[a],""+this._escapeChar+this._charactersToEscape[a]);return c};this.unescapeString=function(c){return this._fuzzyEncoding?
c:this._unescapeStringInternal(c)};this._unescapeStringInternal=function(c){for(var a=this._charactersToEscape.length-1;0<=a;a--)c=c.replaceAll(""+this._escapeChar+this._charactersToEscape[a],""+this._charactersToEscape[a]);return c};this.encodeSmartNameString=function(c){for(var a="",d="",g=0;g<c.length;g++){var b=c[g];b.isTextPart()?d+=b.getAsText():(a+=this.escapeString(d),d="",a+=this._startOfSmartName,a+=this._escapeStringInternal(b.getAsSmartName().getFullName()),a+=this._endOfSmartName)}return a+=
this.escapeString(d)};this.encodeSmartNameStringSingleSmartName=function(c){return this._startOfSmartName+this._escapeStringInternal(c.getFullName())+this._endOfSmartName};this._revertDecodedOpenSmartName=function(c,a){var d="";0<a.length&&a[a.length-1].isTextPart()&&(d+=a.pop().getAsText());return d+c};this.decodeSmartNameString=function(c){for(var a=[],d=-1,g="",b=0;b<c.length;b++){var e=c.charAt(b);if(e===this._escapeChar)if(this._fuzzyEncoding&&-1===d)g+=e;else if(b+1<c.length){var i=c.charAt(b+
1);if(f.contains(this._charactersToEscape,i))g+=i,b++;else if(this._fuzzyEncoding)g=this._revertDecodedOpenSmartName(c.substring(d,b),a),g+=e,d=-1;else throw new j("SMARTNAME_PARSING_ILLEGAL_ESCAPE_CHARACTER","Parsing of string with SmartNames failed. Found a single escape character in the string.");}else if(this._fuzzyEncoding)g=this._revertDecodedOpenSmartName(c.substring(d,b),a),g+=e,d=-1;else throw new j("SMARTNAME_PARSING_ILLEGAL_ESCAPE_CHARACTER","Parsing of string with SmartNames failed. Found a single escape character in the string.");
else if(b+this._startOfSmartName.length<=c.length&&this._startOfSmartName===c.substring(b,b+this._startOfSmartName.length)){this._fuzzyEncoding&&0<=d&&(g=this._revertDecodedOpenSmartName(c.substring(d,b),a),d=-1);if(0<=d)throw new j("SMARTNAME_PARSING_SMARTNAME_ALREADY_OPEN","Parsing of string with SmartNames failed. SmartName started within a SmartName.");0<g.length&&a.push(l.makePlainTextPart(g));g="";d=b;b+=this._startOfSmartName.length-1}else if(b+this._endOfSmartName.length<=c.length&&this._endOfSmartName===
c.substring(b,b+this._endOfSmartName.length)){if(-1===d)if(this._fuzzyEncoding){g+=e;continue}else throw new j("SMARTNAME_PARSING_SMARTNAME_NOT_OPEN","Parsing of string with SmartNames failed. SmartName was closed before the SmartName was opened.");else{i=null;try{i=new m(g)}catch(p){if(this._fuzzyEncoding){g=this._revertDecodedOpenSmartName(c.substring(d,b),a);g+=e;d=-1;continue}else throw p;}if(this._fuzzyEncoding&&!this._smartnameLookupFunction(i)){g=this._revertDecodedOpenSmartName(c.substring(d,
b),a);g+=e;d=-1;continue}a.push(l.makeSmartNamePart(i));g="";d=-1}b+=this._endOfSmartName.length-1}else g+=e}this._fuzzyEncoding&&0<=d&&(g=this._revertDecodedOpenSmartName(c.substring(d),a),d=-1);if(0<=d)throw new j("SMARTNAME_PARSING_SMARTNAME_NEVER_CLOSED","Parsing of string with SmartNames failed. SmartName was never closed.");0<g.length&&a.push(l.makePlainTextPart(g));return a};this.containsSmartName=function(c){if(c)for(var c=this.decodeSmartNameString(c),a=0;a<c.length;a++)if(c[a].isSmartNamePart())return!0;
return!1};this.modifySmartNameEncodedString=function(c,a,d){if(void 0===a||null===a)a=function(a){return a};if(void 0===d||null===d)d=function(a){return a};for(var c=this.decodeSmartNameString(c),g=0;g<c.length;g++){var b=c[g];b.isSmartNamePart()?(b=b.getAsSmartName(),b=d(b),c[g]=l.makeSmartNamePart(b)):(b=b.getAsText(),b=a(b),c[g]=l.makePlainTextPart(b))}return this.encodeSmartNameString(c)}}).call(e.prototype);h.SAVEDSEARCH=new e("{","}","!",!1);h.AUTONAMING=new e("[","]","\u00a7",!1);h.WORKFLOWEDITOR=
new e("<","/>","\u00a7",!0,function(c){c.getName();return!0});h.UNIVERSALCOPYPASTEENCODING=new e("[","]","\\",!1);h.constructor=e;return h});define("utils/webcss-text!component/smartnames/input/smartnameeditpanel-style.css",[],function(){return".w .SmartNameEditPopover {\r\n\tz-index: 61;\r\n\tborder: 1px solid #ccc;\r\n\tbackground-color: rgba(250,250,250,1);\r\n}\r\n.w .SmartNameParamConfig {\r\n\twidth: 485px;\r\n\tmargin: 8px;\r\n}\r\n.w .SmartNameParamConfig .form-compact .form-group label {\r\n\ttext-align: right;\r\n}\r\n.w .SmartNameParamConfig .ToolbarWrapper {\r\n\twidth: 100%;\r\n\tmargin-top: -8px;\r\n}\r\n.w .SmartNameParamConfig .ToolbarWrapper > .AddRemoveButtonWrapper {\r\n\tfloat: left;\r\n\ttext-align: left;\r\n}\r\n.w .SmartNameParamConfig .ToolbarWrapper > .AddRemoveButtonWrapper > button {\r\n\tmargin-right: 3px;\r\n}\r\n.w .SmartNameParamConfig .ToolbarWrapper > .SaveCancelButtonWrapper {\r\n\tfloat: right;\r\n\ttext-align: right;\r\n}\r\n.w .SmartNameParamConfig .ToolbarWrapper > .SaveCancelButtonWrapper > button {\r\n\tmargin-left: 3px;\r\n}"});
define("component/smartnames/input/smartnameeditpanel-view",["jquery","utils/webi18n!SmartNameSelector","utils/webcss!./smartnameeditpanel-style.css"],function(l,m){var j=function(f,c,h){this._parameterSmartFields=[];this._labels=h&&h.labels?h.labels:[];this._hasStrictParams=h&&!0==h.hasStrictParams?!0:!1;h.smartnameInputOptions.dictionaryService&&(this._dictionaryService=h.smartnameInputOptions.dictionaryService);h.smartnameInputOptions.encoding&&(this._encoding=h.smartnameInputOptions.encoding);
h.smartnameInputOptions.displayFunction&&(this._displayFunction=h.smartnameInputOptions.displayFunction);h.smartnameInputOptions.selectorDisplayFunction&&(this._selectorDisplayFunction=h.smartnameInputOptions.selectorDisplayFunction);this._onSave=[];this._onCancel=[];this._wrapper=l("<div>",{"class":"SmartNameParamConfig"});this._paramForm=l("<div>",{"class":"parameter-panel form-horizontal form-compact notOnlyOffsetLabels"});if(0<c.length||0<this._labels.length){for(f=0;f<c.length;f++)this.addParameter(c[f]);
c=this._labels.length-c.length;if(0<c)for(f=0;f<c;f++)this.addParameter("")}else this.addParameter("");c=l("<div>",{"class":"AddRemoveButtonWrapper"});f=l("<i>",{"class":"icon icon-WCR_Plus"});this._addParameterButton=l("<button>",{"class":"btn btn-default btn-xs"}).append(f);this._addParameterButton.on("click",function(){this.addParameter("")}.bind(this));f=l("<i>",{"class":"icon icon-WCR_Minus"});this._removeParameterButton=l("<button>",{"class":"btn btn-default btn-xs"}).append(f);this._removeParameterButton.on("click",
function(){this.removeLastParameter()}.bind(this));f=l("<div>",{"class":"SaveCancelButtonWrapper"});this._saveButton=l("<button>",{"class":"btn btn-primary btn-xs"}).text(m.t("SMARTNAME_EDIT_SAVE"));this._saveButton.on("click",function(){this.doSave()}.bind(this));this._cancelButton=l("<button>",{"class":"btn btn-default btn-xs"}).append(m.t("SMARTNAME_EDIT_CANCEL"));this._cancelButton.on("click",function(){this.doCancel()}.bind(this));h=l("<div>",{"class":"ToolbarWrapper clearfix"});c.append(this._addParameterButton);
c.append(this._removeParameterButton);f.append(this._cancelButton);f.append(this._saveButton);this._hasStrictParams||h.append(c);h.append(f);this._wrapper.append(this._paramForm);this._wrapper.append(h)};j.prototype.addParameter=function(f){var c=this._parameterSmartFields.length,h=l("<div>",{"class":"form-group"}),e="Param "+(c+1);c<this._labels.length&&(this._labels[c]&&0<this._labels[c].length)&&(e=this._labels[c]);c=l("<label>",{"class":"col-sm-12 col-lg-4"}).text(e);h.append(c);c=new (require("component/smartnames/smartfield/smartfield"))(l("<input>",
{type:"text"}),!1,this._dictionaryService,this._displayFunction,this._selectorDisplayFunction,this._encoding);c.setWidth("100%");e=l("<div>",{"class":"col-sm-12 col-lg-8"}).append(c.getJQElement());h.append(e);c.setIsInline(!0);c.setValue(f);this._parameterSmartFields.push(c);this._paramForm.append(h)};j.prototype.removeLastParameter=function(){0!==this._parameterSmartFields.length&&(this._parameterSmartFields.splice(-1,1),this._paramForm.children().last().remove())};j.prototype.getArguments=function(){for(var f=
[],c=0;c<this._parameterSmartFields.length;c++){var h=this._parameterSmartFields[c].getValue();void 0!==h&&f.push(h)}return f};j.prototype.onSave=function(f){this._onSave.push(f)};j.prototype.onCancel=function(f){this._onCancel.push(f)};j.prototype.doSave=function(){for(var f=0;f<this._onSave.length;f++)this._onSave[f]()};j.prototype.doCancel=function(){for(var f=0;f<this._onCancel.length;f++)this._onCancel[f]()};j.prototype.getJQElement=function(){return this._wrapper};j.prototype.disable=function(){this._saveButton.hide();
for(var f=0;f<this._parameterSmartFields.length;f++)this._parameterSmartFields[f].disable()};j.prototype.enable=function(){this._saveButton.show();for(var f=0;f<this._parameterSmartFields.length;f++)this._parameterSmartFields[f].enable()};j.prototype.destroy=function(){for(var f=0;f<this._parameterSmartFields.length;f++)this._parameterSmartFields[f].destroy()};j.prototype.resize=function(){for(var f=0;f<this._parameterSmartFields.length;f++)this._parameterSmartFields[f].resize()};return j});
define("component/smartnames/input/smartnameeditpanel",["jquery","./smartnameeditpanel-view","component/smartnames/encoding/smartname"],function(l,m,j){l=function(f,c){this._name=f.getName();this._arguments=f.getArguments();this._view=new m(this._name,this._arguments,c)};l.prototype.getName=function(){return this._name};l.prototype.getArguments=function(){return this._view.getArguments()};l.prototype.getSmartName=function(){return new j(this.getName(),this.getArguments())};l.prototype.onSave=function(f){this._view.onSave(f)};
l.prototype.onCancel=function(f){this._view.onCancel(f)};l.prototype.getJQElement=function(){return this._view.getJQElement()};l.prototype.disable=function(){this._view.disable()};l.prototype.enable=function(){this._view.enable()};l.prototype.resize=function(){this._view.resize()};l.prototype.destroy=function(){this._view.destroy()};return l});define("utils/webcss-text!component/popover/popover-style.css",[],function(){return"\r\n.wcr-popover {\r\n\tz-index: 10;\r\n\tposition: absolute;\r\n\tbackground-color: #bbbbbb;\r\n\tborder: 0;\r\n}\r\n.wcr-popover.opened-bottom, \r\n.wcr-popover.opened-left, \r\n.wcr-popover.opened-right, {\r\n\t-webkit-box-shadow: 0 5px 10px rgba(0, 0, 0, 0.2);\r\n\t-moz-box-shadow: 0 5px 10px rgba(0, 0, 0, 0.2);\r\n\tbox-shadow: 0 5px 10px rgba(0, 0, 0, 0.2);\r\n}\r\n.wcr-popover.opened-top {\r\n\t-webkit-box-shadow: 5px 0px 10px rgba(0, 0, 0, 0.2);\r\n\t-moz-box-shadow: 5px 0px 10px rgba(0, 0, 0, 0.2);\r\n\tbox-shadow: 0px 0px 10px rgba(0, 0, 0, 0.2);\r\n}\r\n.wcr-popover .arrow-up,\r\n.wcr-popover .arrow-right,\r\n.wcr-popover .arrow-down,\r\n.wcr-popover .arrow-left {\r\n\tz-index: 10;\r\n\tposition: absolute;\r\n\twidth: 0;\r\n\theight: 0;\r\n}\r\n.wcr-popover .arrow-up,\r\n.wcr-popover .arrow-down {\r\n\tborder-left: 7px solid transparent;\r\n\tborder-right: 7px solid transparent;\r\n}\r\n.wcr-popover .arrow-right,\r\n.wcr-popover .arrow-left {\r\n\tborder-top: 7px solid transparent;\r\n\tborder-bottom: 7px solid transparent;\r\n}\r\n.wcr-popover .arrow-up {\r\n\tborder-bottom: 7px solid #bbbbbb;\r\n}\r\n.wcr-popover .arrow-right {\r\n\tborder-left: 7px solid #bbbbbb;\r\n}\r\n.wcr-popover .arrow-down {\r\n\tborder-top: 7px solid #bbbbbb;\r\n}\r\n.wcr-popover .arrow-left {\r\n\tborder-right: 7px solid #bbbbbb;\r\n}\r\n.wcr-popover-force-overflow > .content {\r\n    overflow: auto;\r\n}"});
define("component/popover/Popover",["utils/ShapeUtils","utils/webcss!./popover-style.css","jquery","underscore"],function(l,m,j,f){m=function(c,h,e,k,a,d,g,b,n,i,p){this.context=c;this.container=h;this.restrict=e;this.minHeight=b;this._placementOptions=["top","right","bottom","left"];this._hasCustomPlacementOptions=!1;this.placement=k?k:"bottom";this.element=j("<div />").addClass("wcr-popover");this.arrowColor=this.color=a;i&&(this.arrowColor=i);this.color&&this.element.css("background-color",a);
(this.cssClass=d)&&this.element.addClass(d);p&&this.element.addClass("wcr-popover-force-overflow");this.maxSizeOverwritesCss=n;this.element.on("contentResized",f.bind(function(i){this._recalculatePositions();i.stopPropagation()},this));this.restrictBorder=void 0===g?10:g;this._arrow=j("<div />");this._content=j("<div />").addClass("content");void 0===this.minHeight&&this.element.append(this._arrow);this.element.append(this._content);if(void 0===d||n)c=800,h=this.restrict.innerHeight()*this.restrictBorder,
c=Math.min(c,this.restrict.innerWidth()-2*this.restrictBorder),this._content.css({"max-height":h,"max-width":c});this._placements=void 0;this._createPlacements();this.MAX_DEPTH=this._placements.length;this._addedToContainer=!1;this._onAddedToContainerCallbacks=[];this._onDestroyCallbacks=[];this._isActive=!1};m.prototype._createPlacements=function(){this._placements=this._placementOptions.slice(0);if(!this._hasCustomPlacementOptions){var c=f.indexOf(this._placements,this.placement);0>c&&(c=0);this._placements.splice(c,
0,"innerLeft")}};m.prototype.setPlacementOptions=function(c){this._placementOptions=c.splice(0);this.placement=this._placementOptions[0]?this._placementOptions[0]:"bottom";this._hasCustomPlacementOptions=!0;this._createPlacements()};m.prototype._getContextRect=function(){return l.rectMake(this.context.offset().left,this.context.offset().top,this.context.outerWidth(!0),this.context.outerHeight(!0))};m.prototype._getRestrictRect=function(){return l.rectMake(this.restrict.offset().left,this.restrict.offset().top,
this.restrict.innerWidth(),this.restrict.innerHeight())};m.prototype._getElementSize=function(){return new l.Size(this.element.outerWidth(!0),this.element.outerHeight(!0))};m.prototype._getArrowSize=function(){return new l.Size(this._arrow.outerWidth(!0),this._arrow.outerHeight(!0))};m.prototype._restrictToBorders=function(c,f,e){c.left<e.left()+this.restrictBorder&&(c.left=e.left()+this.restrictBorder);c.top<e.top()+this.restrictBorder&&(c.top=e.top()+this.restrictBorder);c.left+f.width>e.right()-
this.restrictBorder&&(c.left=Math.max(0,e.right()-f.width-this.restrictBorder));if((void 0===this.minHeight||e.bottom()-this.restrictBorder-c.top<this.minHeight)&&c.top+f.height>e.bottom()-this.restrictBorder)c.top=Math.max(0,e.bottom()-f.height-this.restrictBorder)};m.prototype._getNextPlacement=function(c){return this._placements[(f.indexOf(this._placements,c)+1)%this._placements.length]};m.prototype._resetArrowColor=function(){this._arrow.css("border-top-color","");this._arrow.css("border-bottom-color",
"");this._arrow.css("border-left-color","");this._arrow.css("border-right-color","")};m.prototype._setArrow=function(c){this._resetArrowColor();this._arrow.removeClass();switch(c){case "top":this._arrow.addClass("arrow-down");this.arrowColor&&this._arrow.css("border-top-color",this.arrowColor);break;case "bottom":this._arrow.addClass("arrow-up");this.arrowColor&&this._arrow.css("border-bottom-color",this.arrowColor);break;case "left":this._arrow.addClass("arrow-right");this.arrowColor&&this._arrow.css("border-left-color",
this.arrowColor);break;case "right":this._arrow.addClass("arrow-left");this.arrowColor&&this._arrow.css("border-right-color",this.arrowColor);break;case "innerLeft":this._arrow.addClass("arrow-left"),this.arrowColor&&this._arrow.css("border-right-color",this.arrowColor)}};m.prototype._calculatePositions=function(c,f){if(c>=this.MAX_DEPTH)this._setArrow(this.placement);else{this._setArrow(f);var e=this._getContextRect(),k=this._getArrowSize(),a=this._getElementSize(),d=this._getRestrictRect(),g,b;
switch(f){case "top":g={top:e.top()-k.height,left:e.left()+e.size.width/2-k.width/2};b={top:e.top()-k.height-a.height,left:e.left()+e.size.width/2-a.width/2};break;case "bottom":g={top:e.top()+e.size.height,left:e.left()+e.size.width/2-k.width/2};b={top:e.top()+k.height+e.size.height,left:e.left()+e.size.width/2-a.width/2};break;case "left":g={top:e.top()+e.size.height/2-k.height/2,left:e.left()-k.width};b={top:e.top()+e.size.height/2-a.height/2,left:e.left()-k.width-a.width};break;case "right":g=
{top:e.top()+e.size.height/2-k.height/2,left:e.left()+e.size.width};b={top:e.top()+e.size.height/2-a.height/2,left:e.left()+e.size.width+k.width};break;case "innerLeft":g={top:e.top()+e.size.height/2-k.height/2,left:e.left()};b={top:e.top()+e.size.height/2-a.height/2,left:e.left()+k.width};break;case "bottomLeft":g={top:e.top()+e.size.height/2-k.height/2,left:e.left()+k.width/2},b={top:e.top()+k.height+e.size.height,left:e.left()}}if(g.top<=d.top()+this.restrictBorder||g.top+k.height>=d.bottom()-
this.restrictBorder||g.left<=d.left()+this.restrictBorder||g.left+k.width>=d.right()-this.restrictBorder)return this._calculatePositions(c+1,this._getNextPlacement(f));this._restrictToBorders(b,a,d,this.minHeight);switch(f){case "top":if(b.top+(void 0===this.minHeight?a.height:Math.min(a.height,this.minHeight))>g.top)return this._calculatePositions(c+1,this._getNextPlacement(f));break;case "bottom":if(b.top<g.top+k.height)return this._calculatePositions(c+1,this._getNextPlacement(f));break;case "left":if(b.left+
a.width>g.left)return this._calculatePositions(c+1,this._getNextPlacement(f));break;case "right":if(b.left<g.left+k.width)return this._calculatePositions(c+1,this._getNextPlacement(f));break;case "innerLeft":if(b.left<g.left+k.width)return this._calculatePositions(c+1,this._getNextPlacement(f))}g.top=Math.floor(g.top);g.left=Math.floor(g.left);b.top=Math.floor(b.top);b.left=Math.floor(b.left);e={arrow:g,content:b,placement:f};if(void 0!==this.cssClass&&this.maxSizeOverwritesCss)switch(f){case "bottom":case "bottomLeft":e.contentMaxHeight=
this.restrict.offset().top+this.restrict.innerHeight()-this.restrictBorder-b.top;break;case "top":e.contentMaxHeight=g.top-this.restrict.offset().top-this.restrictBorder}return e}};m.prototype._recalculatePositions=function(){if(this._addedToContainer){var c=this._content.scrollTop();this.element.css({"max-height":"","max-width":""});this._content.css({"max-height":"","max-width":""});var h=this._calculatePositions(0,this.placement);if(h){if(f.each(this._placementOptions,function(c){this.element.removeClass("opened-"+
c)},this),this.element.addClass("opened-"+h.placement),this.element.offset(h.content),this._arrow.offset(h.arrow),void 0!==h.contentMaxHeight&&this._content.css("max-height",h.contentMaxHeight),0<this.restrict.length){var h=this._content[0].getBoundingClientRect(),e=this.restrict[0].getBoundingClientRect();this._content.css({"max-height":e.height-h.top+e.top,"max-width":e.width-h.left+e.left})}}else this.hide();this._content.scrollTop(c)}};m.prototype.setContext=function(c){this.context=c};m.prototype.setPreferredPlacement=
function(c){this.placement=c;this._createPlacements()};m.prototype.show=function(){this._addedToContainer||(this.container.append(this.element),this._addedToContainer=!0,f.each(this._onAddedToContainerCallbacks,function(c){c()}));this.element.show();this._recalculatePositions();this._isActive=!0};m.prototype.hide=function(){this.element.hide();this._isActive=!1};m.prototype.isActive=function(){return this._isActive};m.prototype.destroy=function(){f.each(this._onDestroyCallbacks,function(c){c()});
this._content.detach();this.element.remove()};m.prototype.setContent=function(c){this._content.empty().append(c)};m.prototype.setContainer=function(c){this._container=c};m.prototype.appendContent=function(c){this._content.append(c)};m.prototype.onAddedToContainer=function(c){this._onAddedToContainerCallbacks.push(c)};m.prototype.onDestroy=function(c){this._onDestroyCallbacks.push(c)};m.prototype.getContentDiv=function(){return this._content};m.prototype.getElement=function(){return this.element};
return m});
define("ace/snippets","require exports module ./lib/oop ./lib/event_emitter ./lib/lang ./range ./anchor ./keyboard/hash_handler ./tokenizer ./lib/dom ./editor".split(" "),function(l,m){var j=l("./lib/oop"),f=l("./lib/event_emitter").EventEmitter,c=l("./lib/lang"),h=l("./range").Range;l("./anchor");var e=l("./keyboard/hash_handler").HashHandler,k=l("./tokenizer").Tokenizer,a=h.comparePoints,d=function(){this.snippetMap={};this.snippetNameMap={}};(function(){j.implement(this,f);this.getTokenizer=function(){function i(i,
a,b){i=i.substr(1);return/^\d+$/.test(i)&&!b.inFormatString?[{tabstopId:parseInt(i,10)}]:[{text:i}]}function a(i){return"(?:[^\\\\"+i+"]|\\\\.)"}d.$tokenizer=new k({start:[{regex:/:/,onMatch:function(i,a,b){return b.length&&b[0].expectIf?(b[0].expectIf=!1,b[0].elseBranch=b[0],[b[0]]):":"}},{regex:/\\./,onMatch:function(i,a,b){a=i[1];"}"==a&&b.length?i=a:-1!="`$\\".indexOf(a)?i=a:b.inFormatString&&("n"==a?i="\n":"t"==a?i="\n":-1!="ulULE".indexOf(a)&&(i={changeCase:a,local:"a"<a}));return[i]}},{regex:/}/,
onMatch:function(i,a,b){return[b.length?b.shift():i]}},{regex:/\$(?:\d+|\w+)/,onMatch:i},{regex:/\$\{[\dA-Z_a-z]+/,onMatch:function(a,b,g){a=i(a.substr(1),b,g);g.unshift(a[0]);return a},next:"snippetVar"},{regex:/\n/,token:"newline",merge:!1}],snippetVar:[{regex:"\\|"+a("\\|")+"*\\|",onMatch:function(i,a,b){b[0].choices=i.slice(1,-1).split(",")},next:"start"},{regex:"/("+a("/")+"+)/(?:("+a("/")+"*)/)(\\w*):?",onMatch:function(i,a,b){a=b[0];a.fmtString=i;i=this.splitRegex.exec(i);a.guard=i[1];a.fmt=
i[2];a.flag=i[3];return""},next:"start"},{regex:"`"+a("`")+"*`",onMatch:function(i,a,b){b[0].code=i.splice(1,-1);return""},next:"start"},{regex:"\\?",onMatch:function(i,a,b){b[0]&&(b[0].expectIf=!0)},next:"start"},{regex:"([^:}\\\\]|\\\\.)*:?",token:"",next:"start"}],formatString:[{regex:"/("+a("/")+"+)/",token:"regex"},{regex:"",onMatch:function(i,a,b){b.inFormatString=!0},next:"start"}]});d.prototype.getTokenizer=function(){return d.$tokenizer};return d.$tokenizer};this.tokenizeTmSnippet=function(i,
a){return this.getTokenizer().getLineTokens(i,a).tokens.map(function(i){return i.value||i})};this.$getDefaultValue=function(i,a){if(/^[A-Z]\d+$/.test(a)){var b=a.substr(1);return(this.variables[a[0]+"__"]||{})[b]}if(/^\d+$/.test(a))return(this.variables.__||{})[a];a=a.replace(/^TM_/,"");if(i)switch(b=i.session,a){case "CURRENT_WORD":var g=b.getWordRange();case "SELECTION":case "SELECTED_TEXT":return b.getTextRange(g);case "CURRENT_LINE":return b.getLine(i.getCursorPosition().row);case "PREV_LINE":return b.getLine(i.getCursorPosition().row-
1);case "LINE_INDEX":return i.getCursorPosition().column;case "LINE_NUMBER":return i.getCursorPosition().row+1;case "SOFT_TABS":return b.getUseSoftTabs()?"YES":"NO";case "TAB_SIZE":return b.getTabSize();case "FILENAME":case "FILEPATH":return"";case "FULLNAME":return"Ace"}};this.variables={};this.getVariableValue=function(i,a){return this.variables.hasOwnProperty(a)?this.variables[a](i,a)||"":this.$getDefaultValue(i,a)||""};this.tmStrFormat=function(i,a,b){var g=a.guard,g=RegExp(g,(a.flag||"").replace(/[^gi]/,
"")),c=this.tokenizeTmSnippet(a.fmt,"formatString"),d=this,i=i.replace(g,function(){d.variables.__=arguments;for(var i=d.resolveVariables(c,b),a="E",g=0;g<i.length;g++){var p=i[g];if("object"==typeof p)if(i[g]="",p.changeCase&&p.local){var e=i[g+1];e&&"string"==typeof e&&(i[g]="u"==p.changeCase?e[0].toUpperCase():e[0].toLowerCase(),i[g+1]=e.substr(1))}else p.changeCase&&(a=p.changeCase);else"U"==a?i[g]=p.toUpperCase():"L"==a&&(i[g]=p.toLowerCase())}return i.join("")});this.variables.__=null;return i};
this.resolveVariables=function(i,a){function b(a){a=i.indexOf(a,c+1);-1!=a&&(c=a)}for(var g=[],c=0;c<i.length;c++){var d=i[c];if("string"==typeof d)g.push(d);else if("object"==typeof d)if(d.skip)b(d);else if(!(d.processed<c))if(d.text){var e=this.getVariableValue(a,d.text);e&&d.fmtString&&(e=this.tmStrFormat(e,d));d.processed=c;null==d.expectIf?e&&(g.push(e),b(d)):e?d.skip=d.elseBranch:b(d)}else null!=d.tabstopId?g.push(d):null!=d.changeCase&&g.push(d)}return g};this.insertSnippetForSelection=function(i,
a){var b=i.getCursorPosition(),c=i.session.getLine(b.row),d=i.session.getTabString(),e=c.match(/^\s*/)[0];b.column<e.length&&(e=e.slice(0,b.column));var a=a.replace(/\r/g,""),n=this.tokenizeTmSnippet(a),n=this.resolveVariables(n,i),n=n.map(function(a){return"\n"==a?a+e:"string"==typeof a?a.replace(/\t/g,d):a}),f=[];n.forEach(function(a,i){if("object"==typeof a){var b=a.tabstopId,g=f[b];g||(g=f[b]=[],g.index=b,g.value="");if(-1===g.indexOf(a)&&(g.push(a),b=n.indexOf(a,i+1),-1!==b))if(b=n.slice(i+1,
b),b.some(function(a){return"object"===typeof a})&&!g.value)g.value=b;else if(b.length&&(!g.value||"string"!==typeof g.value))g.value=b.join("")}});f.forEach(function(a){a.length=0});b={};for(c=0;c<n.length;c++){var h=n[c];if("object"==typeof h){var k=h.tabstopId,j=n.indexOf(h,c+1);if(b[k])b[k]===h&&(b[k]=null);else{var l=f[k],m;if("string"==typeof l.value)m=[l.value];else{m=l.value;for(var z=[],u=0;u<m.length;u++){var s=m[u];if("object"==typeof s){if(b[s.tabstopId])continue;var B=m.lastIndexOf(s,
u-1),s=z[B]||{tabstopId:s.tabstopId}}z[u]=s}m=z}m.unshift(c+1,Math.max(0,j-c));m.push(h);b[k]=h;n.splice.apply(n,m);-1===l.indexOf(h)&&l.push(h)}}}var y=0,v=0,A="";n.forEach(function(a){if("string"===typeof a){var i=a.split("\n");1<i.length?(v=i[i.length-1].length,y+=i.length-1):v+=a.length;A+=a}else a.start?a.end={row:y,column:v}:a.start={row:y,column:v}});b=i.getSelectionRange();c=i.session.replace(b,A);(new g(i)).addTabstops(f,b.start,c,i.inVirtualSelectionMode&&i.selection.index)};this.insertSnippet=
function(a,b){var g=this;if(a.inVirtualSelectionMode)return g.insertSnippetForSelection(a,b);a.forEachSelection(function(){g.insertSnippetForSelection(a,b)},null,{keepOrder:!0});a.tabstopManager&&a.tabstopManager.tabNext()};this.$getScope=function(a){var b=a.session.$mode.$id||"",b=b.split("/").pop();if("html"===b||"php"===b){"php"===b&&!a.session.$mode.inlinePhp&&(b="html");var g=a.getCursorPosition(),a=a.session.getState(g.row);"object"===typeof a&&(a=a[0]);a.substring&&("js-"==a.substring(0,3)?
b="javascript":"css-"==a.substring(0,4)?b="css":"php-"==a.substring(0,4)&&(b="php"))}return b};this.getActiveScopes=function(a){var a=this.$getScope(a),b=[a],g=this.snippetMap;g[a]&&g[a].includeScopes&&b.push.apply(b,g[a].includeScopes);b.push("_");return b};this.expandWithTab=function(a,b){var g=this,c=a.forEachSelection(function(){return g.expandSnippetForSelection(a,b)},null,{keepOrder:!0});c&&a.tabstopManager&&a.tabstopManager.tabNext();return c};this.expandSnippetForSelection=function(a,b){var g=
a.getCursorPosition(),c=a.session.getLine(g.row),d=c.substring(0,g.column),e=c.substr(g.column),n=this.snippetMap,f;this.getActiveScopes(a).some(function(a){(a=n[a])&&(f=this.findMatchingSnippet(a,d,e));return!!f},this);if(!f)return!1;if(b&&b.dryRun)return!0;a.session.doc.removeInLine(g.row,g.column-f.replaceBefore.length,g.column+f.replaceAfter.length);this.variables.M__=f.matchBefore;this.variables.T__=f.matchAfter;this.insertSnippetForSelection(a,f.content);this.variables.M__=this.variables.T__=
null;return!0};this.findMatchingSnippet=function(a,b,g){for(var c=a.length;c--;){var d=a[c];if(!d.startRe||d.startRe.test(b))if(!d.endRe||d.endRe.test(g))if(d.startRe||d.endRe)return d.matchBefore=d.startRe?d.startRe.exec(b):[""],d.matchAfter=d.endRe?d.endRe.exec(g):[""],d.replaceBefore=d.triggerRe?d.triggerRe.exec(b)[0]:"",d.replaceAfter=d.endTriggerRe?d.endTriggerRe.exec(g)[0]:"",d}};this.snippetMap={};this.snippetNameMap={};this.register=function(a,b){function g(a){a&&!/^\^?\(.*\)\$?$|^\\b$/.test(a)&&
(a="(?:"+a+")");return a||""}function d(a,b,i){a=g(a);b=g(b);i?(a=b+a)&&"$"!=a[a.length-1]&&(a+="$"):(a+=b)&&"^"!=a[0]&&(a="^"+a);return RegExp(a)}function e(a){a.scope||(a.scope=b||"_");b=a.scope;n[b]||(n[b]=[],f[b]={});var g=f[b];if(a.name){var i=g[a.name];i&&h.unregister(i);g[a.name]=a}n[b].push(a);a.tabTrigger&&!a.trigger&&(!a.guard&&/^\w/.test(a.tabTrigger)&&(a.guard="\\b"),a.trigger=c.escapeRegExp(a.tabTrigger));if(a.trigger||a.guard||a.endTrigger||a.endGuard)a.startRe=d(a.trigger,a.guard,!0),
a.triggerRe=RegExp(a.trigger,"",!0),a.endRe=d(a.endTrigger,a.endGuard,!0),a.endTriggerRe=RegExp(a.endTrigger,"",!0)}var n=this.snippetMap,f=this.snippetNameMap,h=this;a||(a=[]);a&&a.content?e(a):Array.isArray(a)&&a.forEach(e);this._signal("registerSnippets",{scope:b})};this.unregister=function(a,b){function g(a){var i=d[a.scope||b];i&&i[a.name]&&(delete i[a.name],a=(i=c[a.scope||b])&&i.indexOf(a),0<=a&&i.splice(a,1))}var c=this.snippetMap,d=this.snippetNameMap;a.content?g(a):Array.isArray(a)&&a.forEach(g)};
this.parseSnippetFile=function(a){for(var a=a.replace(/\r/g,""),b=[],g={},c=/^#.*|^({[\s\S]*})\s*$|^(\S+) (.*)$|^((?:\n*\t.*)+)/gm,d;d=c.exec(a);){if(d[1])try{g=JSON.parse(d[1]),b.push(g)}catch(e){}if(d[4])g.content=d[4].replace(/^\t/gm,""),b.push(g),g={};else{var n=d[2];d=d[3];"regex"==n?(n=/\/((?:[^\/\\]|\\.)*)|$/g,g.guard=n.exec(d)[1],g.trigger=n.exec(d)[1],g.endTrigger=n.exec(d)[1],g.endGuard=n.exec(d)[1]):"snippet"==n?(g.tabTrigger=d.match(/^\S*/)[0],g.name||(g.name=d)):g[n]=d}}return b};this.getSnippetByName=
function(a,b){var g=this.snippetNameMap,d;this.getActiveScopes(b).some(function(b){(b=g[b])&&(d=b[a]);return!!d},this);return d}}).call(d.prototype);var g=function(a){if(a.tabstopManager)return a.tabstopManager;a.tabstopManager=this;this.$onChange=this.onChange.bind(this);this.$onChangeSelection=c.delayedCall(this.onChangeSelection.bind(this)).schedule;this.$onChangeSession=this.onChangeSession.bind(this);this.$onAfterExec=this.onAfterExec.bind(this);this.attach(a)};(function(){this.attach=function(a){this.index=
0;this.ranges=[];this.tabstops=[];this.selectedTabstop=this.$openTabstops=null;this.editor=a;this.editor.on("change",this.$onChange);this.editor.on("changeSelection",this.$onChangeSelection);this.editor.on("changeSession",this.$onChangeSession);this.editor.commands.on("afterExec",this.$onAfterExec);this.editor.keyBinding.addKeyboardHandler(this.keyboardHandler)};this.detach=function(){this.tabstops.forEach(this.removeTabstopMarkers,this);this.selectedTabstop=this.tabstops=this.ranges=null;this.editor.removeListener("change",
this.$onChange);this.editor.removeListener("changeSelection",this.$onChangeSelection);this.editor.removeListener("changeSession",this.$onChangeSession);this.editor.commands.removeListener("afterExec",this.$onAfterExec);this.editor.keyBinding.removeKeyboardHandler(this.keyboardHandler);this.editor=this.editor.tabstopManager=null};this.onChange=function(b){var g="r"==b.action[0],d=b.start,c=b.end,b=d.row,e=c.row-b,n=c.column-d.column;g&&(e=-e,n=-n);if(!this.$inChange&&g){var f=this.selectedTabstop;
if(f&&!f.some(function(b){return 0>=a(b.start,d)&&0<=a(b.end,c)}))return this.detach()}for(var f=this.ranges,h=0;h<f.length;h++){var k=f[h];k.end.row<d.row||(g&&0>a(d,k.start)&&0<a(c,k.end)?(this.removeRange(k),h--):(k.start.row==b&&k.start.column>d.column&&(k.start.column+=n),k.end.row==b&&k.end.column>=d.column&&(k.end.column+=n),k.start.row>=b&&(k.start.row+=e),k.end.row>=b&&(k.end.row+=e),0<a(k.start,k.end)&&this.removeRange(k)))}f.length||this.detach()};this.updateLinkedFields=function(){var a=
this.selectedTabstop;if(a&&a.hasLinkedRanges){this.$inChange=!0;for(var b=this.editor.session,g=b.getTextRange(a.firstNonLinked),d=a.length;d--;){var c=a[d];if(c.linked){var e=m.snippetManager.tmStrFormat(g,c.original);b.replace(c,e)}}this.$inChange=!1}};this.onAfterExec=function(a){a.command&&!a.command.readOnly&&this.updateLinkedFields()};this.onChangeSelection=function(){if(this.editor){for(var a=this.editor.selection.lead,b=this.editor.selection.anchor,g=this.editor.selection.isEmpty(),d=this.ranges.length;d--;)if(!this.ranges[d].linked){var c=
this.ranges[d].contains(a.row,a.column),e=g||this.ranges[d].contains(b.row,b.column);if(c&&e)return}this.detach()}};this.onChangeSession=function(){this.detach()};this.tabNext=function(a){var b=this.tabstops.length,a=this.index+(a||1),a=Math.min(Math.max(a,1),b);a==b&&(a=0);this.selectTabstop(a);0===a&&this.detach()};this.selectTabstop=function(a){this.$openTabstops=null;var b=this.tabstops[this.index];b&&this.addTabstopMarkers(b);this.index=a;if((b=this.tabstops[this.index])&&b.length){this.selectedTabstop=
b;if(this.editor.inVirtualSelectionMode)this.editor.selection.setRange(b.firstNonLinked);else{a=this.editor.multiSelect;a.toSingleRange(b.firstNonLinked.clone());for(var g=b.length;g--;)(!b.hasLinkedRanges||!b[g].linked)&&a.addRange(b[g].clone(),!0);a.ranges[0]&&a.addRange(a.ranges[0].clone())}this.editor.keyBinding.addKeyboardHandler(this.keyboardHandler)}};this.addTabstops=function(a,g,d){this.$openTabstops||(this.$openTabstops=[]);a[0]||(d=h.fromPoints(d,d),b(d.start,g),b(d.end,g),a[0]=[d],a[0].index=
0);var c=[this.index+1,0],e=this.ranges;a.forEach(function(a,b){for(var d=this.$openTabstops[b]||a,i=a.length;i--;){var n=a[i],f=h.fromPoints(n.start,n.end||n.start),k=f.start,j=g;0==k.row&&(k.column+=j.column);k.row+=j.row;k=f.end;j=g;0==k.row&&(k.column+=j.column);k.row+=j.row;f.original=n;f.tabstop=d;e.push(f);d!=a?d.unshift(f):d[i]=f;n.fmtString?(f.linked=!0,d.hasLinkedRanges=!0):d.firstNonLinked||(d.firstNonLinked=f)}d.firstNonLinked||(d.hasLinkedRanges=!1);d===a&&(c.push(d),this.$openTabstops[b]=
d);this.addTabstopMarkers(d)},this);2<c.length&&(this.tabstops.length&&c.push(c.splice(2,1)[0]),this.tabstops.splice.apply(this.tabstops,c))};this.addTabstopMarkers=function(a){var b=this.editor.session;a.forEach(function(a){a.markerId||(a.markerId=b.addMarker(a,"ace_snippet-marker","text"))})};this.removeTabstopMarkers=function(a){var b=this.editor.session;a.forEach(function(a){b.removeMarker(a.markerId);a.markerId=null})};this.removeRange=function(a){var b=a.tabstop.indexOf(a);a.tabstop.splice(b,
1);b=this.ranges.indexOf(a);this.ranges.splice(b,1);this.editor.session.removeMarker(a.markerId);a.tabstop.length||(b=this.tabstops.indexOf(a.tabstop),-1!=b&&this.tabstops.splice(b,1),this.tabstops.length||this.detach())};this.keyboardHandler=new e;this.keyboardHandler.bindKeys({Tab:function(a){(!m.snippetManager||!m.snippetManager.expandWithTab(a))&&a.tabstopManager.tabNext(1)},"Shift-Tab":function(a){a.tabstopManager.tabNext(-1)},Esc:function(a){a.tabstopManager.detach()},Return:function(){return!1}})}).call(g.prototype);
var b=function(a,b){a.row==b.row&&(a.column-=b.column);a.row-=b.row};l("./lib/dom").importCssString(".ace_snippet-marker {    -moz-box-sizing: border-box;    box-sizing: border-box;    background: rgba(194, 193, 208, 0.09);    border: 1px dotted rgba(211, 208, 235, 0.62);    position: absolute;}");m.snippetManager=new d;var n=l("./editor").Editor;(function(){this.insertSnippet=function(a,b){return m.snippetManager.insertSnippet(this,a,b)};this.expandSnippet=function(a){return m.snippetManager.expandWithTab(this,
a)}}).call(n.prototype)});
define("ace/autocomplete/popup","require exports module ../virtual_renderer ../editor ../range ../lib/event ../lib/lang ../lib/dom".split(" "),function(l,m){var j=l("../virtual_renderer").VirtualRenderer,f=l("../editor").Editor,c=l("../range").Range,h=l("../lib/event"),e=l("../lib/lang"),k=l("../lib/dom"),a=function(a){a=new j(a);a.$maxLines=4;a=new f(a);a.setHighlightActiveLine(!1);a.setShowPrintMargin(!1);a.renderer.setShowGutter(!1);a.renderer.setHighlightGutterLine(!1);a.$mouseHandler.$focusWaitTimout=
0;a.$highlightTagPending=!0;return a};k.importCssString(".ace_editor.ace_autocomplete .ace_marker-layer .ace_active-line {    background-color: #CAD6FA;    z-index: 1;}.ace_editor.ace_autocomplete .ace_line-hover {    border: 1px solid #abbffe;    margin-top: -1px;    background: rgba(233,233,253,0.4);}.ace_editor.ace_autocomplete .ace_line-hover {    position: absolute;    z-index: 2;}.ace_editor.ace_autocomplete .ace_scroller {   background: none;   border: none;   box-shadow: none;}.ace_rightAlignedText {    color: gray;    display: inline-block;    position: absolute;    right: 4px;    text-align: right;    z-index: -1;}.ace_editor.ace_autocomplete .ace_completion-highlight{    color: #000;    text-shadow: 0 0 0.01em;}.ace_editor.ace_autocomplete {    width: 280px;    z-index: 200000;    background: #fbfbfb;    color: #444;    border: 1px lightgray solid;    position: fixed;    box-shadow: 2px 3px 5px rgba(0,0,0,.2);    line-height: 1.4;}");
m.AcePopup=function(d){var g=k.createElement("div"),b=new a(g);d&&d.appendChild(g);g.style.display="none";b.renderer.content.style.cursor="default";b.renderer.setStyle("ace_autocomplete");b.setOption("displayIndentGuides",!1);b.setOption("dragDelay",150);d=function(){};b.focus=d;b.$isFocused=!0;b.renderer.$cursorLayer.restartTimer=d;b.renderer.$cursorLayer.element.style.opacity=0;b.renderer.$maxLines=8;b.renderer.$keepTextAreaAtCursor=!1;b.setHighlightActiveLine(!1);b.session.highlight("");b.session.$searchHighlight.clazz=
"ace_highlight-marker";b.on("mousedown",function(a){var g=a.getDocumentPosition();b.selection.moveToPosition(g);f.start.row=f.end.row=g.row;a.stop()});var n,i=new c(-1,0,-1,Infinity),f=new c(-1,0,-1,Infinity);f.id=b.session.addMarker(f,"ace_active-line","fullLine");b.setSelectOnHover=function(a){a?i.id&&(b.session.removeMarker(i.id),i.id=null):i.id=b.session.addMarker(i,"ace_line-hover","fullLine")};b.setSelectOnHover(!1);b.on("mousemove",function(a){n?n.x==a.x&&n.y==a.y||(n=a,n.scrollTop=b.renderer.scrollTop,
a=n.getDocumentPosition().row,i.start.row!=a&&(i.id||b.setRow(a),j(a))):n=a});b.renderer.on("beforeRender",function(){if(n&&-1!=i.start.row){n.$pos=null;var a=n.getDocumentPosition().row;i.id||b.setRow(a);j(a,!0)}});b.renderer.on("afterRender",function(){var a=b.getRow(),g=b.renderer.$textLayer,a=g.element.childNodes[a-g.config.firstRow];a!=g.selectedNode&&(g.selectedNode&&k.removeCssClass(g.selectedNode,"ace_selected"),(g.selectedNode=a)&&k.addCssClass(a,"ace_selected"))});var g=function(){j(-1)},
j=function(a,g){a!==i.start.row&&(i.start.row=i.end.row=a,g||b.session._emit("changeBackMarker"),b._emit("changeHoverMarker"))};b.getHoveredRow=function(){return i.start.row};h.addListener(b.container,"mouseout",g);b.on("hide",g);b.on("changeSelection",g);b.session.doc.getLength=function(){return b.data.length};b.session.doc.getLine=function(a){a=b.data[a];return"string"==typeof a?a:a&&a.value||""};g=b.session.bgTokenizer;g.$tokenizeRow=function(a){var a=b.data[a],g=[];if(!a)return g;"string"==typeof a&&
(a={value:a});a.caption||(a.caption=a.value||a.name);for(var d=-1,c,e,i=0;i<a.caption.length;i++)e=a.caption[i],c=a.matchMask&1<<i?1:0,d!==c?(g.push({type:a.className||""+(c?"completion-highlight":""),value:e}),d=c):g[g.length-1].value+=e;a.meta&&(d=b.renderer.$size.scrollerWidth/b.renderer.layerConfig.characterWidth,c=a.meta,c.length+a.caption.length>d-2&&(c=c.substr(0,d-a.caption.length-3)+"\u2026"),g.push({type:"rightAlignedText",value:c}));return g};g.$updateOnChange=d;g.start=d;b.session.$computeWidth=
function(){return this.screenWidth=0};b.$blockScrolling=Infinity;b.isOpen=!1;b.isTopdown=!1;b.data=[];b.setData=function(a){b.setValue(e.stringRepeat("\n",a.length),-1);b.data=a||[];b.setRow(0)};b.getData=function(a){return b.data[a]};b.getRow=function(){return f.start.row};b.setRow=function(a){a=Math.max(0,Math.min(this.data.length,a));f.start.row!=a&&(b.selection.clearSelection(),f.start.row=f.end.row=a||0,b.session._emit("changeBackMarker"),b.moveCursorTo(a||0,0),b.isOpen&&b._signal("select"))};
b.on("changeSelection",function(){b.isOpen&&b.setRow(b.selection.lead.row);b.renderer.scrollCursorIntoView()});b.hide=function(){this.container.style.display="none";this._signal("hide");b.isOpen=!1};b.show=function(a,g,d){var c=this.container,e=window.innerHeight,i=window.innerWidth,f=this.renderer,k=1.4*f.$maxLines*g,h=a.top+this.$borderSize;h>e/2&&!d&&h+g+k>e?(f.$maxPixelHeight=h-2*this.$borderSize,c.style.top="",c.style.bottom=e-h+"px",b.isTopdown=!1):(h+=g,f.$maxPixelHeight=e-h-0.2*g,c.style.top=
h+"px",c.style.bottom="",b.isTopdown=!0);c.style.display="";this.renderer.$textLayer.checkForSizeChanges();a=a.left;a+c.offsetWidth>i&&(a=i-c.offsetWidth);c.style.left=a+"px";this._signal("show");n=null;b.isOpen=!0};b.getTextLeftOffset=function(){return this.$borderSize+this.renderer.$padding+this.$imageSize};b.$imageSize=0;b.$borderSize=1;return b}});
define("ace/autocomplete/util",["require","exports","module"],function(l,m){m.parForEach=function(f,c,h){var e=0,k=f.length;0===k&&h();for(var a=0;a<k;a++)c(f[a],function(a,g){e++;e===k&&h(a,g)})};var j=/[a-zA-Z_0-9\$\-\u00A2-\uFFFF]/;m.retrievePrecedingIdentifier=function(f,c,h){for(var h=h||j,e=[],c=c-1;0<=c;c--)if(h.test(f[c]))e.push(f[c]);else break;return e.reverse().join("")};m.retrieveFollowingIdentifier=function(f,c,h){for(var h=h||j,e=[];c<f.length;c++)if(h.test(f[c]))e.push(f[c]);else break;
return e};m.getCompletionPrefix=function(f){var c=f.getCursorPosition(),h=f.session.getLine(c.row),e;f.completers.forEach(function(f){f.identifierRegexps&&f.identifierRegexps.forEach(function(a){!e&&a&&(e=this.retrievePrecedingIdentifier(h,c.column,a))}.bind(this))}.bind(this));return e||this.retrievePrecedingIdentifier(h,c.column)}});
define("ace/autocomplete","require exports module ./keyboard/hash_handler ./autocomplete/popup ./autocomplete/util ./lib/event ./lib/lang ./lib/dom ./snippets".split(" "),function(l,m){var j=l("./keyboard/hash_handler").HashHandler,f=l("./autocomplete/popup").AcePopup,c=l("./autocomplete/util");l("./lib/event");var h=l("./lib/lang"),e=l("./lib/dom"),k=l("./snippets").snippetManager,a=function(){this.autoInsert=!1;this.autoSelect=!0;this.exactMatch=!1;this.gatherCompletionsId=0;this.keyboardHandler=
new j;this.keyboardHandler.bindKeys(this.commands);this.blurListener=this.blurListener.bind(this);this.changeListener=this.changeListener.bind(this);this.mousedownListener=this.mousedownListener.bind(this);this.mousewheelListener=this.mousewheelListener.bind(this);this.changeTimer=h.delayedCall(function(){this.updateCompletions(!0)}.bind(this));this.tooltipTimer=h.delayedCall(this.updateDocTooltip.bind(this),50)};(function(){this.$init=function(){this.popup=new f(document.body||document.documentElement);
this.popup.on("click",function(a){this.insertMatch();a.stop()}.bind(this));this.popup.focus=this.editor.focus.bind(this.editor);this.popup.on("show",this.tooltipTimer.bind(null,null));this.popup.on("select",this.tooltipTimer.bind(null,null));this.popup.on("changeHoverMarker",this.tooltipTimer.bind(null,null));return this.popup};this.getPopup=function(){return this.popup||this.$init()};this.openPopup=function(a,b,d){this.popup||this.$init();this.popup.setData(this.completions.filtered);a.keyBinding.addKeyboardHandler(this.keyboardHandler);
var c=a.renderer;this.popup.setRow(this.autoSelect?0:-1);if(d)d&&!b&&this.detach();else{this.popup.setTheme(a.getTheme());this.popup.setFontSize(a.getFontSize());b=c.layerConfig.lineHeight;d=c.$cursorLayer.getPixelPosition(this.base,!0);d.left-=this.popup.getTextLeftOffset();var e=a.container.getBoundingClientRect();d.top+=e.top-c.layerConfig.offset;d.left+=e.left-a.renderer.scrollLeft;d.left+=c.gutterWidth;this.popup.show(d,b)}};this.detach=function(){this.editor.keyBinding.removeKeyboardHandler(this.keyboardHandler);
this.editor.off("changeSelection",this.changeListener);this.editor.off("blur",this.blurListener);this.editor.off("mousedown",this.mousedownListener);this.editor.off("mousewheel",this.mousewheelListener);this.changeTimer.cancel();this.hideDocTooltip();this.gatherCompletionsId+=1;this.popup&&this.popup.isOpen&&this.popup.hide();this.base&&this.base.detach();this.activated=!1;this.completions=this.base=null};this.changeListener=function(){var a=this.editor.selection.lead;(a.row!=this.base.row||a.column<
this.base.column)&&this.detach();this.activated?this.changeTimer.schedule():this.detach()};this.blurListener=function(a){var b=document.activeElement,d=this.editor.textInput.getElement(),c=a.relatedTarget&&a.relatedTarget==this.tooltipNode,e=this.popup&&this.popup.container;b!=d&&(b.parentNode!=e&&!c&&b!=this.tooltipNode&&a.relatedTarget!=d)&&this.detach()};this.mousedownListener=function(){this.detach()};this.mousewheelListener=function(){this.detach()};this.goTo=function(a){var b=this.popup.getRow(),
d=this.popup.session.getLength()-1;switch(a){case "up":b=0>=b?d:b-1;break;case "down":b=b>=d?-1:b+1;break;case "start":b=0;break;case "end":b=d}this.popup.setRow(b)};this.insertMatch=function(a){a||(a=this.popup.getData(this.popup.getRow()));if(!a)return!1;if(a.completer&&a.completer.insertMatch)a.completer.insertMatch(this.editor,a);else{if(this.completions.filterText)for(var b=this.editor.selection.getAllRanges(),d=0,c;c=b[d];d++)c.start.column-=this.completions.filterText.length,this.editor.session.remove(c);
a.snippet?k.insertSnippet(this.editor,a.snippet):this.editor.execCommand("insertstring",a.value||a)}this.detach()};this.commands={Up:function(a){a.completer.goTo("up")},Down:function(a){a.completer.goTo("down")},"Ctrl-Up|Ctrl-Home":function(a){a.completer.goTo("start")},"Ctrl-Down|Ctrl-End":function(a){a.completer.goTo("end")},Esc:function(a){a.completer.detach()},Return:function(a){return a.completer.insertMatch()},"Shift-Return":function(a){a.completer.insertMatch(null,{deleteSuffix:!0})},Tab:function(a){var b=
a.completer.insertMatch();if(!b&&!a.tabstopManager)a.completer.goTo("down");else return b},PageUp:function(a){a.completer.popup.gotoPageUp()},PageDown:function(a){a.completer.popup.gotoPageDown()}};this.gatherCompletions=function(a,b){var d=a.getSession(),e=a.getCursorPosition();d.getLine(e.row);var f=c.getCompletionPrefix(a);this.base=d.doc.createAnchor(e.row,e.column-f.length);this.base.$insertRight=!0;var k=[],h=a.completers.length;a.completers.forEach(function(c){c.getCompletions(a,d,e,f,function(c,
e){!c&&e&&(k=k.concat(e));var i=a.getCursorPosition();d.getLine(i.row);b(null,{prefix:f,matches:k,finished:0===--h})})});return!0};this.showPopup=function(a){this.editor&&this.detach();this.activated=!0;this.editor=a;a.completer!=this&&(a.completer&&a.completer.detach(),a.completer=this);a.on("changeSelection",this.changeListener);a.on("blur",this.blurListener);a.on("mousedown",this.mousedownListener);a.on("mousewheel",this.mousewheelListener);this.updateCompletions()};this.updateCompletions=function(a){if(a&&
this.base&&this.completions){var b=this.editor.getCursorPosition(),b=this.editor.session.getTextRange({start:this.base,end:b});if(b!=this.completions.filterText){this.completions.setFilter(b);if(!this.completions.filtered.length||1==this.completions.filtered.length&&this.completions.filtered[0].value==b&&!this.completions.filtered[0].snippet)return this.detach();this.openPopup(this.editor,b,a)}}else{var c=this.gatherCompletionsId;this.gatherCompletions(this.editor,function(b,e){var f=function(){if(e.finished)return this.detach()}.bind(this),
k=e.prefix,h=e&&e.matches;if(!h||!h.length)return f();if(!(0!==k.indexOf(e.prefix)||c!=this.gatherCompletionsId)){this.completions=new d(h);this.exactMatch&&(this.completions.exactMatch=!0);this.completions.setFilter(k);h=this.completions.filtered;if(!h.length||1==h.length&&h[0].value==k&&!h[0].snippet)return f();if(this.autoInsert&&1==h.length&&e.finished)return this.insertMatch(h[0]);this.openPopup(this.editor,k,a)}}.bind(this))}};this.cancelContextMenu=function(){this.editor.$mouseHandler.cancelContextMenu()};
this.updateDocTooltip=function(){var a=this.popup,b=a.data,d=b&&(b[a.getHoveredRow()]||b[a.getRow()]),c=null;if(!d||!this.editor||!this.popup.isOpen)return this.hideDocTooltip();this.editor.completers.some(function(a){a.getDocTooltip&&(c=a.getDocTooltip(d));return c});c||(c=d);"string"==typeof c&&(c={docText:c});if(!c||!c.docHTML&&!c.docText)return this.hideDocTooltip();this.showDocTooltip(c)};this.showDocTooltip=function(a){this.tooltipNode||(this.tooltipNode=e.createElement("div"),this.tooltipNode.className=
"ace_tooltip ace_doc-tooltip",this.tooltipNode.style.margin=0,this.tooltipNode.style.pointerEvents="auto",this.tooltipNode.tabIndex=-1,this.tooltipNode.onblur=this.blurListener.bind(this));var b=this.tooltipNode;a.docHTML?b.innerHTML=a.docHTML:a.docText&&(b.textContent=a.docText);b.parentNode||document.body.appendChild(b);var a=this.popup,d=a.container.getBoundingClientRect();b.style.top=a.container.style.top;b.style.bottom=a.container.style.bottom;320>window.innerWidth-d.right?(b.style.right=window.innerWidth-
d.left+"px",b.style.left=""):(b.style.left=d.right+1+"px",b.style.right="");b.style.display="block"};this.hideDocTooltip=function(){this.tooltipTimer.cancel();if(this.tooltipNode){var a=this.tooltipNode;!this.editor.isFocused()&&document.activeElement==a&&this.editor.focus();this.tooltipNode=null;a.parentNode&&a.parentNode.removeChild(a)}}}).call(a.prototype);a.startCommand={name:"startAutocomplete",exec:function(d){d.completer||(d.completer=new a);d.completer.autoInsert=!1;d.completer.autoSelect=
!0;d.completer.showPopup(d);d.completer.cancelContextMenu()},bindKey:"Ctrl-Space|Ctrl-Shift-Space|Alt-Space"};var d=function(a,b){this.filtered=this.all=a;this.filterText=b||"";this.exactMatch=!1};(function(){this.setFilter=function(a){var b=a.length>this.filterText&&0===a.lastIndexOf(this.filterText,0)?this.filtered:this.all;this.filterText=a;var b=this.filterCompletions(b,this.filterText),b=b.sort(function(a,b){return b.exactMatch-a.exactMatch||b.score-a.score}),d=null;this.filtered=b=b.filter(function(a){a=
a.snippet||a.caption||a.value;if(a===d)return!1;d=a;return!0})};this.filterCompletions=function(a,b){var d=[],c=b.toUpperCase(),e=b.toLowerCase(),f=0,h;a:for(;h=a[f];f++){var k=h.value||h.caption||h.snippet;if(k){var j=-1,l=0,m=0,q,r;if(this.exactMatch){if(b!==k.substr(0,b.length))continue a}else for(var x=0;x<b.length;x++){q=k.indexOf(e[x],j+1);r=k.indexOf(c[x],j+1);q=0<=q?0>r||q<r?q:r:r;if(0>q)continue a;r=q-j-1;0<r&&(-1===j&&(m+=10),m+=r);l|=1<<q;j=q}h.matchMask=l;h.exactMatch=m?0:1;h.score=(h.score||
0)-m;d.push(h)}}return d}}).call(d.prototype);m.Autocomplete=a;m.FilteredList=d});
define("ace/autocomplete/text_completer",["require","exports","module","../range"],function(l,m){var j=l("../range").Range,f=/[^a-zA-Z_0-9\$\-\u00C0-\u1FFF\u2C00-\uD7FF\w]+/;m.getCompletions=function(c,h,e,k,a){var d=h.getTextRange(j.fromPoints({row:0,column:0},e)).split(f).length-1,g=h.getValue().split(f),b=Object.create(null),n=g[d];g.forEach(function(a,c){if(a&&a!==n){var e=Math.abs(d-c),e=g.length-e;b[a]=b[a]?Math.max(e,b[a]):e}});c=Object.keys(b);a(null,c.map(function(a){return{caption:a,value:a,
score:b[a],meta:"local"}}))}});
define("ace/ext/language_tools","require exports module ../snippets ../autocomplete ../config ../lib/lang ../autocomplete/util ../autocomplete/text_completer ../editor ../config".split(" "),function(l,m){var j=l("../snippets").snippetManager,f=l("../autocomplete").Autocomplete,c=l("../config"),h=l("../lib/lang"),e=l("../autocomplete/util"),k=l("../autocomplete/text_completer"),a={getCompletions:function(a,b,d,c,g){if(b.$mode.completer)return b.$mode.completer.getCompletions(a,b,d,c,g);a=a.session.getState(d.row);
b=b.$mode.getCompletions(a,b,d,c);g(null,b)}},d={getCompletions:function(a,b,d,c,g){var e=j.snippetMap,f=[];j.getActiveScopes(a).forEach(function(a){for(var a=e[a]||[],b=a.length;b--;){var d=a[b],c=d.name||d.tabTrigger;c&&f.push({caption:c,snippet:d.content,meta:d.tabTrigger&&!d.name?d.tabTrigger+"\u21e5 ":"snippet",type:"snippet"})}},this);g(null,f)},getDocTooltip:function(a){"snippet"==a.type&&!a.docHTML&&(a.docHTML=["<b>",h.escapeHTML(a.caption),"</b><hr></hr>",h.escapeHTML(a.snippet)].join(""))}},
g=[d,k,a];m.setCompleters=function(a){g.length=0;a&&g.push.apply(g,a)};m.addCompleter=function(a){g.push(a)};m.textCompleter=k;m.keyWordCompleter=a;m.snippetCompleter=d;var b={name:"expandSnippet",exec:function(a){return j.expandWithTab(a)},bindKey:"Tab"},n=function(a,b){i(b.session.$mode)},i=function(a){var b=a.$id;j.files||(j.files={});p(b);a.modes&&a.modes.forEach(i)},p=function(a){if(a&&!j.files[a]){var b=a.replace("mode","snippets");j.files[a]={};c.loadModule(b,function(b){b&&(j.files[a]=b,!b.snippets&&
b.snippetText&&(b.snippets=j.parseSnippetFile(b.snippetText)),j.register(b.snippets||[],b.scope),b.includeScopes&&(j.snippetMap[b.scope].includeScopes=b.includeScopes,b.includeScopes.forEach(function(a){p("ace/mode/"+a)})))})}},w=function(a){var b=a.editor,d=b.completer&&b.completer.activated;"backspace"===a.command.name?d&&!e.getCompletionPrefix(b)&&b.completer.detach():"insertstring"===a.command.name&&(e.getCompletionPrefix(b)&&!d)&&(b.completer||(b.completer=new f),b.completer.autoInsert=!1,b.completer.showPopup(b))},
k=l("../editor").Editor;l("../config").defineOptions(k.prototype,"editor",{enableBasicAutocompletion:{set:function(a){a?(this.completers||(this.completers=Array.isArray(a)?a:g),this.commands.addCommand(f.startCommand)):this.commands.removeCommand(f.startCommand)},value:!1},enableLiveAutocompletion:{set:function(a){a?(this.completers||(this.completers=Array.isArray(a)?a:g),this.commands.on("afterExec",w)):this.commands.removeListener("afterExec",w)},value:!1},enableSnippets:{set:function(a){a?(this.commands.addCommand(b),
this.on("changeMode",n),n(null,this)):(this.commands.removeCommand(b),this.off("changeMode",n))},value:!1}})});
define("lib/ace-modifications/mod-ace-autocomplete",["ace/autocomplete","ace/autocomplete/util"],function(l,m){m.retrievePrecedingIdentifier=function(j,f,c,h){if(h)return c=j.lastIndexOf("[",f),-1===c?"":j.substring(c,f);c=/[a-zA-Z_0-9$.[]/;h=[];for(f-=1;0<=f;f--)if(c.test(j[f]))h.push(j[f]);else break;return h.reverse().join("")};m.getCompletionPrefix=function(j){var f=j.getCursorPosition(),c=j.session.getLine(f.row);return this.retrievePrecedingIdentifier(c,f.column,void 0,j.session.isSmartNamesEnabled())};
(function(){this.insertMatch=function(j){j||(j=this.popup.getData(this.popup.getRow()));if(!j&&(j=this.popup.getData(0),!j))return!1;if(j.completer&&j.completer.insertMatch)j.completer.insertMatch(this.editor,j);else{if(this.completions.filterText)for(var f=this.editor.selection.getAllRanges(),c=0,h;h=f[c];c++)h.start.column-=this.completions.filterText.length,this.editor.session.remove(h);j.snippet?snippetManager.insertSnippet(this.editor,j.snippet):j.smartname?this.editor.insertSmartName(j.smartname):
this.editor.execCommand("insertstring",j.value||j)}this.detach()};delete this.commands.Space}).call(l.Autocomplete.prototype)});define("lib/ace-modifications/smartnamesupport/smartnameinfo",[],function(){var l=function(l){this._name=l};(function(){this.getFullName=function(){return this._name}}).call(l.prototype);return l});
define("lib/ace-modifications/smartnamesupport/mod-ace-anchor",["ace/anchor"],function(l){(function(){var l=this.onChange;this.onChange=function(j){j&&(j.action&&("insert"===j.action||"remove"===j.action))&&l.call(this,j)}}).call(l.Anchor.prototype)});
define("lib/ace-modifications/smartnamesupport/smartnameanchor",["ace/anchor","ace/lib/oop","./mod-ace-anchor"],function(l,m){var j=l.Anchor,f=function(c,f,e,k){this._info=k;this._isvalidanchor=!0;j.call(this,c,f,e)};m.inherits(f,l.Anchor);(function(){this.getSmartNameInfo=function(){return this._info};this.setSmartNameInfo=function(c){this._info=c};this.applyDeltas=function(c){if("remove"===c.action&&c.start.column<=this.column&&c.end.column>this.column)return this._isvalidanchor=!1;j.prototype.onChange.call(this,
c);return!0};this.isValid=function(){return this._isvalidanchor};this.onChange=function(){}}).call(f.prototype);return f});
define("lib/ace-modifications/smartnamesupport/smartnameanchorcontrol",["./smartnameanchor","./smartnameinfo","ace/range"],function(l,m,j){function f(a){void 0===a.smartnameanchors&&(a.smartnameanchors=[]);return a.smartnameanchors}var c=j.Range,h={},e=new m("?");e.unresolved=!0;var k=function(a,d,c){for(var a=f(a),b=0;b<a.length;b++){var e=a[b],i=e.getPosition();if(i.row===d&&i.column===c)return e}return null};h.getSmartNameInfoAt=function(a,d,c){a=k(a,d,c);return null!==a?a.getSmartNameInfo():e};
h.setSmartNameInfoAt=function(a,d,g,b){var e=new l(a,d,g,b);f(a).push(e);e=new c(d,g,d,g+1);a._signal("change",{action:"addSmartName",start:e.start,end:e.end,smartname:{row:d,column:g,info:b}})};h.applyDelta=function(a,d){for(var e=f(a),b=[],h=0;h<e.length;h++){var i=e[h];i.applyDeltas(d)||(b.push(i),e.splice(h,1),h--)}for(h=0;h<b.length;h++){var i=b[h],e=i.row,k=i.column,i=i._info,j=new c(e,k,e,k+1);a._signal("change",{start:j.start,end:j.end,action:"removeSmartName",smartname:{row:e,column:k,info:i}})}};
h.renameSmartName=function(a,d,e,b){var f=k(a.doc,d,e);if(null!=f){var i=f.getSmartNameInfo(),h=new m(b);if(b===i.getFullName())return!1;f.setSmartNameInfo(h);b=new c(d,e,d,e+1);a.doc._signal("change",{start:b.start,end:b.end,action:"renameSmartName",smartname:{row:d,column:e,oldinfo:i,newinfo:h}});return!0}return!1};h.setActiveSmartName=function(a,d,e){h.clearActiveSmartName(a);var b=k(a,d,e);null!=b&&(d=new c(d,e,d,e+1),a.activeAnchor=b,a._signal("change",{start:d.start,end:d.end,action:"changeActiveSmartName",
ignore:!0}))};h.clearActiveSmartName=function(a){if(a.activeAnchor&&a.activeAnchor.isValid()){var d=a.activeAnchor.getPosition(),d=new c(d.row,d.column,d.row,d.column+1);a.activeAnchor=null;a._signal("change",{start:d.start,end:d.end,action:"changeActiveSmartName",ignore:!0})}};h.getActiveSmartNamePosition=function(a){return a.activeAnchor&&a.activeAnchor.isValid()?a.activeAnchor.getPosition():null};h.provideSmartNameAPI=function(a,d,e){var b=a.getSession(),f=k(b.doc,d,e);return null===f?null:{isValid:function(){return f.isValid()},
setActive:function(a){f.isValid()&&(a?(a=f.getPosition(),h.setActiveSmartName(b.doc,a.row,a.column)):h.clearActiveSmartName(b.doc))},isActive:function(){return f.isValid()&&f===b.doc.activeAnchor},getSmartName:function(){return f.getSmartNameInfo().getFullName()},setSmartName:function(a){if(f.isValid()){var d=f.getPosition();h.renameSmartName(b,d.row,d.column,a)}},getSmartNameBoundingClientRect:function(d){if(f.isValid()){var e=f.getPosition(),g=(new c(e.row,e.column,e.row,e.column+1)).toScreenRange(b),
h=a.renderer;h.$textLayer.checkForSizeChanges();var e=h.scroller.getBoundingClientRect(),k=g.start.column*h.characterWidth+h.$padding+e.left-h.scrollLeft,j=g.end.column*h.characterWidth+h.$padding+e.left-h.scrollLeft,l=g.start.row*h.lineHeight+e.top-h.scrollTop,g=(g.end.row+1)*h.lineHeight+e.top-h.scrollTop;d&&(k<e.left&&(k=e.left),k>e.right&&(k=e.right),j<e.left&&(j=e.left),j>e.right&&(j=e.right),l<e.top&&(l=e.top),l>e.bottom&&(l=e.bottom),g<e.top&&(g=e.top),g>e.bottom&&(g=e.bottom));return{left:k,
top:l,width:j-k,height:g-l}}return null}}};h.undoRedo=function(a,d,e){var b=d.action;("addSmartName"===b||"removeSmartName"===b)&&e!==("addSmartName"===b)&&h.setSmartNameInfoAt(a,d.smartname.row,d.smartname.column,d.smartname.info);if("renameSmartName"===b){var b=e?d.smartname.oldinfo:d.smartname.newinfo,f=k(a,d.smartname.row,d.smartname.column);null!=f&&(f.setSmartNameInfo(b),b=new c(d.smartname.row,d.smartname.column,d.smartname.row,d.smartname.column+1),a._signal("change",{start:b.start,end:b.end,
action:"renameSmartName",smartname:{row:d.smartname.row,column:d.smartname.column,oldinfo:e?d.smartname.newinfo:d.smartname.oldinfo,newinfo:e?d.smartname.oldinfo:d.smartname.newinfo}}))}};return h});
define("lib/ace-modifications/smartnamesupport/smartnameextensionutils",["component/smartnames/encoding/smartname","component/smartnames/encoding/smartnamestringpart","component/smartnames/encoding/smartnameencoding","./smartnameinfo","./smartnameanchorcontrol"],function(l,m,j,f,c){var h={SMARTNAMECHAR:"\u0010",getSmartNameDisplayString:function(c,f){if(void 0!==c.displayFunction){var a=new l(f.getFullName());return c.displayFunction(a)}return"["+f.getFullName()+"]"},parseText:function(c,k,a){if(c.isSmartNamesEnabled()){for(var d=
{text:"",smartnames:[]},k=k.replaceAll("\n","").replaceAll("\r",""),c=(!0===a?j.UNIVERSALCOPYPASTEENCODING:c.getSmartNameEncoding()).decodeSmartNameString(k),k=0;k<c.length;k++)a=c[k],a.isTextPart()?d.text+=a.getAsText():(d.smartnames.push({index:d.text.length,info:new f(a.getAsSmartName().getFullName())}),d.text+=h.SMARTNAMECHAR);return d}return{text:k,smartnames:[]}},tryParseText:function(c,f,a){if(c.isSmartNamesEnabled())try{return h.parseText(c,f,a)}catch(d){return{text:f.replaceAll("\n","").replaceAll("\r",
"").replaceAll(""+h.SMARTNAMECHAR,"?"),smartnames:[]}}else return{text:f,smartnames:[]}},recompileText:function(e,f,a,d,g){if(e.isSmartNamesEnabled()){for(var b=[],n=0;n<d.length;n++)if(d.charAt(n)===h.SMARTNAMECHAR){var i=c.getSmartNameInfoAt(f,0,a+n);b.push(m.makeSmartNamePart(new l(i.getFullName())))}else b.push(m.makePlainTextPart(""+d.charAt(n)));return(!0===g?j.UNIVERSALCOPYPASTEENCODING:e.getSmartNameEncoding()).encodeSmartNameString(b)}return d},addSmartNameAnchors:function(e,f,a){for(var d=
0;d<a.length;d++)c.setSmartNameInfoAt(e,0,a[d].index+f.start.column,a[d].info)},startSmartNameChangeGroup:function(c){void 0==c.smartnamechangeready&&(c.smartnamechangeready=0);c.smartnamechangeready++},stopSmartNameChangeGroup:function(c,f){c.smartnamechangeready--;c._signal("change",{action:"changeAfterSmartNames",start:f.start,end:f.end})},isInSmartNameChangeReady:function(c){return void 0==c.smartnamechangeready?!0:0===c.smartnamechangeready},getSmartNameEditAPI:function(e,f,a){return e.getSession().isSmartNamesEnabled()&&
e.getSession().getLine(f).charAt(a)===h.SMARTNAMECHAR?c.provideSmartNameAPI(e,f,a):null}};return h});
define("lib/ace-modifications/smartnamesupport/smartnametooltip","require exports module ace/lib/oop ace/lib/event ace/tooltip ./smartnameextensionutils ./smartnameanchorcontrol".split(" "),function(l,m){function j(a){a.smartnameTooltip||(h.call(this,a.container),a.smartnameTooltip=this,this.editor=a,this.update=this.update.bind(this),this.onMouseMove=this.onMouseMove.bind(this),this.onMouseOut=this.onMouseOut.bind(this),c.addListener(a.renderer.scroller,"mousemove",this.onMouseMove),c.addListener(a.renderer.content,
"mouseout",this.onMouseOut),c.addListener(a,"change",function(a){var c=a.data;"undefined"===typeof c&&(c=a);"changeActiveSmartName"===c.action&&this.lastHoverSmartName&&this.update()}.bind(this)))}var f=l("ace/lib/oop"),c=l("ace/lib/event"),h=l("ace/tooltip").Tooltip,e=l("./smartnameextensionutils"),k=l("./smartnameanchorcontrol");f.inherits(j,h);(function(){this.update=function(){this.$timer=null;var a=this.editor.renderer;if(1E3<this.lastT-(a.timeStamp||0))a.rect=null,a.timeStamp=this.lastT,this.maxHeight=
window.innerHeight,this.maxWidth=window.innerWidth;var d=a.rect||(a.rect=a.scroller.getBoundingClientRect()),c=Math.floor((this.y+a.scrollTop-d.top)/a.lineHeight),a=Math.round((this.x+a.scrollLeft-d.left-a.$padding)/a.characterWidth),b=this.editor.session,f=b.screenToDocumentPosition(c,a),a=c=!1;b.getLine(f.row).charAt(f.column)===e.SMARTNAMECHAR?(d=k.getSmartNameInfoAt(b.getDocument(),f.row,f.column),b=k.getActiveSmartNamePosition(b.getDocument()),b=null!==b&&b.row===f.row&&b.column===f.column,d===
this.lastHoverSmartName&&b===this.lastSmartNameActive?(c=!1,a=this.isOpen):(f=$(this.getElement()),f.empty(),this.lastHoverSmartName=d,this.lastSmartNameActive=b,this.editor.smartnameTooltipFunction&&(c=a=this.editor.smartnameTooltipFunction(d.getFullName(),b,f)))):(this.lastHoverSmartName=null,c=a=!1);a?(c&&(this.width=this.getWidth(),this.height=this.getHeight()),this.show(null,this.x,this.y)):this.hide()};this.onMouseMove=function(a){this.x=a.clientX;this.y=a.clientY;this.isOpen&&(this.lastT=a.timeStamp,
this.setPosition(this.x,this.y));this.$timer||(this.$timer=setTimeout(this.update,100))};this.onMouseOut=function(a){if(!a||!a.currentTarget.contains(a.relatedTarget))this.hide(),this.$timer=clearTimeout(this.$timer),this.lastHoverSmartName=null};this.setPosition=function(a,c){a+10+this.width>this.maxWidth&&(a=window.innerWidth-this.width-10);if(c>0.75*window.innerHeight||c+20+this.height>this.maxHeight)c=c-this.height-30;h.prototype.setPosition.call(this,a+10,c+20)};this.destroy=function(){this.onMouseOut();
c.removeListener(this.editor.renderer.scroller,"mousemove",this.onMouseMove);c.removeListener(this.editor.renderer.content,"mouseout",this.onMouseOut);delete this.editor.smartnameTooltip}}).call(j.prototype);m.SmartNameTooltip=j});
define("lib/ace-modifications/smartnamesupport/mod-ace-editor","ace/editor ace/range ./smartnameinfo ./smartnameextensionutils ./smartnametooltip utils/extendedstring".split(" "),function(l,m,j,f,c){var h=m.Range,e=c.SmartNameTooltip;(function(){this.insertSmartName=function(a){f.startSmartNameChangeGroup(this.getSession().getDocument());this.insert(f.SMARTNAMECHAR);var c=this.getCursorPosition().column-1,e=new h(0,c,0,c+1);f.addSmartNameAnchors(this.getSession().getDocument(),e,[{index:0,info:new j(a)}]);
f.stopSmartNameChangeGroup(this.getSession().getDocument(),e);this._triggerSmartNameEditing({row:0,column:c})};this.getSmartNameEncodedValue=function(){return f.recompileText(this.getSession(),this.getSession().getDocument(),0,this.getValue())};this.isChangeReady=function(){return f.isInSmartNameChangeReady(this.getSession().getDocument())};this.setSmartNameEncodedValue=function(a){a=f.parseText(this.getSession(),a);f.startSmartNameChangeGroup(this.getSession().getDocument());this.setValue(a.text);
var c=new h(0,0,0,a.text.length);f.addSmartNameAnchors(this.getSession().getDocument(),c,a.smartnames);f.stopSmartNameChangeGroup(this.getSession().getDocument(),c);this.navigateFileEnd()};this.configureSmartNameTooltip=function(a){this.smartnameTooltipFunction=a;new e(this)};this.initSmartNameEditListener=function(a){this.onEditSmartNameCallback=a;this.on("click",function(a){a=a.getDocumentPosition();this._triggerSmartNameEditing(a)}.bind(this))};this._triggerSmartNameEditing=function(a){if(this.onEditSmartNameCallback&&
(a=f.getSmartNameEditAPI(this,a.row,a.column),null!=a))this.onEditSmartNameCallback(a)};this.insertBase=this.insert;this.insert=function(a,c){this.getSession().isSmartNamesEnabled()&&(a=a.replaceAll("\r","").replaceAll("\n",""));this.insertBase(a,c)};var c=this.onPaste;this.onPaste=function(a){a=f.tryParseText(this.session,a,!0);f.startSmartNameChangeGroup(this.session.getDocument());c.call(this,a.text);var d=this.getCursorPosition().column-a.text.length,d=new h(0,d,0,d+a.text.length);f.addSmartNameAnchors(this.session.getDocument(),
d,a.smartnames);f.stopSmartNameChangeGroup(this.session.getDocument(),d)};this.getCopyText=function(){var a=this.getSelectionRange().start.column,c=this.getSelectedText(),c=f.recompileText(this.getSession(),this.getSession().getDocument(),a,c,!0);this._signal("copy",c);return c}}).call(l.Editor.prototype)});
define("lib/ace-modifications/smartnamesupport/mod-ace-edit_session",["ace/edit_session","ace/range","./smartnameanchorcontrol","./smartnameextensionutils"],function(l,m,j,f){(function(){var c=m.Range,h=f.SMARTNAMECHAR;this.isSmartNamesEnabled=function(){return void 0===this._smartNamesEnabled?!1:this._smartNamesEnabled};this.enableSmartNames=function(c){void 0!==c&&(this._smartNamesEnabled=!0,this.getDocument().enableSmartNames(),this._smartNameEncoding=c)};this.getSmartNameEncoding=function(){return this._smartNameEncoding};
this.$getStringScreenWidth=function(c,k,a){function d(b){if(9==b)a+=g.getScreenTabSize(a);else{var c;if(c=4352<=b)c=4352>b?!1:4352<=b&&4447>=b||4515<=b&&4519>=b||4602<=b&&4607>=b||9001<=b&&9002>=b||11904<=b&&11929>=b||11931<=b&&12019>=b||12032<=b&&12245>=b||12272<=b&&12283>=b||12288<=b&&12350>=b||12353<=b&&12438>=b||12441<=b&&12543>=b||12549<=b&&12589>=b||12593<=b&&12686>=b||12688<=b&&12730>=b||12736<=b&&12771>=b||12784<=b&&12830>=b||12832<=b&&12871>=b||12880<=b&&13054>=b||13056<=b&&19903>=b||19968<=
b&&42124>=b||42128<=b&&42182>=b||43360<=b&&43388>=b||44032<=b&&55203>=b||55216<=b&&55238>=b||55243<=b&&55291>=b||63744<=b&&64255>=b||65040<=b&&65049>=b||65072<=b&&65106>=b||65108<=b&&65126>=b||65128<=b&&65131>=b||65281<=b&&65376>=b||65504<=b&&65510>=b;a=c?a+2:a+1}}if(0==k)return[0,0];null==k&&(k=Infinity);var a=a||0,g=this,b,l;for(l=0;l<c.length;l++){b=c.charCodeAt(l);if(b==h.charCodeAt(0)&&this.isSmartNamesEnabled()){b=j.getSmartNameInfoAt(this.getDocument(),0,l);b=f.getSmartNameDisplayString(this.getDocument(),
b);for(var i=0;i<b.length;i++){var m=b.charCodeAt(i);d(m)}}else d(b);if(a>k)break}return[a,l]};this.getWordRangeBase=this.getWordRange;this.getWordRange=function(e,f){return this.getLine(e).charAt(f)==h&&this.isSmartNamesEnabled()?new c(e,f,e,f+1):this.getWordRangeBase(e,f)};this.moveText=function(e,h,a){var d=this.getTextRange(e),d=f.recompileText(this,this.getDocument(),e.start.column,d,!0),g=this.getFoldsInRange(e),h=c.fromPoints(h,h);if(!a){this.remove(e);var b=e.start.row-e.end.row,j=b?-e.end.column:
e.start.column-e.end.column;j&&(h.start.row==e.end.row&&h.start.column>e.end.column&&(h.start.column+=j),h.end.row==e.end.row&&h.end.column>e.end.column&&(h.end.column+=j));b&&h.start.row>=e.end.row&&(h.start.row+=b,h.end.row+=b)}a=f.parseText(this,d,!0);f.startSmartNameChangeGroup(this.getDocument());d=a.text;h.end=this.insert(h.start,d);d=new c(0,h.start.column,0,h.start.column+a.text.length);f.addSmartNameAnchors(this.getDocument(),d,a.smartnames);f.stopSmartNameChangeGroup(this.getDocument(),
d);if(g.length){var i=e.start,e=h.start,b=e.row-i.row,j=e.column-i.column;this.addFolds(g.map(function(a){a=a.clone();a.start.row==i.row&&(a.start.column+=j);a.end.row==i.row&&(a.end.column+=j);a.start.row+=b;a.end.row+=b;return a}))}return h}}).call(l.EditSession.prototype)});
define("lib/ace-modifications/smartnamesupport/mod-ace-document",["ace/document","ace/range","ace/apply_delta","./smartnameanchorcontrol","./smartnameextensionutils"],function(l,m,j,f,c){var h=m.Range,e=f.undoRedo,k=f.applyDelta;(function(){this.isSmartNamesEnabled=function(){return void 0===this._smartNamesEnabled?!1:this._smartNamesEnabled};this.enableSmartNames=function(){this._smartNamesEnabled=!0};this.applyDelta=function(a,d){var f="insert"==a.action,b="remove"==a.action;if(!(f?1>=a.lines.length&&
!a.lines[0]:!h.comparePoints(a.start,a.end)))f&&2E4<a.lines.length&&this.$splitAndapplyLargeDelta(a,2E4),!f&&!b?e(this,a,"undefined"!==typeof a.undo&&a.undo):(this.isSmartNamesEnabled()?(c.startSmartNameChangeGroup(this),j.applyDelta(this.$lines,a,d),k(this,{action:a.action,start:a.start,end:a.end}),c.stopSmartNameChangeGroup(this,{start:a.start,end:a.end})):j.applyDelta(this.$lines,a,d),this._signal("change",a))};this.revertDelta=function(a){var c=a.action;"insert"===a.action?c="remove":"remove"===
a.action&&(c="insert");var e={start:this.clonePos(a.start),end:this.clonePos(a.end),action:c,undo:!0};"undefined"!==typeof a.smartname&&(e.smartname=a.smartname);if("insert"===c||"remove"==c)e.lines=a.lines.slice();this.applyDelta(e)}}).call(l.Document.prototype)});
define("lib/ace-modifications/smartnamesupport/mod-ace-layer-text",["ace/layer/text","ace/lib/lang","./smartnameanchorcontrol","./smartnameextensionutils","utils/ConvertUtils"],function(l,m,j,f){(function(){this.$renderToken=function(c,h,e,k){var a=this,d=/\x10|\t|&|<|( +)|([\x00-\x1f\x80-\xa0\xad\u1680\u180E\u2000-\u200f\u2028\u2029\u202F\u205F\u3000\uFEFF])|[\u1100-\u115F\u11A3-\u11A7\u11FA-\u11FF\u2329-\u232A\u2E80-\u2E99\u2E9B-\u2EF3\u2F00-\u2FD5\u2FF0-\u2FFB\u3000-\u303E\u3041-\u3096\u3099-\u30FF\u3105-\u312D\u3131-\u318E\u3190-\u31BA\u31C0-\u31E3\u31F0-\u321E\u3220-\u3247\u3250-\u32FE\u3300-\u4DBF\u4E00-\uA48C\uA490-\uA4C6\uA960-\uA97C\uAC00-\uD7A3\uD7B0-\uD7C6\uD7CB-\uD7FB\uF900-\uFAFF\uFE10-\uFE19\uFE30-\uFE52\uFE54-\uFE66\uFE68-\uFE6B\uFF01-\uFF60\uFFE0-\uFFE6]/g,
g=function(b,c,d,e){if(c)return a.showInvisibles?"<span class='ace_invisible ace_invisible_space'>"+m.stringRepeat(a.SPACE_CHAR,b.length)+"</span>":m.stringRepeat("\u00a0",b.length);if("&"==b)return"&#38;";if("<"==b)return"&#60;";if("\t"==b)return b=a.session.getScreenTabSize(h+e),h+=b-1,a.$tabStrings[b];if("\u3000"==b)return b=a.showInvisibles?"ace_cjk ace_invisible ace_invisible_space":"ace_cjk",c=a.showInvisibles?a.SPACE_CHAR:"",h+=1,"<span class='"+b+"' style='width:"+2*a.config.characterWidth+
"px'>"+c+"</span>";if(d)return"<span class='ace_invisible ace_invisible_space ace_invalid'>"+a.SPACE_CHAR+"</span>";h+=1;return"<span class='ace_cjk' style='width:"+2*a.config.characterWidth+"px'>"+b+"</span>"},b=k.replace(d,function(b,c,e,i,k){return b==f.SMARTNAMECHAR&&a.session.isSmartNamesEnabled()?(c=a.session.screenToDocumentPosition(0,h+i),b=j.getSmartNameInfoAt(a.session.getDocument(),c.row,c.column),e=j.getActiveSmartNamePosition(a.session.getDocument()),c=null!=e&&c.row===e.row&&c.column===
e.column,b=f.getSmartNameDisplayString(a.session.getDocument(),b),h+=b.length-1,b=b.replace(d,g),"<span class='ace_smartname"+(c?" ace_smartname_active":"")+"'>"+b+"</span>"):g(b,c,e,i,k)});if(this.$textToken[e.type])c.push(b);else{var l="ace_"+e.type.replace(/\./g," ace_"),i="";"fold"==e.type&&(i=" style='width:"+e.value.length*this.config.characterWidth+"px;' ");c.push("<span class='",l,"'",i,">",b,"</span>")}return h+k.length}}).call(l.Text.prototype)});
define("lib/ace-modifications/smartnamesupport/mod-ace-mouse-dragdrop_handler",["ace/config","ace/lib/event","ace/range","./smartnameanchorcontrol","./smartnameextensionutils"],function(l,m,j,f,c){var h=j.Range;l.on("editor",function(e){var f=e.container,a;m.addListener(f,"dragstart",function(d){if(!this.cancelDrag&&f.draggable){var g=e.session.selection.getRange().start.column,d=d.dataTransfer;d.clearData();var b=e.session.getTextRange(),b=c.recompileText(e.session,e.session.getDocument(),g,b,!0);
d.setData("Text",b);a=!0}}.bind(this));m.addListener(f,"dragend",function(){a=!1}.bind(this));m.addListener(f,"drop",function(){if(!a){var d=e.getSelectedText(),f=c.tryParseText(e.session,d,!0);f.text!==d&&(c.startSmartNameChangeGroup(e.session.getDocument()),d=e.getSelectionRange(),d.isEmpty()||e.session.remove(d),e.session.insert(d.start,f.text),d=new h(0,d.start.column,0,d.start.column+f.text.length),c.addSmartNameAnchors(e.session.getDocument(),d,f.smartnames),c.stopSmartNameChangeGroup(e.session.getDocument(),
d))}}.bind(this))})});
define("lib/ace-modifications/smartnamesupport/mod-ace-undomanager",["ace/undomanager"],function(l){(function(){function l(c){return{action:c.action,start:c.start,end:c.end,lines:1==c.lines.length?null:c.lines,text:1==c.lines.length?c.lines[0]:null,smartname:c.smartname}}function j(c){return{action:c.action,start:c.start,end:c.end,lines:c.lines||[c.text],smartname:c.smartname}}function f(c,f){for(var e=Array(c.length),j=0;j<c.length;j++){for(var a=c[j],d={group:a.group,deltas:Array(a.length)},g=0;g<
a.deltas.length;g++)d.deltas[g]=f(a.deltas[g]);e[j]=d}return e}this.$serializeDeltas=function(c){return f(c,l)};this.$deserializeDeltas=function(c){return f(c,j)}}).call(l.UndoManager.prototype)});define("lib/ace-modifications/javascriptsupport/mod-ace-languagetools",["ace/ext/language_tools"],function(l){l.addCompleter=function(m){l.setCompleters([l.snippetCompleter,l.textCompleter,l.keyWordCompleter,m])}});
define("lib/ace-modifications/mod-ace-all","./mod-ace-autocomplete ./smartnamesupport/mod-ace-editor ./smartnamesupport/mod-ace-edit_session ./smartnamesupport/mod-ace-document ./smartnamesupport/mod-ace-layer-text ./smartnamesupport/mod-ace-mouse-dragdrop_handler ./smartnamesupport/mod-ace-undomanager ./smartnamesupport/mod-ace-anchor ./javascriptsupport/mod-ace-languagetools".split(" "),function(){});
define("component/smartnames/input/smartnameinput","component/smartnames/encoding/smartnameencoding component/smartnames/encoding/smartnamestringpart component/smartnames/encoding/smartname ./smartnameeditpanel component/popover/Popover utils/webi18n!SmartNameSelector underscore jquery ace/ace ace/ext/language_tools lib/ace-modifications/mod-ace-all".split(" "),function(l,m,j,f,c,h,e,k,a){function d(a){if("List"==a.getName())return"[List]";var b="[",b="ProjAttr"==a.getName()?b+(a.getArguments()[0]+
" (Project)"):"DocAttr"==a.getName()?b+(a.getArguments()[0]+" (Document)"):b+a.getFullName();return b+"]"}var g="showSettingsMenu goToNextError goToPreviousError centerselection gotoline fold unfold toggleFoldWidget toggleParentFoldWidget foldall foldOther unfoldall findnext findprevious selectOrFindNext selectOrFindPrevious find togglerecording replaymacro jumptomatching selecttomatching expandToMatching removeline duplicateSelection sortlines togglecomment toggleBlockComment modifyNumberUp modifyNumberDown replace copylinesup movelinesup copylinesdown movelinesdown cut_or_delete removetolinestart removetolineend outdent indent blockoutdent blockindent splitline transposeletters touppercase tolowercase expandtoline".split(" "),
b=function(b,i){b=void 0===b?document.createElement("div"):k(b).get(0);void 0===i&&(i={});void 0===i.readOnly&&(i.readOnly=!1);void 0===i.encoding&&(i.encoding=l.SAVEDSEARCH);this._encoding=i.encoding;this._mark=(this._markaware=!1===i.markaware?!1:!0)&&(!0===i.mark?!0:!1);this._markid=void 0!==i.markid?i.markid:"@";this._marksn=this._encoding.encodeSmartNameString([m.makeSmartNamePart(new j(this._markid))]);var p=a.edit(b);p.setBehavioursEnabled(!1);this._editor=p;this._div=k(b);this._formcontrol=
this._div.wrap(k("<div/>")).parent();b.SmartNameInput=this;p.$blockScrolling=Infinity;var w=p.getValue();p.getSession().enableSmartNames(this._encoding);this.setValue(w);this._displayFunction=i.displayFunction||d;p.getSession().getDocument().displayFunction=this._displayFunction;p.setOptions({highlightActiveLine:!1,highlightSelectedWord:!1});this.readOnly=i.readOnly;this.disabled=!1;this.readOnly?(p.setReadOnly(!0),p.setTheme("component/smartnames/input/themes/smartnames-display")):(this._formcontrol.addClass("form-control"),
p.setTheme("component/smartnames/input/themes/smartnames-input"));p.getSession().gutterRenderer={getWidth:function(){return 0},getText:function(){return""}};p.renderer.setOptions({showLineNumbers:!1,maxLines:1,printMargin:0,printMarginColumn:0,showPrintMargin:!1,displayIndentGuides:!1,showGutter:!1});p.renderer.setPadding(10);this._formcontrol.css({"padding-left":"0px","padding-right":"0px"});p.commands.removeCommands(g);p.commands.addCommand({name:"myCommand",bindKey:{win:"Ctrl-F",mac:"Command-F"},
exec:function(){},readOnly:!0});var t=e.bind(function(a){a?(this._smartNameEditPopoverDiv&&this._smartNameEditPopoverDiv.show(),this._smartNameEditPopover&&this._smartNameEditPopover.show(),k.each(this._onSmartNamePopoverShowListeners,function(a,b){b()})):(this._destroySmartNameEditPanel(),k.each(this._onSmartNamePopoverHideListeners,function(a,b){b()}))},this);this._recalculateSmartNameEditPopover=e.bind(function(a){a&&this._smartNameEditPopover&&(a=a.getSmartNameBoundingClientRect(!0),this._smartNameEditPopoverDiv||
(this._smartNameEditPopoverDiv=k("<div />"),k("body").append(this._smartNameEditPopoverDiv)),this._smartNameEditPopoverDiv.css({position:"absolute",width:a.width,height:a.height,top:a.top+window.pageYOffset,left:a.left+window.pageXOffset}),this._smartNameEditPopover.setContext(this._smartNameEditPopoverDiv),this._smartNameEditPopover.isActive()&&this._smartNameEditPopover.show())},this);this._lastAPI=null;p.initSmartNameEditListener(function(a){this._lastAPI&&this._smartNameEditPanel&&this._lastAPI.setSmartName(this._smartNameEditPanel.getSmartName().getFullName());
var b=new j(a.getSmartName()),d={};"List"==b.getName()?(d.labels=[h.t("SMARTNAME_LIST_NAME"),h.t("SMARTNAME_LIST_RESULT_COLUMN"),h.t("SMARTNAME_LIST_LOOKUP_COLUMN"),h.t("SMARTNAME_LIST_LOOKUP_VALUE")],d.hasStrictParams=!0,d.smartnameInputOptions=i,this._smartNameEditPanel=new f(b,d),this.isDisabled()?this._smartNameEditPanel.disable():this._smartNameEditPanel.enable(),this._smartNameEditPopover||(this._smartNameEditPopover=new c(this.getJQElement(),k("body"),k("body"),"bottom","#FAFAFA","SmartNameEditPopover",
void 0,void 0,void 0,"#CCC")),this._smartNameEditPopover.setContent(this._smartNameEditPanel.getJQElement()),this._smartNameEditPanel.onSave(function(){var b=this._smartNameEditPanel.getSmartName();a.setSmartName(b.getFullName());t(!1);a.setActive(!1)}.bind(this)),this._smartNameEditPanel.onCancel(function(){t(!1);a.setActive(!1)}.bind(this)),a.setActive(!0),this._recalculateSmartNameEditPopover(a),t(!0),this._lastAPI=a):t(!1)}.bind(this));this._editor.configureSmartNameTooltip(function(a,b,c){return"List"==
(new j(a)).getName()&&!b?(c.text(h.t("SMARTNAME_LIST_TOOLTIP")),!0):!1});this.onValueChange(e.bind(function(){this._lastAPI&&!this._lastAPI.isValid()&&(t(!1),this._lastAPI.setActive(!1),this._lastAPI=null)},this))};(function(){this._addMark=function(a){this._mark&&(!this._encoding.containsSmartName(a)&&0<a.length)&&(a=this._marksn+a);return a};this._removeMark=function(a){if(this._markaware&&a.length>=this._marksn.length){for(var a=this._encoding.decodeSmartNameString(a),b=0;b<a.length;b++){var c=
a[b];c.isSmartNamePart()&&c.getAsSmartName().getName()===this._markid&&(a.splice(b,1),b--)}a=this._encoding.encodeSmartNameString(a)}return a};this.getValue=function(){return this._addMark(this._editor.getSmartNameEncodedValue())};this.setValue=function(a){try{this._encoding.decodeSmartNameString(a)}catch(b){window.console.error("Error: Illegal value used in setValue on SmartField. Falling back to text..."),a=this._encoding.escapeString(a)}this._editor.setSmartNameEncodedValue(this._removeMark(a))};
this.clear=function(){this._editor.setValue("")};this.onFocus=function(a){this._editor.on("focus",function(){try{a()}catch(b){console.error("An error was thrown in a focus listener: "+b)}})};this.onBlur=function(a){this._editor.on("blur",function(){try{a()}catch(b){console.error("An error was thrown in a blur listener: "+b)}})};this.onValueChange=function(a){var b=this;this._editor.on("change",function(){try{b._editor.isChangeReady()&&a(b.getValue())}catch(c){console.error("An error was thrown in a change listener: "+
c)}})};this._onSmartNamePopoverShowListeners=[];this.onSmartNamePopoverShow=function(a){this._onSmartNamePopoverShowListeners.push(a)};this._onSmartNamePopoverHideListeners=[];this.onSmartNamePopoverHide=function(a){this._onSmartNamePopoverHideListeners.push(a)};this.setSmartNames=function(a){var b=a.map(e.bind(function(a){var b=this._displayFunction(a);return{caption:b,value:b,score:1,meta:"",smartname:a.getFullName()}},this));this._editor.setOptions({enableLiveAutocompletion:[{getCompletions:function(a,
c,d,e,f){f(null,b)}}]});this._editor.resize(!0)};this.insertText=function(a){this._editor.insert(a);this._editor.renderer.scrollCursorIntoView()};this.insertSmartName=function(a){this._editor.insertSmartName(a);this._editor.renderer.scrollCursorIntoView()};this.show=function(){this._formcontrol.show()};this.hide=function(){this._formcontrol.hide()};this.focus=function(){this._editor.focus()};this.blur=function(){this._editor.blur()};this.resize=function(){this._editor.resize();this._recalculateSmartNameEditPopover(this._lastAPI);
this._smartNameEditPanel&&this._smartNameEditPanel.resize()};this.isDisabled=function(){return this.disabled};this.disable=function(){this.disabled||(this.disabled=!0,this._editor.setReadOnly(!0),this._div.addClass("ace_smartinput_disabled"),this._smartNameEditPanel&&this._smartNameEditPanel.disable())};this.enable=function(){this.disabled&&(this.disabled=!1,this._editor.setReadOnly(!1),this._div.removeClass("ace_smartinput_disabled"),this._smartNameEditPanel&&this._smartNameEditPanel.enable())};
this._destroySmartNameEditPanel=function(){this._smartNameEditPopover&&(this._smartNameEditPopoverDiv.remove(),this._smartNameEditPopoverDiv=null,this._smartNameEditPopover.destroy(),this._smartNameEditPopover=null);this._smartNameEditPanel&&(this._smartNameEditPanel.destroy(),this._smartNameEditPanel=null)};this.destroy=function(){var a=this.getValue();this._destroySmartNameEditPanel();this.stopEditing();this._editor.destroy();this.getJQElement().text(a).removeClass("ace_editor").removeClass("ace-smartnamefield-display").removeClass("ace-smartnamefield-input");
try{delete this._div.get(0).SmartNameInput}catch(b){}};this.stopEditing=function(){this._editor.completer&&this._editor.completer.getPopup()&&this._editor.completer.getPopup().hide()};this.getJQElement=function(){return this._formcontrol}}).call(b.prototype);b.wcrinit=function(a){new b(a)};b.wcrdestroy=function(a){a.SmartNameInput.destroy()};return b});