define("dashboard/core/BlockDefinition",["underscore"],function(){var d=function(d,c,a){this.promise=null;this._id=d;this.type=c;this.config=a;this._description=null};d.prototype.getID=function(){return this._id};d.prototype.getType=function(){return this.type};d.prototype.getDisplayName=function(){return this.config.displayName||this.getID()||""};d.prototype.getDescription=function(){return this._description};d.prototype.setDescription=function(d){this._description=d};d.prototype.getCategory=function(){return this.config.category||
""};d.prototype.allowMultipleInContext=function(){return!this.config.onePerContext};d.prototype.clone=function(h){return new d(h,this.type,JSON.parse(JSON.stringify(this.config)))};return d});
define("dashboard/core/BlockDefinitionDataSource",["utils/Observable","utils/Observer","utils/FilterUtils","underscore","lib/PromisePolyfill"],function(d,h,c,a){var g=function(a,f){d.mixin(this,"BlockDefinitionDataSource");h.mixin(this);f||(f=[]);this._observingContext=!1;this._context=a;this._blockDefinitions=f;this._observeContextIfNeeded()};g.prototype.getCategories=function(){var b=this._blockDefinitions;return Promise.resolve().then(function(){return a.unique(a.sortBy(a.map(b,function(a){return a.getCategory()}),
!0))})};g.prototype.getBlocks=function(){return Promise.resolve(this._blockDefinitions.slice(0))};g.prototype.getBlocksForCategory=function(b){var f=this._blockDefinitions;return Promise.resolve().then(function(){return b?a.filter(f,function(a){return a.getCategory()===b},this):f}.bind(this))};g.prototype.filterBlocks=function(b,f){var e=this;return this.getBlocksForCategory(b).then(function(b){var e=c.generateRegex(f,!0);return a.filter(b,function(a){return e.test(a.getDisplayName())||e.test(a.getDescription())})}).then(function(b){return Promise.all(a.map(b,
function(a){return a.allowMultipleInContext()?a:e._context.whenFullyLoaded().then(function(b){return b.getAttachedBlocksByType(a.getType()).then(function(b){return 0===b.length?a:null})})}))}).then(function(b){return a.compact(b)})};g.prototype.setBlockDefinitions=function(a){this._blockDefinitions=a;this._observeContextIfNeeded();this._emit("changed.blockDefinitions")};g.prototype.addBlockDefinition=function(a){this._blockDefinitions.push(a);this._observeContextIfNeeded();this._emit("changed.blockDefinitions")};
g.prototype.removeBlockDefinition=function(b){this._blockDefinitions=a.without(this._blockDefinitions,b);this._emit("changed.blockDefinitions")};g.prototype._observeContextIfNeeded=function(){!this._observingContext&&a.find(this._blockDefinitions,function(a){return!a.allowMultipleInContext()})&&(this._observe(this._context,"changed",function(){this._emit("changed.blockDefinitions")}),this._observingContext=!0)};return g});
define("dashboard/core/Factory",["utils/Promisify"],function(d){var h=function(){};h.prototype.initBlock=function(c,a,g){return d.require(g).then(function(b){return new b(c,a)}).catch(function(a){a.message="Could not load definition for Block ("+c+", type: "+g+") \r\nRequireJS error: "+a.message;throw a;})};return h});
define("dashboard/core/parameters/ParameterSet",["utils/Observable","utils/Observer","utils/OrderedObject","underscore"],function(d,h,c,a){var g=function(){d.mixin(this,"ParameterSet");h.mixin(this);this._parameters=new c};g.prototype.getParameterList=function(){return this._parameters.getOrderedObjectList()};g.prototype.getParameterListByType=function(b){return a.filter(this.getParameterList(),function(a){return a.getType()===b})};g.prototype.getParameter=function(a){return this._parameters.getItemByKey(a)};
g.prototype.setParameter=function(b,f){if(this._parameters.getItemByKey(b)!==f){this._parameters.getItemByKey(b)&&this._stopObserveObject(this._parameters.getItemByKey(b));var e=this.getValue(b);this._parameters.addOrReplaceItem(b,f);this._emitParameterChanged(b,e,this.getValue(b));f&&this._observe(f,"changed",a.partial(this._emitParameterChanged,b))}};g.prototype._emitParameterChanged=function(a,f,e){this._emit(["changed",a].join("."),f,e)};g.prototype.getValue=function(a){if(a=this._parameters.getItemByKey(a))return a.getValue()};
g.prototype.setValue=function(a,f){this._parameters.getItemByKey(a).setValue(f)};g.prototype.moveParameterToEndOfList=function(a){this._parameters.moveItemByKeyToEnd(a)};g.prototype.moveParametertoFrontOfList=function(a){this._parameters.moveItemByKeyToIndex(a,0)};return g});
define("dashboard/core/IDMap",[],function(){var d=function(d){this._masterMap=d;this._mapping={}};d.prototype.mapID=function(d){return this._mapping[d]?this._mapping[d]:this._masterMap?this._masterMap.mapID(d):d};d.prototype.addMapping=function(d,c){this._mapping[d]=c};d.prototype.createInstance=function(){return new d(this)};return d});
define("dashboard/blocks/ErrorBlock",["../core/Block","underscore"],function(d,h){var c=function(a,c,b,f,e){d.call(this,a,c);this._message=b;this._blockDefinition=f;this._errorDetails=e||null};c.prototype=Object.create(d.prototype);c.prototype.constructor=c;c.prototype.getType=function(){return"dashboard/blocks/ErrorBlock"};c.prototype.getConfiguration=function(){return this._blockDefinition.config};c.prototype._initializeDefaultParameters=function(){};c.prototype._doInit=function(){this._error=this._generateUserfriendlyException(this._message,
this._blockDefinition,this._errorDetails);this._render()};c.prototype._doRender=function(){this._element.html(this._error)};c.prototype.isPersistent=function(){return!h.isEmpty(this._blockDefinition.config)};c.prototype.canConfigure=function(){return!1};c.prototype._generateUserfriendlyException=function(a,c,b){var f=document.createElement("div");f.className="alert alert-danger";this._context.getLanguageBundle("Dashboard").then(function(e){var d=document.createElement("p");d.textContent=e.t("ERROR_UNEXPECTED_BLOCK");
f.appendChild(d);if(a&&(a.message||a.stack)||c||b){var h=document.createElement("a");h.textContent=e.t("ERROR_UNEXPECTED_DETAILS");var l=!1,i=null;h.addEventListener("click",function(){if(l)f.removeChild(i),h.textContent=e.t("ERROR_UNEXPECTED_DETAILS"),l=!1;else{i=document.createElement("pre");var m=[];a.message&&m.push(a.message);a.stack&&m.push(a.stack);if(c)try{m.push("Block Definition: \r\n"+JSON.stringify(c,null,"  "))}catch(d){m.push("Could not generate block definition \r\n"+d)}b&&m.push(b);
i.textContent=m.join("\r\n\r\n---------------------------------------------\r\n\r\n");h.textContent=e.t("ERROR_UNEXPECTED_HIDE_DETAILS");f.appendChild(i);l=!0}});f.appendChild(h)}});return f};return c});
define("dashboard/core/Context","./BlockDefinition ./BlockDefinitionDataSource ./Factory ./parameters/ParameterSet ./IDMap utils/SynchronizedUndoRedoController utils/Command utils/Observable utils/Promisify underscore dashboard/blocks/ErrorBlock lib/PromisePolyfill".split(" "),function(d,h,c,a,g,b,f,e,j,k,l){var i=function(f){f||(f="");e.mixin(this,"Context_"+f);this._blocks={};this._idGenerator={};this._defaultIDMap=new g;this._parameters=new a;this._undoRedoController=new b(500);this._dragDropHandler=
null;this._isEditModeActive=!1;this._dashboardRootBlock=null};i.prototype.getBlocks=function(){return this._blocks};i.prototype.getFactory=function(){this._factory||(this._factory=Promise.resolve().then(function(){return new c}));return this._factory};i.prototype.toggleEditMode=function(a){this._isEditModeActive!=a&&(this._isEditModeActive=a,this._emit("editModeActive",a))};i.prototype.isEditModeActive=function(){return this._isEditModeActive};i.prototype.setFactory=function(a){this._factory=Promise.resolve(a)};
i.prototype.getLanguageProvider=function(){this._languageProvider||(this._languageProvider=j.require("dashboard/i18n/LanguageProvider").then(function(a){return new a}));return this._languageProvider};i.prototype.getDragDropHandler=function(){this._dragDropHandler||(this._dragDropHandler=j.require("dashboard/builder/dragdrop/DragDropHandler").then(function(a){return new a}));return this._dragDropHandler};i.prototype.getUndoRedoController=function(){return this._undoRedoController};i.prototype.undoableAction=
function(a,b,e){var c=this,g=null,e=new f(function(){return Promise.resolve().then(function(){if(null===g)return Promise.all(k.map(a,function(a){return Promise.resolve(a.getConfiguration()).then(function(f){return{item:a,config:JSON.stringify(f)}})})).then(function(a){g=a})}).then(function(){return b()}).then(function(){c._emit("changed")})},function(){return Promise.all(k.map(g,function(a){var f=JSON.parse(a.config);return a.item.configure(f.config,c._defaultIDMap.createInstance())})).then(function(){c._emit("changed")})},
e);return c.getUndoRedoController().execute(e)};i.prototype.isModified=function(){return 0<this.getUndoRedoController().undoCount()};i.prototype.configureBlock=function(a,f,b){var e=this;return this.getLanguageBundle("Dashboard").then(function(c){return this.undoableAction([a],function(){return a.configure(f,e._defaultIDMap.createInstance())},b||c.t("CONFIGURE_BLOCK_UNDOREDOMESSAGE",a.getID()))}.bind(this))};i.prototype.getParameterSet=function(){return this._parameters};i.prototype.getParametersByType=
function(a){return this._parameters.getParameterListByType(a)};i.prototype.setParameter=function(a,f){this._parameters.setParameter(a,f)};i.prototype.getParameter=function(a){return this._parameters.getParameter(a)};i.prototype.setLanguageProvider=function(a){this._languageProvider=Promise.resolve(a)};i.prototype.getLanguageBundle=function(a){return this.getLanguageProvider().then(function(f){return f.getLanguageBundle(a)})};i.prototype.loadBlock=function(a){var f=this;return Promise.resolve().then(function(){if(!this._blocks[a])throw Error(Error("No definition for Block with id "+
a));this._blocks[a].promise||(this._blocks[a].promise=this._initBlock(a));return this._blocks[a].promise}.bind(this)).catch(function(b){f._blocks[a]||(f._blocks[a]=new d(a,"dashboard/blocks/ErrorBlock",{}));var e=f._blocks[a],b=Promise.resolve(new l(a,f,b,e.clone(a))).then(function(a){return a.configure({},f._defaultIDMap.createInstance())});return e.promise=b})};i.prototype._initBlock=function(a){var f=this,b=this._blocks[a];return this.getFactory(b.type).then(function(e){return e.initBlock(a,f,
b.type,b.config)}).then(function(a){var e=f._defaultIDMap;b.IDMap&&(e=b.IDMap,b.IDMap=null);return a.configure(b.config.config,e.createInstance(),b.getDisplayName())}).then(function(a){b.block=a;f._emit("initBlock",a);return a})};i.prototype.getBlocksByType=function(a){return k.where(this._blocks,{type:a})};i.prototype.getAttachedBlocksByType=function(a){return this._getAttachedBlocks(this.getBlocksByType(a))};i.prototype.getAttachedBlocks=function(){return this._getAttachedBlocks(this.getBlocks())};
i.prototype.setDashboardRootBlock=function(a){this._dashboardRootBlock=a};i.prototype._getAttachedBlocks=function(a){var f=this._dashboardRootBlock;return Promise.all(k.map(a,function(a){return a.promise?a.promise:null})).then(function(a){return k.filter(a,function(a){return null!==a&&a.isAttached()&&a.getRoot()===f})})};i.prototype._makeTypeIDFriendly=function(a){return a.split("/").join("_")};i.prototype._generateUniqueID=function(a,f){var b=this._makeTypeIDFriendly(a);if(1E4<f)throw Error("Could not generate unique ID after 10000 attempts");
if(!this._idGenerator[b]){var e=0;k.each(this.getBlocksByType(a),function(a){a=a.getID();a.substr(0,a.lastIndexOf("_"))===b&&(a=parseInt(a.substr(a.lastIndexOf("_")+1),10),isNaN(a)||(e=Math.max(a+1,e)))});this._idGenerator[b]=e}var c=b+"_"+this._idGenerator[b]++;return this._blocks[c]?(f||(f=0),this._generateUniqueID(a,f++)):c};i.prototype._updateUniqueIDs=function(a){var f=a.substr(0,a.lastIndexOf("_")),a=parseInt(a.substr(a.lastIndexOf("_")+1),10);0<f.length&&!isNaN(a)&&(this._idGenerator[f]||(this._idGenerator[f]=
0),this._idGenerator[f]=Math.max(a+1,this._idGenerator[f]))};i.prototype.registerAndMapBlocks=function(a,f){f||(f=this._defaultIDMap);k.each(k.pluck(a,"id"),this._updateUniqueIDs,this);var b=k.map(a,function(a){var b=a.id,e=b;this._blocks[b]&&(e=this._generateUniqueID(a.type),f.addMapping(b,e));a=JSON.parse(JSON.stringify(a));a.id=e;return a},this);k.each(b,function(a){this._registerBlockWithID(a,f,a.id)},this)};i.prototype.registerBlock=function(a,f){var b=this._generateUniqueID(a.type);this._registerBlockWithID(a,
f,b);return b};i.prototype._registerBlockWithID=function(a,f,b){if(!a.type)throw Error("Cannot register block without a type!",b,a);if(this._blocks[b])throw Error("Trying to add BlockDefinition with already existing ID");f||(f=this._defaultIDMap);a=new d(b,a.type,a);a.idMap=f;this._blocks[b]=a;this._emit("changed")};i.prototype.registerBlockFromDefinition=function(a){var f=this._generateUniqueID(a.type),a=a.clone(f);this._blocks[f]=a;this._emit("changed");return f};i.prototype.registerAndLoadBlock=
function(a,f){var b=this,e=!1;!b._dashboardRootBlock&&!b._rootBlockIsLoading&&(this._rootBlockIsLoading=e=!0);return Promise.resolve().then(function(){return b.loadBlock(b.registerBlock(a,f))}).then(function(a){e&&(b._dashboardRootBlock=a,delete b._rootBlockIsLoading);return a})};i.prototype.destroyBlock=function(a){a.destroy();delete this._blocks[a.getID()];this._emit("changed")};i.prototype.detachBlock=function(a,f){return this.getLanguageBundle("Dashboard").then(function(b){return this.undoableAction(a,
function(){f.setParent(null)},b.t("DELETE_BLOCK_UNDOREDOMESSAGE",f.getID()))}.bind(this))};i.prototype.removeBlockDefinition=function(a){(a=this._blocks[a.getID()])&&(a.promise?a.promise.then(function(a){this.destroyBlock(a)}.bind(this)):delete this._blocks[a.getID()]);this._emit("changed")};i.prototype.getBlockDefinitionDataSource=function(){this._blockDefinitionDataSource||(this._blockDefinitionDataSource=Promise.resolve(new h(this)));return this._blockDefinitionDataSource};i.prototype.setBlockDefinitionDataSource=
function(a){this._blockDefinitionDataSource=Promise.resolve(a)};i.prototype.getBlockDefinition=function(a){return this._blocks[a]};i.prototype.whenFullyLoaded=function(){var a=this;return Promise.all(k.map(this._blocks,function(a){return a.promise?a.promise.then(function(a){return a.whenFullyLoaded(!0)}).catch(function(){return!0}):!0})).then(function(){return a})};return i});
define("dashboard/core/parameters/Parameter",["utils/Observable","utils/Promisify"],function(d,h){var c=function(a,c,b,f,e,j){d.mixin(this,"Parameter_"+a);this._name=a;this._context=c;b||(b="dashboard/core/parameters/Parameter");this._configurationPanelComponentLocation="dashboard/builder/configuration/ParameterConfigurationPanel";this._type=b;this._userFriendlyName=f;this._helpText=e;this._toolTipText=j;this._restrictedSet=null;this._isPersistentWhenDefaultValue=this._isPeristent=this._isVisible=
this._configurableByUser=!0;this._defaultValue=null};c.prototype.getName=function(){return this._name};c.prototype.getType=function(){return this._type};c.prototype.getUserFriendlyName=function(){return this._userFriendlyName};c.prototype.getHelpText=function(){return this._helpText};c.prototype.setHelpText=function(a){this._helpText=a};c.prototype.getToolTipText=function(){return this._toolTipText};c.prototype.setTooltipText=function(a){this._toolTipText=a};c.prototype.setValue=function(a){if(this._value!==
a){var c=this._value;this._value=a;this._emitChanged(c,a)}};c.prototype.undoableSetValue=function(a){return this._context.getLanguageBundle("Dashboard").then(function(c){return this._context.undoableAction([this],function(){this.setValue(a)}.bind(this),c.t("CONFIGURE_PARAMETER_UNDOREDOMESSAGE",this.getUserFriendlyName()))}.bind(this))};c.prototype.setRestrictedSet=function(a){this._restrictedSet=a};c.prototype.getRestrictedSet=function(){return this._restrictedSet};c.prototype._emitChanged=function(a,
c){this._emit("changed",a,c)};c.prototype.getValue=function(){return this._value};c.prototype.configure=function(a){this.setValue(a.value)};c.prototype.getConfiguration=function(a){return Promise.resolve(this._getParameterSpecificConfig(a)).then(function(a){return{name:this.getName(),type:this.getType(),config:a}}.bind(this))};c.prototype._getParameterSpecificConfig=function(){return Promise.resolve({value:this.getValue()})};c.prototype._getConfigurationPanelComponentLocation=function(){return this._configurationPanelComponentLocation};
c.prototype.setConfigurationPanelComponentLocation=function(a){this._configurationPanelComponentLocation=a};c.prototype.setConfigurableByUser=function(a){this._configurableByUser!==a&&(this._configurableByUser=a,this._emitChanged(this.getValue(),this.getValue()))};c.prototype.isVisible=function(){return this.isConfigurableByUser()&&this._isVisible};c.prototype.setVisible=function(a){this._isVisible!==a&&(this._isVisible=a,this._emitChanged(this.getValue(),this.getValue()))};c.prototype.isConfigurableByUser=
function(){return this._configurableByUser};c.prototype.getConfigurationPanel=function(){return h.require(this._getConfigurationPanelComponentLocation()).then(function(a){return new a(this)}.bind(this))};c.prototype.isPersistent=function(){return this._isPeristent&&(this._isPersistentWhenDefaultValue||this._defaultValue!==this.getValue())};c.prototype.dontPersistIfDefaultValue=function(a){this._defaultValue=a;this._isPersistentWhenDefaultValue=!1};c.prototype.setPersistent=function(a){this._isPeristent=
a};return c});define("dashboard/core/parameters/StringParameter",["./Parameter"],function(d){var h=function(c,a,g){d.call(this,c,a,"dashboard/core/parameters/StringParameter",g)};h.prototype=Object.create(d.prototype);return h.prototype.constructor=h});
define("dashboard/core/parameters/BooleanParameter",["./Parameter","utils/Promisify"],function(d,h){var c=function(a,c,b){d.call(this,a,c,"dashboard/core/parameters/BooleanParameter",b)};c.prototype=Object.create(d.prototype);c.prototype.constructor=c;c.prototype.getConfigurationPanel=function(){return h.require("dashboard/builder/configuration/parameters/BooleanParameterConfigurationPanel").then(function(a){return new a(this)}.bind(this))};return c});
define("dashboard/core/Block","./Context ./parameters/ParameterSet ./parameters/StringParameter ./parameters/BooleanParameter utils/Observable utils/Observer utils/Promisify utils/OrderedObject underscore jquery lib/PromisePolyfill".split(" "),function(d,h,c,a,g,b,f,e,j,k){e=function(a,f){f||(f=new d);g.mixin(this,"Block_"+a);b.mixin(this);this._id=a;this._context=f;this._parameters=new h;var e=this;this._observeUnbound(this._parameters,"changed.*",function(a,f){var b=j.last(this.event.split("."));
e._emit(["parameter.changed",b].join("."),a,f)});this._element=k("<div>",{"data-block-id":a});this._element[0].__BLOCK=this;this._isInEditMode=this._isModified=this._isInitialized=!1;this._parent=null;this._futureChildren={};this._children=[];this._didRequestAnimationFrame=null;this._showTransparentFrame=this._isAttached=!1};e.prototype._initTitleAndFrameParameters=function(f){return this._context.getLanguageBundle("Block").then(function(b){var e=new a("blockShowFrame",this._context,b.t("SHOW_FRAME"));
e.setValue(!1);e.dontPersistIfDefaultValue(!1);this._addParameter(e);e=new c("blockTitle",this._context,b.t("BLOCK_TITLE"));e.setValue(f||this.getID());e.setVisible(!1);this._addParameter(e);b=new c("blockFrameColor",this._context,b.t("FRAME_COLOR"));b.setConfigurationPanelComponentLocation("dashboard/builder/configuration/parameters/ColorPickerConfigurationPanel");b.setValue("#dedede");b.dontPersistIfDefaultValue("#dedede");b.setVisible(!1);this._addParameter(b);b=new a("blockShowInEditMode",this._context,
"");b.setValue(!1);b.setVisible(!1);b.setPersistent(!1);this._addParameter(b);this._observeParam("blockShowFrame",this._blockShowFrameChanged)}.bind(this))};e.prototype.getType=function(){throw Error("This method should be overriden!");};e.prototype.getID=function(){return this._id};e.prototype.getTitle=function(){var a=this._parameters.getParameter("blockTitle");return null!=a?a.getValue():this.getID()};e.prototype.getTitleElement=function(){var a=this.getTitle();return k("<h4>",{title:a,text:a})};
e.prototype.shouldShowFrame=function(){return this._parameters.getParameter("blockShowFrame").getValue()};e.prototype.getFrameColor=function(){return this._parameters.getParameter("blockFrameColor").getValue()};e.prototype.showAlwaysTransparentFrame=function(){return this._showTransparentFrame};e.prototype.setTitle=function(a){var b=this._parameters.getParameter("blockTitle");null!=b&&b.setValue(a)};e.prototype.configure=function(a,b,f){var e=this;return Promise.resolve().then(function(){e._context.registerAndMapBlocks(a.blocks,
b)}).then(function(){if(!e._isInitialized)return e._initTitleAndFrameParameters(f).then(function(){return e._initializeDefaultParameters()}).then(function(){return e._updateParameterOrder()})}).then(function(){return e._configureParameters(a,b)}).then(function(){return e._doConfigure(a,b)}).then(function(){if(!e._isInitialized)return e._isInitialized=!0,Promise.resolve(e._doInit()).then(function(){e._emit("initialized")})}).then(function(){e._emit("configured");return e})};e.prototype._configureParameters=
function(a,b){return Promise.all(j.map(a.parameters,function(a){return this._parameters.getParameter(a.name)?this._parameters.getParameter(a.name).configure(a.config,b):this._addParameterWithConfig(a,b)},this))};e.prototype._addParameter=function(a){this._parameters.setParameter(a.getName(),a)};e.prototype.findChildren=function(a,b,f){var e=[],c=function(d){a(d)?(e.push(d),b&&j.each(d.getChildren(),c)):f&&(!j.isFunction(f)||f(d))&&j.each(d.getChildren(),c)};j.each(this.getChildren(),c);return e};
e.prototype._addParameterWithConfig=function(){};e.prototype._initializeDefaultParameters=function(){};e.prototype._updateParameterOrder=function(){this._parameters.moveParameterToEndOfList("blockShowFrame");this._parameters.moveParameterToEndOfList("blockTitle");this._parameters.moveParameterToEndOfList("blockFrameColor")};e.prototype._blockShowFrameChanged=function(a,b){this._parameters.getParameter("blockFrameColor").setVisible(b);this._parameters.getParameter("blockTitle").setVisible(b)};e.prototype.getParameterList=
function(){return this._parameters.getParameterList()};e.prototype.getParameterListByType=function(a){return this._parameters.getParameterListByType(a)};e.prototype.getParameterByName=function(a){return this._parameters.getParameter(a)};e.prototype._observeParam=function(a,b){this._observe(this._parameters,["changed",a].join("."),b)};e.prototype._observeParams=function(a,b){j.each(a,function(a){this._observeParam(a,b)},this)};e.prototype._doConfigure=function(){};e.prototype._doInit=function(){};
e.prototype.getConfiguration=function(a){var b=this;return Promise.resolve().then(function(){return Promise.all([b._getBlockConfiguration(a),b._getParameterConfiguration(a),b._getChildrenConfiguration(a)])}).then(function(a){a.unshift({});(a[1].parameters||a[1].blocks)&&console&&console.warn&&console.warn("'parameters' and 'blocks' are reserved keywords for the config object and will be ovewritten");return{type:b.getType(),id:b.getID(),config:j.extend.apply(j,a)}})};e.prototype._getConfigurationForBlocks=
function(a,b){return Promise.all(j.map(a,function(a){return a.getConfiguration(b)}))};e.prototype._getParameterConfiguration=function(a){var b=this.getParameterList();return 0<b.length?Promise.all(j.map(b,function(b){return b.isPersistent()||!a?b.getConfiguration(a):null})).then(function(a){return{parameters:j.compact(a)}}):Promise.resolve({})};e.prototype._getChildrenConfiguration=function(a){if(a){var b=this;return Promise.resolve(b._findChildrenForPersistence()).then(function(f){return b._getConfigurationForBlocks(f,
a)}).then(function(a){return{blocks:a}})}return Promise.resolve({})};e.prototype._findChildrenForPersistence=function(){return Promise.resolve([])};e.prototype._getBlockConfiguration=function(){return{}};e.prototype.destroy=function(){j.each(this.getChildren(),function(a){a.destroy()});this.getParent()&&this.getParent().detachChild(this);this._emit("destroyed");this._stopObserveAll();this._element.detach()};e.prototype.isPersistent=function(){return!0};e.prototype.canConfigure=function(){return!0};
e.prototype.getContext=function(){return this._context};e.prototype.getElement=function(){return this._element};e.prototype.addChild=function(a){this._registerChild(a);this._element.append(a.getElement())};e.prototype._registerFutureChild=function(a){var b;if(this._futureChildren[a])b=this._futureChildren[a];else{var f=function(){};b=new Promise(function(a){f=a});this._futureChildren[a]=b;var e=this;b.markAsResolved=function(){delete e._futureChildren[a];f()}}return function(){b.markAsResolved()}};
e.prototype._markFutureChildResolved=function(a){this._futureChildren[a]&&this._futureChildren[a].markAsResolved()};e.prototype._registerChild=function(a){j.contains(this._children,a)||(delete this._futureChildren[a.getID()],a.setParent(this),this._children.push(a),this._emit("child.attach",a))};e.prototype.detachChild=function(a){j.contains(this._children,a)&&(this._markFutureChildResolved(a.getID()),this._children=j.without(this._children,a),this._emit("child.detach",a))};e.prototype.setParent=
function(a){if(this._parent!=a){if(null==a){if(this._isAttached)this.onDetached()}else if(!this._isAttached)this.onAttached();this._parent&&this._parent.detachChild(this);this._parent=a;this._emit("parent",a)}};e.prototype.getParent=function(){return this._parent};e.prototype.getRoot=function(){for(var a=this;a.getParent();)a=a.getParent();return a};e.prototype.isAttached=function(){return this._isAttached};e.prototype.getChildren=function(){return this._children};e.prototype._requestUserEdit=function(){this._emit("request.useredit")};
e.prototype.getConfigurationPanel=function(){var a=this;return f.require("dashboard/builder/configuration/BlockConfigurationPanel").then(function(b){return new b(a)})};e.prototype._render=function(){if(!this._didRequestAnimationFrame){var a=this;this._didRequestAnimationFrame=window.requestAnimationFrame(function(){a._doRender();a._didRequestAnimationFrame=null;a._emit("render")})}};e.prototype._doRender=function(){};e.prototype.whenFullyLoaded=function(a){var b=Promise.all(j.values(this._futureChildren)),
f=this;a||(b=b.then(function(){return Promise.all(j.map(f.getChildren(),function(a){return a.whenFullyLoaded()}))}));return b.then(function(){return f})};e.prototype.onAttached=function(){this._isAttached=!0;j.each(this._children,function(a){a.onAttached()})};e.prototype.onDetached=function(){this._isAttached=!1;j.each(this._children,function(a){a.onDetached()})};return e});
define("component/modal/Modal",["jquery","require"],function(d,h){function c(){var a=1050;d(this).is(".modal-stack")?a=parseInt(d(this).css("z-index"),10):(d(".modal:visible").each(function(f,e){a=Math.max(a,parseInt(d(e).css("z-index"),10))}),a+=2);d(this).modal("setStackZIndex",a)}function a(){d(document.body).toggleClass("modal-open",0<d(".modal").filter(function(){var a=d(this);return a.is(":visible")||a.is(".in")||"block"===a.css("display")}).length)}var g=function(a,f){a instanceof jQuery||
(a=d(a));this._onCloseFunctions=[];this._onOpenFunctions=[];this._onShownFunctions=[];this._allowClose=f&&!1===f.allowClose?!1:!0;this._widthClass=f&&f.widthClass?f.widthClass:"";this._customClass=f&&f.customClass?f.customClass:"";f&&f.onClose&&this._onCloseFunctions.push(f.onClose);f&&f.onOpen&&this._onOpenFunctions.push(f.onOpen);f&&f.onShown&&this._onShownFunctions.push(f.onShown);this._content=a;var e=" fade ";f&&"undefined"!==typeof f.animate&&!1===f.animate&&(e=" ");this._wrapper=d("<div>",
{"class":"modal fl-scrolls-viewport"+e+this._customClass});this._modalDialog=d("<div>",{"class":"modal-dialog "+this._widthClass});this._modalContent=d("<div>",{"class":"modal-content"});this._modalHeader=d("<div>",{"class":"modal-header"});this._modalCloseButton=d("<button>",{"class":"close",type:"button","data-dismiss":"modal"});this._modalHeaderTitle=d("<h4>",{"class":"modal-title"});this._modalBody=d("<div>",{"class":"modal-body"});this._modalFooter=d("<div>",{"class":"modal-footer"});this._focusEl=
this._helpIcon=null;this._allowClose&&(this._modalCloseButton.append(d("<i>",{"class":"icon icon-WCR_Reject"})),f&&f.customCloseHandler&&this._modalCloseButton.click(f.customCloseHandler),this._modalHeader.append(this._modalCloseButton));this._modalHeader.append(this._modalHeaderTitle);this._modalBody.append(this._content);this._modalContent.append(this._modalBody);this._modalDialog.append(this._modalContent);this._wrapper.append(this._modalDialog);!this._allowClose||f&&f.customCloseHandler?this._wrapper.modal({backdrop:"static",
keyboard:!1,show:!1}):this._wrapper.modal({show:!1});this._wrapper.on("hide.bs.modal",function(){d.each(this._onCloseFunctions,function(a,b){b()}.bind(this))}.bind(this));this._wrapper.on("show.bs.modal",function(){c.call(this._wrapper);d.each(this._onOpenFunctions,function(a,b){b()}.bind(this))}.bind(this));this._wrapper.on("shown.bs.modal",function(){this._focusEl||(this._focusEl=this._wrapper.find(".form-control").first());this._focusEl.focus();d.each(this._onShownFunctions,function(a,b){b()}.bind(this))}.bind(this))};
g.prototype.setContent=function(a){this._content=a;this._modalBody.empty().append(this._content)};g.prototype.setTitle=function(a){this._modalHeaderTitle.text(a);this._helpIcon&&this._modalHeaderTitle.append(this._helpIcon);this._modalHeader.parent()[0]!==this._modalContent[0]?this._modalContent.prepend(this._modalHeader):(void 0===a||""===a)&&this._modalContent.remove(this._modalHeader)};g.prototype.setFooter=function(a){this._modalFooter.empty().append(a);this._modalFooter.parent()[0]!==this._modalContent[0]?
this._modalContent.append(this._modalFooter):void 0===a&&this._modalContent.remove(this._modalFooter)};g.prototype.getModalDialog=function(){return this._modalDialog};g.prototype.close=function(){this._wrapper.modal("hide")};g.prototype.open=function(a){this._wrapper.modal("show");a&&(this._modalBody.css("min-height","80vh"),this.onShown(function(){var a=d(window).height(),b=this._modalDialog.css("marginTop").replace("px",""),c=this._modalHeader.outerHeight(!0),g=this._modalFooter.outerHeight(!0),
h=this._modalDialog.css("marginBottom").replace("px","");this._modalBody.css("min-height",Math.floor(a-b-c-g-h-2)+"px")}.bind(this)))};g.prototype.update=function(){this._wrapper.modal("handleUpdate")};g.prototype.onClose=function(a){this._onCloseFunctions.push(a)};g.prototype.onOpen=function(a){this._onOpenFunctions.push(a)};g.prototype.onShown=function(a){this._onShownFunctions.push(a)};g.prototype.getJQElement=function(){return this._wrapper};g.prototype.destroy=function(){this._wrapper.remove();
a()};g.prototype.getModalFooter=function(){return this._modalFooter};g.prototype.getModalContent=function(){return this._modalContent};g.prototype.setHelpTopic=function(a){h(["component/helpIcon/HelpIcon"],function(f){this._helpIcon=f.getInlineHelpTopicJQuery(a);this.setTitle(this._modalHeaderTitle.text())}.bind(this))};g.prototype.setFocusEl=function(a){this._focusEl=a};d(document.body).on("show.bs.modal shown.bs.modal",".modal",c);d.fn.modal.Constructor.prototype.setStackZIndex=function(a){this.$element.css("z-index",
a).addClass("modal-stack");var f=this;setTimeout(function(){f.$backdrop&&f.$backdrop.css("z-index",a-1).addClass("modal-stack")},5)};d.fn.modal.Constructor.prototype.hideModal=function(){var b=this;this.$element.hide();this.backdrop(function(){b.resetAdjustments();b.resetScrollbar();b.$element.trigger("hidden.bs.modal");a()})};return g});define("utils/webcss-text!dashboard/layout/BlockWrapper.css",[],function(){return".dshBlockWrapper {\r\n\tdisplay: flex;\r\n\tflex-direction: column;\r\n}\r\n.dshBlockWrapper > div {\r\n\tflex-grow: 1;\r\n}\r\n.dshBlockWrapper.showFrame {\r\n\tborder: 1px solid transparent;\r\n}\r\n.dshBlockWrapper > .header {\r\n\tdisplay: flex;\r\n    display: -ms-flexbox;\r\n\talign-items: stretch;\r\n\tflex-grow: 0;\r\n\tbackground: #dedede;\r\n\tmin-height: 32px;\r\n}\r\n.dshBlockWrapper > .header .headerHandle {\r\n\tflex: 1 1 auto;\r\n    -ms-flex : 1 1 auto;\r\n\tdisplay: flex;\r\n    display: -ms-flex;\r\n\talign-items:  center;\r\n\tjustify-content:flex-start;\r\n\toverflow: hidden;\r\n\tpadding: 3px 3px 3px 6px;\r\n}\r\n.dshBlockWrapper.allowDrag > .header .headerHandle {\r\n\tcursor: move;\r\n}\r\n.dshBlockWrapper.showFrame > .dshBlockPadding {\r\n\tpadding: 6px;\r\n}\r\n.dshBlockWrapper > .header h4 {\r\n\tfont-weight: 500;\r\n\tfont-size: 13px;\r\n\tflex: 1 1 auto;\r\n    -ms-flex : 1 1 auto;\r\n\ttext-overflow: ellipsis;\r\n\toverflow: hidden;\r\n\tmargin: 0;\r\n\tpadding: 0;\r\n}\r\n\t\t\t\r\n.dshBlockWrapper > .header .buttons {\r\n\tflex: 0 0 auto;\r\n    -ms-flex : 0 0 auto;\r\n\tpadding: 3px 6px 3px 3px;\r\n }\r\n.dshBlockWrapper > .header .buttons .btn {\r\n\tpadding-left: 5px;\r\n\tpadding-right: 5px;\r\n}\r\n.dshBlockWrapper > .header .buttons .btn.save {\r\n\tcolor: #334444;\r\n}\r\n.labelAsButton {\r\n\tcursor: pointer;\r\n}"});
define("dashboard/layout/BlockWrapper","../core/Block utils/ColorUtils component/modal/Modal jquery underscore utils/webcss!./BlockWrapper.css".split(" "),function(d,h,c,a,g){var b=function(a,b){d.call(this,a,b);this._block=null;this._isConfiguring=!1;this._dragDropHandler=null;this._element.addClass("dshBlockWrapper");this._previousState={divDisplayed:null,showFrame:!1,showHeaderButtons:!1,showLoadingIndicator:!1}};b.prototype=Object.create(d.prototype);b.prototype.constructor=b;b.prototype.getType=
function(){return"dashboard/layout/BlockWrapper"};b.prototype.isPersistent=function(){return!1};b.prototype.getBlock=function(){return this._block};b.prototype.detachChild=function(a){d.prototype.detachChild.call(this,a);this._block===a&&(this._block=null,this._stopObserveObject(a),this._context.destroyBlock(this))};b.prototype._initHeader=function(){this._header||(this._header=a("<div>",{"class":"header"}),this._headerHandle=a("<div>",{"class":"headerHandle"}),this._headerTitle=this._block?this._headerHandle.append(this._block.getTitleElement()):
this._headerHandle.append(a("<h4>")),this._headerButtons=a("<div>",{"class":"buttons"}),this._deleteBtn=a("<a>",{"class":"btn btn-no-border",title:this._i18n.t("DELETE_BLOCK")}).append(a("<i>",{"class":"icon icon-WCR_Actions-Delete12"})).click(function(a){a.preventDefault();this.deleteBlock()}.bind(this)),this._configureBtn=a("<a>",{"class":"btn btn-no-border",title:this._i18n.t("EDIT_BLOCK_CONFIGURATION")}).append(a("<i>",{"class":"icon icon icon-WCR_Actions-Edit12"})).click(function(){this._enableBlockConfiguration()}.bind(this)),
this._saveButton=a("<a>",{"class":"btn btn-no-border save hidden",title:this._i18n.t("PREVIEW_BLOCK_CONFIGURATION")}).append(a("<i>",{"class":"icon icon-WCR_Actions-Eye12"})),this._cancelButton=a("<a>",{"class":"btn btn-no-border hidden",title:this._i18n.t("CANCEL_BLOCK_CONFIGURATION")}).append(a("<i>",{"class":"icon icon-WCR_Revert12"})),this._saveButton.click(function(){this.setConfiguring(!1)}.bind(this)),this._headerButtons.append(this._deleteBtn).append(this._configureBtn).append(this._saveButton),
this._header.append(this._headerHandle))};b.prototype._enableBlockConfiguration=function(){this.setConfiguring(!0);this.isConfiguring()&&!this._configurationPanel?this._blockPromise.then(function(a){return a.getConfigurationPanel()}).then(function(a){this._configurationPanel=a;this._render()}.bind(this)):this.isConfiguring()&&this._configurationPanel&&this._render()};b.prototype.deleteBlock=function(){return this._blockPromise.then(function(a){this._context.detachBlock([this.getParent()],a)}.bind(this))};
b.prototype.getWrappedBlockID=function(){return this._blockID};b.prototype._doConfigure=function(a){var b=this;b._blockID=a.blockID;return b._context.getLanguageBundle("Dashboard").then(function(a){b._i18n=a;var f=b._registerFutureChild(b._blockID);b._blockPromise=b._context.loadBlock(b._blockID).then(function(a){b._block=a;b._observe(a,"parameter.changed.blockTitle",b._render);b._observe(a,"parameter.changed.blockShowFrame",b._render);b._observe(a,"parameter.changed.blockFrameColor",b._render);b._observe(a,
"parameter.changed.blockShowInEditMode",b._render);b._observe(a,"configured",b._blockConfigured);b._registerChild(a)}).then(function(){b.once("render",f);b._render();return b._block});b._registerLoadingStart();b._render()})};b.prototype._registerLoadingStart=function(){this._loadingStart=Date.now()};b.prototype._doInit=function(){this._observe(this._context,"editModeActive",this._render)};b.prototype.canConfigure=function(){return this.allowConfigure()&&this._block&&this._block.canConfigure()};d.prototype.allowConfigure=
function(){return this._context.isEditModeActive()};b.prototype.isConfiguring=function(){return this._isConfiguring};b.prototype.setConfiguring=function(a){this._isConfiguring!=a&&(this._isConfiguring=a,this._registerLoadingStart(),this._render());!a&&this._configurationPanel&&(this._configurationPanel.destroy(),this._configurationPanel=null)};b.prototype._shouldShowFrame=function(){return this.allowConfigure()||this._block&&(this._block.shouldShowFrame()||this._block.showAlwaysTransparentFrame())};
b.prototype._doRender=function(){var b=this._block?this._block.getParameterByName("blockShowInEditMode"):void 0;if(b&&this.canConfigure()&&b.getValue()&&200<=this._element[0].offsetWidth)b.setValue(!1),this._enableBlockConfiguration();else{var e=this._shouldShowFrame(),b={divDisplayed:null,showFrame:e||!1,showHeader:e||this._block&&this._block.showAlwaysTransparentFrame(),showHeaderButtons:!1,showLoadingIndicator:!1,headerElement:this._headerTitle};if(e){this._initHeader();if(this._block){b.headerElement=
this._block.getTitleElement();var c="",e="";this._block.shouldShowFrame()?(c=this._block.getFrameColor(),e=h.calculateContrastColor(c)):!this._context.isEditModeActive()&&this._block.showAlwaysTransparentFrame()&&(c="transparent");this._header.css({"background-color":c,color:e});this.allowConfigure()&&(this._block&&!this._block.shouldShowFrame())&&(c="transparent");this._element.css("border-color",c);this._headerButtons&&("#000000"==e&&(e=""),this._headerButtons.find("i").css("color",e))}b.showHeaderButtons=
this.allowConfigure();this._saveButton.toggleClass("hidden",!this.isConfiguring());this._configureBtn.toggleClass("hidden",!this.canConfigure()||this.isConfiguring())}this._block&&!this.isConfiguring()||this._configurationPanel?this.isConfiguring()?this._configurationModal||200>this._element[0].offsetWidth?(this._block&&(b.divDisplayed=this._block.getElement()),this._openConfigurationPanelInModal()):b.divDisplayed=this._configurationPanel.getElement():b.divDisplayed=this._block.getElement():250<Date.now()-
this._loadingStart?b.showLoadingIndicator=!0:setTimeout(this._render.bind(this),250);g.isEqual(this._previousState,b)||(this._headerTitle&&this._headerTitle.children().detach(),b.headerElement&&(this._headerTitle=this._headerHandle.append(b.headerElement)),this._element.children().detach(),this._element.empty(),this._element.append(this._header),this._element.toggleClass("showFrame",b.showFrame),this._element.toggleClass("allowDrag",this.allowConfigure()),this._header&&this._header.toggleClass("hidden",
!b.showHeader),b.showHeaderButtons?this._header.append(this._headerButtons):this._headerButtons&&this._headerButtons.detach(),b.showLoadingIndicator?this._element.append(a("<span>",{text:this._i18n.t("LOADING_BLOCK")})):this._element.append(b.divDisplayed),this._previousState=b);this._dragDropHandler?this.toggleDragging():this.allowConfigure()&&this._context.getDragDropHandler().then(function(a){this._dragDropHandler=a;this.toggleDragging()}.bind(this));!this.isConfiguring()&&this._configurationPanel&&
(this._configurationPanel.destroy(),this._configurationPanel=null)}};b.prototype._openConfigurationPanelInModal=function(){this._configurationModal||(this._configurationModal=new c(this._configurationPanel.getElement(),{widthClass:"modal-lg",onClose:function(){this.setConfiguring(!1);this._configurationModal.destroy();this._configurationModal=null}.bind(this)}),this._configurationModal.setTitle(this._block.getTitle()),this._configurationModal.open(),this._configurationModal.setFooter(a("<div>").append(a("<a>",
{"class":"btn btn-primary",text:this._i18n.t("SAVE_BLOCK_CONFIGURATION")}).click(function(){this._configurationModal.close()}.bind(this)))))};b.prototype.toggleDragging=function(){this._dragDropHandler.toggleDragging(this.allowConfigure(),this._context,this._context.getBlockDefinition(this._blockID),this.getParent(),this._element,this._headerHandle)};b.prototype._blockConfigured=function(){this.isConfiguring()&&this._block.getConfigurationPanel().then(function(a){this._configurationPanel=a;this._render()}.bind(this))};
b.prototype.setParent=function(a){d.prototype.setParent.call(this,a);null===a&&this._block&&this._block.setParent(null)};return b});
define("dashboard/core/Layout",["./Block","../layout/BlockWrapper","underscore"],function(d,h){var c=function(a,c){d.call(this,a,c);this._element.addClass("dshLayout")};c.prototype=Object.create(d.prototype);c.prototype.constructor=c;c.prototype.getType=function(){return"dashboard/core/Layout"};c.prototype._initTitleAndFrameParameters=function(){return d.prototype._initTitleAndFrameParameters.apply(this,arguments).then(function(){var a=this._parameters.getParameter("blockFrameColor");a.setValue("#ececec");
a.dontPersistIfDefaultValue("#ececec")}.bind(this))};c.prototype._getBlockConfiguration=function(){return this._getLayoutSpecificConfiguration()};c.prototype._findChildrenForPersistence=function(){return this.findChildren(function(a){return a instanceof c},!1,function(a){return a instanceof h})};c.prototype.shouldShowFrame=function(){return d.prototype.shouldShowFrame.call(this)||this._context.isEditModeActive()};c.prototype._getLayoutSpecificConfiguration=function(){return{}};c.prototype._loadBlockWrapper=
function(a){return this._context.registerAndLoadBlock({type:"dashboard/layout/BlockWrapper",config:{blockID:a}})};c.prototype.prependBlock=function(a){return this.prependBlocks([a])};c.prototype.prependBlocks=function(a){a=a.concat(this.getItemList());return this.setItemList(a)};c.prototype.appendBlock=function(a){return this.appendBlocks([a])};c.prototype.appendBlocks=function(a){a=this.getItemList().concat(a);return this.setItemList(a)};c.prototype.getItemList=function(){return Promise.reject("Not implemented")};
c.prototype.setItemList=function(){return Promise.reject("Not implemented")};return c});
define("dashboard/Dashboard",["./core/Block","./core/Layout","underscore"],function(d,h){var c=function(a,c){d.call(this,a,c);this._builderError=this._builder=this._builderPromise=this._layoutError=this._layout=this._layoutPromise=this._layoutID=null;this._observe(this._context,"editModeActive",this._render)};c.prototype=Object.create(d.prototype);c.prototype.constructor=c;c.prototype.getType=function(){return"dashboard/Dashboard"};c.prototype._doConfigure=function(a,c){var b=this;return this._context.getLanguageBundle("Dashboard").then(function(f){b._i18n=
f;return b._setLayout(a.layout,c)})};c.prototype._getBlockConfiguration=function(a){return this._layoutPromise.then(function(c){return c.getConfiguration(a)}).then(function(a){return{layout:a}})};c.prototype._findChildrenForPersistence=function(){return this._layoutPromise.then(function(a){return a.findChildren(function(a){return a.isPersistent()&&!(a instanceof h)},!0,!0)})};c.prototype._setLayout=function(a,c){this._layout&&(this.detachChild(this._layout),this._layout=null);var b=this._layoutID=
this._context.registerBlock(a,c);this._layoutPromise=this._context.loadBlock(this._layoutID);this._layoutError=null;var f=this._registerFutureChild(b);this._render();var e=this;return this._layoutPromise.then(function(a){e._layoutID===b&&(e._layout=a,e._render())}).catch(function(f){e._layoutID===b&&(console&&console.log("Error initializing layout for Dashboard",arguments),e._layoutError=e._generateUserfriendlyException(f,a),e._render())}).then(function(){e.once("render",f)})};c.prototype._loadBuilder=
function(){var a=this,c={type:"dashboard/builder/DashboardBuilder",config:{dashboard:a,layout:null}},b=this._registerFutureChild("BUILDER");this._layoutPromise.then(function(){c.config.layout=a._layout;a._builderPromise=a._context.registerAndLoadBlock(c).then(function(f){a.once("render",b);return f}).then(function(b){a._builder=b;a._render()}).catch(function(b){a._builderError=a._generateUserfriendlyException(b,c);a._render()})})};c.prototype.getLayout=function(){return this._layoutPromise};c.prototype.prependBlock=
function(a){return this._layoutPromise.then(function(c){return c.prependBlock(a)})};c.prototype.prependBlocks=function(a){return this._layoutPromise.then(function(c){return c.prependBlocks(a)})};c.prototype._doRender=function(){this._element.contents().detach();this._context.isEditModeActive()?this._builder?(this._registerChild(this._builder),this._element.append(this._builder.getElement()),this._builder.activate(!0)):this._builderError?this._element.append(this._builderError):(this._builderPromise||
this._loadBuilder(),this._element.text(this._i18n.t("LOADING_BLOCK"))):(this._builder&&this._builder.activate(!1),this._layout?(this._registerChild(this._layout),this._element.append(this._layout.getElement())):this._layoutError?this._element.append(this._layoutError):this._element.text(this._i18n.t("LOADING_BLOCK")))};c.prototype._generateUserfriendlyException=function(a,c,b){var f=document.createElement("div");f.className="alert alert-danger";this._context.getLanguageBundle("Dashboard").then(function(e){var d=
document.createElement("p");d.textContent=e.t("ERROR_UNEXPECTED_BLOCK");f.appendChild(d);if(a&&(a.message||a.stack)||c||b){var h=document.createElement("a");h.textContent=e.t("ERROR_UNEXPECTED_DETAILS");var l=!1,i=null;h.addEventListener("click",function(){if(l)f.removeChild(i),h.textContent=e.t("ERROR_UNEXPECTED_DETAILS"),l=!1;else{i=document.createElement("pre");var d=[];a.message&&d.push(a.message);a.stack&&d.push(a.stack);if(c)try{d.push("Block Definition: \r\n"+JSON.stringify(c,null,"  "))}catch(j){d.push("Could not generate block definition \r\n"+
j)}b&&d.push(b);i.textContent=d.join("\r\n\r\n---------------------------------------------\r\n\r\n");h.textContent=e.t("ERROR_UNEXPECTED_HIDE_DETAILS");f.appendChild(i);l=!0}});f.appendChild(h)}});return f};return c});
define("dashboard/core/parameters/LinkedParameter",["./Parameter","utils/Observer","utils/Promisify"],function(d,h,c){var a=function(a,b,f,c,j,k,l){d.call(this,a,b,"dashboard/core/parameters/LinkedParameter",f);h.mixin(this);this._linkedSet=c;this._allowPushValue=l;this._linkedType=j;this._linkedName=null;this.setLinkedName(k)};a.prototype=Object.create(d.prototype);a.prototype.constructor=a;a.prototype.setLinkedName=function(a){if(this._linkedName!==a){var b=this.getValue();this._stopObserveAll();
this._linkedName=a;this._observe(this._linkedSet,["changed",a].join("."),this._emitChanged);this._emitChanged(b,this.getValue())}};a.prototype.getLinkedName=function(){return this._linkedName};a.prototype.getLinkedType=function(){return this._linkedType};a.prototype.setLinkedType=function(a){this._linkedType=a};a.prototype.configure=function(a){this.setLinkedName(a.linkedName);this.setLinkedType(a.linkedType)};a.prototype._getLinkedParameter=function(){return this._linkedSet.getParameter(this._linkedName)};
a.prototype.getValue=function(){var a=this._getLinkedParameter();if(a)return a.getValue()};a.prototype.setValue=function(a){this._allowPushValue&&this._getLinkedParameter()&&this._getLinkedParameter().setValue(a)};a.prototype.isConfigurableByUser=function(){return this._configurableByUser&&this._allowPushValue};a.prototype._getParameterSpecificConfig=function(){return{linkedName:this.getLinkedName(),linkedType:this.getLinkedType()}};a.prototype.getConfigurationPanel=function(){return c.require("dashboard/builder/configuration/parameters/LinkedParameterConfigurationPanel").then(function(a){return new a(this)}.bind(this))};
return a});
define("dashboard/core/parameters/CssSizeParameter",["./Parameter","utils/Promisify"],function(d,h){var c=function(a,c,b,f){this._unitTypes=f;d.call(this,a,c,"dashboard/core/parameters/CssSizeParameter",b)};c.prototype=Object.create(d.prototype);c.prototype.constructor=c;c.prototype.getConfigurationPanel=function(){return h.require("dashboard/builder/configuration/parameters/CssSizeParameterConfigurationPanel").then(function(a){return new a(this)}.bind(this))};c.prototype.getUnitTypes=function(){return this._unitTypes};
return c});define("utils/webcss-text!dashboard/layout/ListLayout.css",[],function(){return".ListLayout > .ghost {\r\n\tborder: 1px dotted #ccc; \r\n\tpadding: 10px;\r\n\tmargin: 5px;\r\n}\r\n.ListLayout.isDroppable {\r\n\tmin-height: 30px;\r\n}"});
define("dashboard/layout/ListLayout","../core/Layout utils/Promisify ../core/parameters/CssSizeParameter underscore utils/webcss!./ListLayout.css lib/PromisePolyfill".split(" "),function(d,h,c,a){var g=function(a,c){d.call(this,a,c);this._element.addClass("ListLayout");this._list=[]};g.prototype=Object.create(d.prototype);g.prototype.constructor=g;g.prototype.getType=function(){return"dashboard/layout/ListLayout"};g.prototype.canConfigure=function(){return!0};g.prototype._doConfigure=function(b,c){if(b.items){var e=
a.map(b.items,function(b){var b=c.mapID(b.id),e=a.findWhere(this._list,{id:b});return e?e:{id:b}},this);return this._updateList(e)}this._render()};g.prototype._doInit=function(){this._observe(this._context,"editModeActive",this._initializeDropzone);this._initializeDropzone();this._observe(this._context,"CssSizeParameter",this._render)};g.prototype._doRender=function(){for(var a=this._parameters.getParameter("CssSizeParameter").getValue(),c=0;c<this._list.length-1;c++)this._list[c].blockWrapper._element.css("margin-bottom",
a)};g.prototype._waitForList=function(b){return Promise.all(a.map(b,function(a){a.blockWrapperPromise||(a={id:a.id,blockWrapperPromise:this._loadBlockWrapper(a.id)},this._registerFutureChild(a.id));return a.blockWrapperPromise.then(function(b){a.blockWrapper=b;return a})}.bind(this)))};g.prototype._markListProcessed=function(b){a.each(b,function(a){this._markFutureChildResolved(a.id)},this)};g.prototype._updateList=function(b){var c=this,b=a.map(b,function(b){var c=a.findWhere(this._list,{id:b.id});
return c?c:{id:b.id}},this),e=c._list.slice(0);return Promise.all([this._waitForList(e),this._waitForList(b)]).then(function(b){for(var e=b[0],d=b[1],g=0,h=0;h<d.length;h++)if(e[g]===d[h])g++;else{var b=d[h],n=a.indexOf(e,b);0<=n&&e.splice(n,1);c._registerChild(b.blockWrapper);d[h-1]?d[h-1].blockWrapper.getElement().after(b.blockWrapper.getElement()):c._element.prepend(b.blockWrapper.getElement())}for(;g<e.length;)b=e[g++],b.blockWrapper.getElement().detach(),b.blockWrapper.setParent(null);c._list=
d;c._render();c._markListProcessed(e);c._markListProcessed(d)})};g.prototype._getLayoutSpecificConfiguration=function(){return{items:a.map(this._list,function(a){return{id:a.id}})}};g.prototype.detachChild=function(b){d.prototype.detachChild.call(this,b);b.getWrappedBlockID&&(this._list=a.filter(this._list,function(a){return a.id!==b.getWrappedBlockID()}))};g.prototype._getItemForID=function(b){return a.findWhere(this._list,{id:b})};g.prototype._initializeDefaultParameters=function(){return this._context.getLanguageBundle("ListLayout").then(function(a){a=
new c("CssSizeParameter",this._context,a.t("SPACING"));a.setValue("0px");this._addParameter(a);this._observeParam("CssSizeParameter",function(){this._render()}.bind(this))}.bind(this))};g.prototype._initializeDropzone=function(){this._context.isEditModeActive()&&h.require("dashboard/layout/ListLayoutDragDrop").then(function(){this._ddInitializeDropzone()}.bind(this));this._element.toggleClass("isDroppable",this._context.isEditModeActive())};g.prototype.getItemList=function(){return a.pluck(this._list,
"id")};g.prototype.setItemList=function(b){b=a.map(b,function(a){return{id:a}});return this._updateList(b)};return g});
define("dashboard/layout/flex/FlexItem",["jquery","underscore"],function(d,h){var c=function(a,c,b){this._layout=a;this._columnID=c;this._layout._observeParam("CssSizeParameter",function(){this._applyColumnStyles(this._element);this._layout._render()}.bind(this));this._isPlaceholder=this._element=this._block=this._blockPromise=this._blockID=null;this.configure(b);this._layout._initializePlaceholder(this)};c.prototype.setID=function(a){this._columnID!=a&&(this._columnID=a,this._element&&this._applyColumnStyles(this._element))};
c.prototype.getID=function(){return this._columnID};c.prototype.configure=function(a){this._config=h.pick(a,"fitContent","grow","shrink","width","height","maxWidth","minWidth","lockedColumn");a.blockid?this.setItem(a.blockid):this.setItem(null);this._element&&this._applyColumnStyles(this._element)};c.prototype.setItem=function(a){if(this._blockID!==a){if(this._block){var c=this._block;this._block=null;this._layout.detachChild(c)}if(a){this._layout._context.getDragDropHandler().then(function(a){this._isPlaceholder&&
(a.removeDropzone(this.getElement()),this._isPlaceholder=null)}.bind(this));this._blockID=a;var b=this._layout._registerFutureChild(this._blockID);this._blockPromise=this._config.lockedColumn?this._layout.getContext().loadBlock(this._blockID):this._layout.loadBlockWrapper(this._blockID);this._blockPromise.then(function(c){this._blockID===a&&(this._replaceElement(c.getElement()),this._layout._registerChild(c),this._block=c);b()}.bind(this))}else this._block=this._blockPromise=this._blockID=null,this._layout._initializePlaceholder(this)}};
c.prototype.getBlockPromise=function(){return this._blockPromise};c.prototype.makePlaceholder=function(a){this._replaceElement(a);this._isPlaceholder=!0};c.prototype._replaceElement=function(a){this._element&&this._element.before(a).detach();this._element=a;this._applyColumnStyles(this._element)};c.prototype.getConfiguration=function(){var a=h.pick(this._config,"fitContent","grow","shrink","width","height","maxWidth","minWidth","lockedColumn");this._blockID&&(a.blockid=this._blockID);return a};c.prototype.getElement=
function(){this._element||this._replaceElement(d("<div>"));return this._element};c.prototype.getBlockID=function(){return this._blockID};c.prototype._applyColumnStyles=function(a){a.attr("data-column",this._columnID);var c=!0,b=!1,f={"-webkit-flex":this._config.grow+" "+this._config.shrink+" auto","-ms-flex":this._config.grow+" "+this._config.shrink+" auto",flex:this._config.grow+" "+this._config.shrink+" auto"},e=!this._blockID&&this._layout._context.isEditModeActive();e&&(f.border="1px dotted #ccc",
f.padding="10px",f.margin="5px");this._config.width?f.width=this._config.width:0<this._config.grow&&0<this._config.shrink&&!this._config.fitContent?(f.width="100%",c=!1):this._config.fitContent&&(f.width="auto",b=!0,c=!1);this._config.height&&(f.height=this._config.height);this._config.maxWidth&&(f["max-width"]=this._config.maxWidth);f["min-width"]=this._config.minWidth?this._config.minWidth:0;var d=this._layout._parameters.getParameter("CssSizeParameter").getValue();f["margin-left"]=0<this._columnID?
d:e?"5px":"";a.css(f);a.toggleClass("columnwidthdecided",c);a.toggleClass("columnwidthfittocontent",b)};c.prototype.getBlock=function(){return this._block};c.prototype.getLayout=function(){return this._layout};return c});
define("dashboard/layout/flex/FlexLayoutBlockWrapper",["../BlockWrapper","jquery"],function(d){var h=function(c,a){d.call(this,c,a)};h.prototype=Object.create(d.prototype);h.prototype.constructor=h;h.prototype.toggleDragging=function(){this._dragDropHandler.toggleDragging(this.allowConfigure(),this._context,this._context.getBlockDefinition(this._blockID),this.getParent(),this._element,this._headerHandle,function(c,a){var d=this.getParent(),b=d.getFlexItemForID(this._block.getID());d.replaceColumnWithBlock(b.getID(),
null);a.helper.data("FlexLayoutFlexItem",b)}.bind(this),function(c,a){var d=a.helper.data("FlexLayoutFlexItem"),b=d.getLayout();a.helper.data("isValidDrop")||b.replaceColumnWithBlock(d.getID(),this._block.getID())}.bind(this))};return h});
define("dashboard/layout/flex/FlexColumnParameter","dashboard/core/parameters/Parameter ./FlexItem dashboard/core/IDMap utils/Promisify underscore lib/PromisePolyfill".split(" "),function(d,h,c,a,g){c=function(a,c,e,h){d.call(this,a,c,"dashboard/layout/flex/ColumnParameter",h);this._columns=[];this._layout=e;this._toBeDeleted=[]};c.prototype=Object.create(d.prototype);c.prototype.constructor=c;c.prototype.getConfigurationPanel=function(){return Promise.all([a.require("dashboard/layout/flex/FlexLayoutConfigurationPanel"),
this._context.getLanguageBundle("DashboardFlexLayout")]).then(function(a){return new a[0](this,a[1])}.bind(this))};c.prototype.configure=function(a,c){g.each(a.value.columns,function(a){a.blockid=c.mapID(a.blockid)});this.setValue(a.value)};c.prototype.getItemList=function(){return this._columns.slice(0)};c.prototype.setItem=function(a,c){this.getItemList()[a].setItem(c);this.setValue(this._getSpecification())};c.prototype._getSpecification=function(){return{columns:g.map(this.getItemList(),function(a){return a.getConfiguration()})}};
c.prototype.update=function(){this.setValue(this._getSpecification())};c.prototype.getToBeDeletedItems=function(){return this._toBeDeleted.splice(0,this._toBeDeleted.length)};c.prototype.setValue=function(a){this._layout._element.css("overflow-x","auto");var c=this._columns.slice(0),e=0;this._columns=[];for(var g=0;g<a.columns.length;g++){var k=c[e],l=a.columns[g];if(k&&k.getBlockID()===l.blockid)this._columns[g]=k,this._columns[g].configure(l),e++;else{for(var i=e,k=null;i<c.length&&!k;)c[i].getBlockID()===
l.blockid?(k=c[i],c.splice(i,1)):i++;k?k.configure(l):k=new h(this._layout,g,l);this._columns[g]=k}this._columns[g].setID(g)}for(;e<c.length;)g=c[e++],this._toBeDeleted.push(g);d.prototype.setValue.apply(this,arguments)};return c});
define("dashboard/layout/flex/FlexLayout","./FlexItem utils/Promisify ../../core/Layout underscore ./FlexLayoutBlockWrapper dashboard/core/parameters/CssSizeParameter dashboard/layout/flex/FlexColumnParameter".split(" "),function(d,h,c,a,g,b,f){d=function(a,b){c.call(this,a,b);this._element.attr("style","display: -ms-flexbox; display: flex");this._observe(this,"child.detach",this._onChildDetached)};d.prototype=Object.create(c.prototype);d.prototype.constructor=d;d.prototype.getType=function(){return"dashboard/layout/flex/FlexLayout"};
d.prototype._doConfigure=function(){this._element.css("overflow-x",this._context.isEditModeActive()?"auto":"");for(var a=this._columnParameter.getItemList(),b=0;b<a.length;b++)this._element.append(a[b].getElement());a=this._columnParameter.getToBeDeletedItems();for(b=0;b<a.length;b++){var c=a[b];c.getElement().detach();c.getBlockPromise()&&c.getBlockPromise().then(function(a){a.setParent(null)})}};d.prototype._loadBlockWrapper=function(a){return this._context.registerAndLoadBlock({type:"dashboard/layout/flex/FlexLayoutBlockWrapper",
config:{blockID:a}})};d.prototype._doInit=function(){var a=this;a._observe(a._context,"editModeActive",a._initializeDropzone);a._initializeDropzone();a._observeParam("FlexColumnParameter",function(){a._columnParameter.getConfiguration().then(function(b){a._doConfigure(b.config);a._render()})})};d.prototype.replaceColumnWithBlock=function(a,b){this._columnParameter.setItem(a,b)};d.prototype._onChildDetached=function(b){a.each(this._columnParameter.getItemList(),function(a){a.getBlock()===b&&a.setItem(null)});
this._columnParameter.update()};d.prototype.loadBlockWrapper=function(a){return this._loadBlockWrapper(a)};d.prototype._initializeDropzone=function(){this._context.isEditModeActive()&&h.require("dashboard/layout/flex/FlexLayoutDragDrop").then(function(){a.each(this._columnParameter.getItemList(),function(a){this._initializePlaceholder(a)}.bind(this))}.bind(this))};d.prototype.getFlexItemForID=function(b){return a.find(this._columnParameter.getItemList(),function(a){return a.getBlockID()===b})};d.prototype._initializePlaceholder=
function(){};d.prototype._initializeDefaultParameters=function(){return this._context.getLanguageBundle("FlexLayout").then(function(a){a=new b("CssSizeParameter",this._context,a.t("SPACING"));a.setValue("0px");this._addParameter(a);this._columnParameter=new f("FlexColumnParameter",this._context,this,"");this._addParameter(this._columnParameter)}.bind(this))};return d});
define("dashboard/i18n/LanguageBundle",[],function(){var d=function(){};d.prototype.getValueForKey=function(){};d.prototype.t=function(d){var c=this.getValueForKey(d);"undefined"===typeof c&&(c=d);return this.substitute(c,Array.prototype.slice.call(arguments,1))};d.prototype.tFallback=function(d,c){var a=this.getValueForKey(d);"undefined"===typeof a&&(a=c);return this.substitute(a,Array.prototype.slice.call(arguments,2))};d.prototype.substitute=function(d,c){for(var a=0;a<c.length;a++)d=d.replace("{"+
a+"}",c[a]);return d};return d});define("dashboard/i18n/LanguageProvider",["./LanguageBundle","lib/PromisePolyfill"],function(d){var h=function(){};h.prototype.getLanguageBundle=function(){return Promise.resolve().then(function(){return new d})};return h});
define("component/dashboard/i18n/WebCenterLanguageBundle",["dashboard/i18n/LanguageBundle","utils/Promisify"],function(d){var h=function(c){d.call(this);this._bundle=c};h.prototype=Object.create(d.prototype);h.prototype.constructor=h;h.prototype.getValueForKey=function(c){return this._bundle.asMap()[c]};return h});
define("component/dashboard/i18n/WebCenterLanguageProvider",["dashboard/i18n/LanguageProvider","./WebCenterLanguageBundle","utils/Promisify"],function(d,h,c){var a=function(){d.call(this)};a.prototype=Object.create(d.prototype);a.prototype.constructor=a;a.prototype.getLanguageBundle=function(a){return c.require("utils/webi18n!"+a).then(function(a){return new h(a)})};return a});